Search.setIndex({"docnames": ["index", "introduction/advanced_topics", "introduction/custom_file_readers", "introduction/custom_modifiers", "introduction/data_manipulation", "introduction/data_model", "introduction/examples", "introduction/examples/batch_scripts/cna_bond_indices", "introduction/examples/batch_scripts/creating_particles", "introduction/examples/batch_scripts/trajectory_viewer", "introduction/examples/batch_scripts/voronoi_indices", "introduction/examples/file_readers/example_file_format_reader", "introduction/examples/file_readers/example_file_format_reader_optimization", "introduction/examples/modifiers/calculate_displacement_vectors", "introduction/examples/modifiers/calculate_local_entropy", "introduction/examples/modifiers/custom_time_average", "introduction/examples/modifiers/msd_calculation", "introduction/examples/modifiers/order_parameter_calculation", "introduction/examples/modifiers/select_overlapping_particles", "introduction/examples/modifiers/shrink_wrap_box", "introduction/examples/modifiers/visualize_local_lattice_orientation", "introduction/examples/overlays/data_plot", "introduction/examples/overlays/highlight_particle", "introduction/examples/overlays/scale_bar", "introduction/file_io", "introduction/installation", "introduction/introduction", "introduction/overview", "introduction/pipelines", "introduction/rendering", "modules/ovito", "modules/ovito_data", "modules/ovito_io", "modules/ovito_io_ase", "modules/ovito_io_lammps", "modules/ovito_modifiers", "modules/ovito_pipeline", "modules/ovito_traits", "modules/ovito_vis"], "filenames": ["index.rst", "introduction/advanced_topics.rst", "introduction/custom_file_readers.rst", "introduction/custom_modifiers.rst", "introduction/data_manipulation.rst", "introduction/data_model.rst", "introduction/examples.rst", "introduction/examples/batch_scripts/cna_bond_indices.rst", "introduction/examples/batch_scripts/creating_particles.rst", "introduction/examples/batch_scripts/trajectory_viewer.rst", "introduction/examples/batch_scripts/voronoi_indices.rst", "introduction/examples/file_readers/example_file_format_reader.rst", "introduction/examples/file_readers/example_file_format_reader_optimization.rst", "introduction/examples/modifiers/calculate_displacement_vectors.rst", "introduction/examples/modifiers/calculate_local_entropy.rst", "introduction/examples/modifiers/custom_time_average.rst", "introduction/examples/modifiers/msd_calculation.rst", "introduction/examples/modifiers/order_parameter_calculation.rst", "introduction/examples/modifiers/select_overlapping_particles.rst", "introduction/examples/modifiers/shrink_wrap_box.rst", "introduction/examples/modifiers/visualize_local_lattice_orientation.rst", "introduction/examples/overlays/data_plot.rst", "introduction/examples/overlays/highlight_particle.rst", "introduction/examples/overlays/scale_bar.rst", "introduction/file_io.rst", "introduction/installation.rst", "introduction/introduction.rst", "introduction/overview.rst", "introduction/pipelines.rst", "introduction/rendering.rst", "modules/ovito.rst", "modules/ovito_data.rst", "modules/ovito_io.rst", "modules/ovito_io_ase.rst", "modules/ovito_io_lammps.rst", "modules/ovito_modifiers.rst", "modules/ovito_pipeline.rst", "modules/ovito_traits.rst", "modules/ovito_vis.rst"], "titles": ["OVITO Python Reference", "Advanced topics", "User-defined file readers", "User-defined modifiers", "Manipulating data", "Data model", "Code examples", "Example B2: Computing CNA bond indices", "Example B3: Creating particles and bonds programmatically", "Example B4: Standalone trajectory viewer", "Example B1: Computing Voronoi indices", "Example FR1: Custom file reader loading particle properties and the simulation cell", "Example FR2: Optimizing the performance of Example FR1", "Example M7: Displacement vectors with reference configuration", "Example M6: Calculate local entropy", "Example M8: Compute trajectory average of a global attribute", "Example M1: Calculating mean square displacement", "Example M2: Custom order parameter calculation", "Example M4: Finding overlapping particles", "Example M5: Shrink-wrap simulation box", "Example M3: Color mapping to visualize local lattice orientation", "Example O2: Including data plots in rendered images", "Example O3: Highlight a particle", "Example O1: Scale bar", "File I/O", "Installation", "Introduction", "High-level API overview", "Data pipelines", "Rendering &amp; visualization", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.data</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io.ase</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io.lammps</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.modifiers</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.pipeline</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.traits</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.vis</span></code>"], "terms": {"thi": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "manual": [0, 3, 5, 12, 14, 19, 31, 35, 38], "describ": [0, 2, 3, 4, 6, 24, 25, 26, 31, 32, 35, 38], "program": [0, 1, 2, 4, 5, 6, 10, 13, 15, 16, 24, 25, 26, 27, 29, 30, 35, 36, 38], "interfac": [0, 1, 2, 4, 5, 9, 13, 15, 24, 26, 27, 28, 31, 32, 35, 36, 38], "pro": [0, 1, 2, 3, 6, 12, 15, 21, 26, 33, 36, 38], "desktop": [0, 3, 6, 25, 26, 30, 34, 36, 38], "applic": [0, 1, 3, 5, 6, 9, 11, 25, 26, 30, 32, 34, 35, 36, 38], "standalon": [0, 1, 2, 3, 25, 38], "packag": [0, 2, 3, 25, 33, 34, 37, 38], "let": [0, 1, 2, 3, 4, 5, 7, 9, 10, 13, 15, 16, 17, 24, 25, 26, 27, 28, 29, 31, 32, 34, 35, 36, 38], "you": [0, 1, 2, 3, 4, 5, 6, 12, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 38], "integr": [0, 1, 2, 3, 6, 14, 26, 35, 38], "": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 16, 19, 24, 25, 26, 28, 29, 30, 31, 32, 34, 35, 36, 38], "comput": [0, 1, 2, 4, 5, 6, 13, 14, 16, 17, 19, 20, 21, 22, 23, 24, 25, 28, 29, 30, 31, 32, 33, 35, 36, 38], "render": [0, 1, 3, 5, 6, 13, 22, 23, 24, 26, 28, 30, 31, 32, 34, 35, 36, 38], "capabl": [0, 4, 25, 26, 36], "extern": [0, 1, 6, 8, 24, 25, 26, 27, 28, 31, 32, 33, 36, 38], "extend": [0, 1, 2, 3, 26, 28, 31, 32, 35, 38], "new": [0, 1, 2, 3, 5, 6, 8, 11, 12, 13, 14, 15, 19, 20, 24, 26, 27, 28, 29, 31, 32, 33, 34, 35, 36, 37, 38], "user": [0, 4, 5, 8, 9, 11, 13, 14, 15, 16, 18, 19, 20, 21, 24, 25, 26, 27, 28, 31, 32, 35, 36, 38], "defin": [0, 1, 4, 5, 8, 11, 13, 16, 17, 18, 20, 21, 23, 24, 26, 27, 29, 30, 31, 32, 34, 35, 36, 37, 38], "data": [0, 1, 2, 6, 7, 8, 10, 11, 13, 14, 15, 16, 17, 18, 19, 20, 22, 25, 26, 29, 30, 32, 33, 34, 35, 36, 38], "process": [0, 2, 5, 8, 11, 14, 26, 27, 31, 32, 35, 36, 38], "visual": [0, 1, 2, 3, 5, 6, 9, 13, 21, 24, 25, 26, 27, 30, 31, 32, 34, 35, 36, 38], "function": [0, 1, 2, 4, 5, 7, 10, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 38], "can": [0, 1, 2, 3, 4, 5, 6, 8, 11, 12, 16, 17, 19, 20, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 35, 36, 38], "access": [0, 2, 3, 4, 5, 6, 7, 9, 10, 11, 16, 17, 24, 25, 29, 30, 31, 32, 34, 35, 36, 38], "from": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "help": [0, 1, 2, 3, 7, 12, 31, 32, 35, 38], "menu": [0, 26, 32], "basic": [0, 2, 25, 30, 31, 35], "onlin": [0, 1, 3], "go": [0, 2, 3, 11, 12, 31, 35, 36, 38], "http": [0, 1, 25, 32], "doc": [0, 3], "org": [0, 1, 25, 38], "introduct": [0, 6, 35], "instal": [0, 2, 3, 21, 26, 33, 34, 38], "high": [0, 24, 31, 32, 33, 35], "level": [0, 3, 5, 24, 30, 31, 32, 33, 35, 38], "api": [0, 2, 3, 6, 9, 11, 13, 14, 15, 26, 36], "overview": [0, 32], "file": [0, 1, 3, 4, 5, 7, 8, 10, 12, 13, 16, 25, 26, 27, 28, 30, 31, 32, 33, 34, 35, 36, 38], "i": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "o": [0, 1, 3, 11, 25, 26, 27, 28, 30, 31, 32, 35, 36, 38], "pipelin": [0, 2, 4, 5, 6, 7, 8, 9, 10, 13, 14, 15, 16, 17, 20, 21, 22, 24, 25, 26, 29, 30, 31, 32, 33, 35, 38], "model": [0, 2, 4, 9, 24, 28, 31, 32, 33, 34, 38], "manipul": [0, 3, 26, 27, 30, 31, 36, 38], "modifi": [0, 1, 2, 5, 7, 10, 13, 14, 15, 16, 17, 18, 19, 20, 24, 25, 26, 28, 29, 30, 31, 32, 34, 36, 37, 38], "reader": [0, 1, 5, 12, 26, 31, 32, 35, 36], "advanc": [0, 2, 4, 12, 13, 15, 35, 36], "code": [0, 1, 2, 3, 4, 11, 12, 14, 20, 23, 24, 25, 26, 28, 31, 32, 34, 35, 36, 38], "exampl": [0, 1, 2, 3, 4, 5, 24, 26, 27, 28, 29, 31, 32, 33, 34, 35, 36, 38], "io": [0, 1, 2, 6, 7, 9, 10, 11, 16, 24, 26, 27, 28, 30, 31, 35, 36, 38], "ase": 0, "lammp": [0, 10, 24, 27, 31, 32, 35, 36], "trait": [0, 2, 3, 13, 15, 32, 36], "vi": [0, 3, 8, 9, 13, 22, 23, 27, 29, 31, 35], "section": [1, 2, 3, 4, 5, 24, 25, 26, 27, 28, 30, 31, 32, 35], "cover": [1, 26, 31, 35], "sever": [1, 3, 5, 27, 28, 29, 31, 32, 35, 36, 38], "relat": [1, 5, 29, 38], "script": [1, 3, 7, 8, 9, 10, 16, 20, 23, 25, 26, 27, 28, 29, 30, 31, 34, 35, 36, 38], "The": [1, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14, 15, 17, 18, 20, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 38], "export_fil": [1, 3, 16, 24, 26, 27, 28, 31, 32, 34, 35, 36], "output": [1, 4, 5, 6, 7, 10, 13, 14, 15, 16, 17, 18, 20, 22, 24, 26, 27, 28, 30, 31, 32, 34, 35, 36, 38], "disk": [1, 3, 4, 24, 30, 32, 35, 36, 38], "But": [1, 2, 3, 4, 31], "do": [1, 3, 7, 11, 12, 13, 15, 16, 19, 24, 26, 27, 28, 31, 32, 34, 35, 36, 38], "definit": [1, 24, 30, 31, 35, 38], "itself": [1, 3, 12, 30, 31, 35, 38], "includ": [1, 3, 4, 6, 25, 27, 30, 31, 32, 33, 34, 35, 36, 38], "paramet": [1, 6, 13, 14, 15, 18, 23, 24, 25, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "entir": [1, 3, 4, 5, 9, 30, 31, 32, 35, 38], "scene": [1, 3, 4, 8, 9, 21, 22, 24, 25, 27, 29, 30, 31, 32, 35, 36, 38], "state": [1, 3, 4, 27, 30, 31, 34, 35, 38], "method": [1, 4, 5, 9, 12, 13, 14, 24, 27, 28, 29, 30, 31, 32, 35, 36, 38], "thu": [1, 3, 4, 5, 10, 13, 24, 27, 31, 35, 36, 38], "order": [1, 2, 3, 4, 6, 10, 13, 28, 31, 32, 35, 38], "need": [1, 2, 3, 4, 12, 16, 17, 23, 24, 25, 26, 27, 29, 30, 31, 32, 35, 36, 38], "first": [1, 2, 3, 4, 5, 8, 10, 11, 12, 21, 22, 24, 26, 27, 28, 29, 31, 32, 35, 36, 38], "make": [1, 2, 3, 4, 8, 9, 12, 13, 14, 16, 17, 18, 24, 25, 28, 31, 32, 33, 34, 35, 36, 38], "part": [1, 2, 3, 4, 24, 27, 28, 30, 31, 32, 35, 36, 38], "call": [1, 2, 3, 4, 5, 6, 12, 13, 14, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 34, 35, 36, 38], "its": [1, 2, 3, 4, 5, 8, 9, 11, 12, 13, 16, 17, 26, 27, 28, 29, 30, 31, 32, 35, 36, 38], "add_to_scen": [1, 3, 8, 9, 24, 25, 27, 30, 31, 32, 35, 36, 38], "import": [1, 2, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 25, 26, 28, 29, 30, 31, 32, 33, 34, 35, 36, 38], "import_fil": [1, 2, 3, 6, 7, 9, 10, 16, 24, 26, 27, 28, 30, 31, 32, 33, 35, 36, 38], "coordinationanalysismodifi": [1, 21, 28, 31, 35], "input": [1, 2, 4, 5, 7, 10, 11, 13, 14, 15, 16, 17, 19, 20, 23, 24, 26, 28, 30, 31, 32, 33, 35, 36, 38], "simul": [1, 2, 3, 5, 6, 7, 8, 9, 10, 12, 13, 15, 16, 17, 23, 24, 26, 27, 29, 30, 31, 32, 33, 34, 35, 36, 38], "dump": [1, 3, 7, 9, 10, 16, 24, 27, 28, 30, 31, 32, 33, 34, 35, 36, 38], "append": [1, 3, 4, 7, 8, 10, 16, 22, 24, 26, 27, 28, 29, 30, 31, 32, 35, 36, 38], "cutoff": [1, 7, 14, 18, 27, 28, 31, 35, 36, 38], "3": [1, 2, 3, 4, 5, 7, 8, 10, 11, 12, 14, 17, 19, 20, 22, 24, 25, 26, 27, 28, 29, 31, 32, 35, 36, 37, 38], "4": [1, 2, 3, 4, 7, 8, 10, 12, 14, 19, 20, 21, 23, 31, 35, 36, 38], "mypipelin": 1, "restor": [1, 30], "all": [1, 2, 3, 4, 5, 11, 12, 14, 15, 16, 17, 18, 24, 25, 26, 27, 28, 29, 30, 31, 32, 34, 35, 36, 38], "them": [1, 2, 4, 5, 6, 7, 8, 20, 24, 25, 26, 29, 31, 35, 36, 38], "avail": [1, 2, 3, 16, 25, 28, 29, 31, 32, 33, 34, 35, 36, 38], "list": [1, 2, 3, 5, 7, 10, 17, 20, 24, 25, 27, 28, 29, 30, 31, 32, 35, 36, 38], "0": [1, 2, 3, 4, 5, 7, 8, 10, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 27, 28, 29, 31, 32, 33, 34, 35, 36, 37, 38], "Of": 1, "cours": [1, 31], "also": [1, 2, 3, 4, 5, 6, 9, 11, 12, 24, 25, 26, 27, 30, 31, 32, 35, 36, 38], "possibl": [1, 2, 3, 4, 17, 24, 25, 26, 27, 28, 31, 32, 35, 36, 38], "open": [1, 2, 5, 11, 12, 30, 31, 32, 35, 38], "graphic": [1, 3, 5, 6, 9, 16, 17, 20, 24, 27, 28, 30, 31, 35, 36, 38], "convers": [1, 12, 31], "creat": [1, 2, 3, 4, 5, 6, 7, 9, 11, 14, 16, 17, 18, 19, 21, 24, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 38], "hand": [1, 3, 26, 34, 35], "futur": [1, 2, 3, 9, 12, 32, 36, 38], "either": [1, 3, 17, 27, 28, 29, 30, 31, 35, 36, 38], "runtim": [1, 31], "preload": [1, 3], "when": [1, 2, 3, 4, 5, 9, 13, 16, 17, 24, 26, 27, 28, 30, 31, 32, 35, 36, 38], "run": [1, 15, 16, 17, 25, 26, 27, 30, 31, 32, 33, 34, 35, 36, 38], "interpret": [1, 3, 6, 16, 21, 26, 30, 32, 33, 34, 35, 38], "done": [1, 4, 6, 11, 24, 27, 29, 31, 35], "specifi": [1, 2, 3, 15, 17, 18, 24, 29, 31, 32, 35, 36, 38], "command": [1, 25, 30, 32, 34, 35, 38], "line": [1, 2, 4, 5, 7, 11, 12, 24, 25, 29, 30, 31, 32, 34, 35, 38], "option": [1, 2, 3, 4, 5, 21, 24, 25, 27, 29, 30, 31, 32, 35, 36, 38], "py": [1, 2, 25, 26, 31, 34, 38], "now": [1, 2, 3, 4, 10, 11, 12, 15, 28, 30, 33, 35, 36], "execut": [1, 3, 6, 18, 25, 26, 28, 30, 31, 34, 35, 36, 38], "an": [1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 15, 17, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "environ": [1, 3, 7, 25, 33, 35, 38], "where": [1, 2, 3, 4, 5, 10, 11, 12, 14, 20, 28, 31, 32, 35, 36, 38], "wa": [1, 2, 4, 5, 24, 30, 31, 32, 35, 36, 38], "alreadi": [1, 2, 3, 4, 12, 15, 19, 25, 27, 28, 31, 32, 35, 36, 38], "popul": [1, 2, 28, 30, 31, 36, 38], "instead": [1, 3, 12, 27, 28, 31, 32, 35, 36, 38], "set": [1, 2, 3, 4, 5, 8, 9, 10, 11, 25, 27, 28, 29, 31, 32, 35, 36, 38], "up": [1, 3, 5, 10, 12, 16, 17, 21, 25, 26, 27, 28, 30, 31, 35, 36, 38], "scratch": [1, 31], "work": [1, 2, 3, 4, 5, 7, 12, 23, 24, 25, 26, 27, 30, 31, 32, 35, 36], "exist": [1, 2, 4, 15, 19, 24, 25, 28, 29, 30, 31, 32, 33, 34, 35, 36, 38], "were": [1, 3, 27, 30, 35, 38], "replac": [1, 4, 12, 24, 27, 31, 32, 35, 36, 38], "serv": [1, 5, 25, 30, 31, 35, 36, 38], "differ": [1, 3, 5, 8, 12, 14, 27, 29, 31, 32, 35, 36, 38], "one": [1, 2, 3, 4, 5, 11, 12, 17, 18, 19, 24, 27, 28, 30, 31, 32, 35, 36, 38], "sourc": [1, 2, 3, 5, 8, 9, 20, 23, 24, 25, 27, 28, 31, 32, 33, 34, 35, 36, 38], "second_fil": [1, 35, 36], "adjust": [1, 2, 3, 9, 19, 23, 31, 35, 36, 38], "1": [1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 12, 14, 17, 18, 20, 21, 22, 24, 25, 27, 28, 29, 31, 33, 34, 35, 36, 37, 38], "have": [1, 2, 3, 4, 5, 6, 11, 12, 13, 16, 24, 25, 26, 27, 28, 29, 30, 31, 32, 35, 36, 38], "been": [1, 2, 3, 4, 5, 9, 12, 18, 24, 25, 27, 28, 30, 31, 32, 35, 36, 38], "parallel": [1, 25, 27, 29, 31, 34, 35, 38], "computation": 1, "heavi": [1, 7], "analysi": [1, 4, 6, 10, 14, 17, 26, 27, 31, 34, 35, 36], "rountin": 1, "polyhedraltemplatematchingmodifi": [1, 35, 38], "voronoianalysismodifi": [1, 10, 31, 35], "clusteranalysismodifi": [1, 5, 31, 35], "computepropertymodifi": [1, 14, 31, 35, 38], "more": [1, 2, 3, 4, 5, 14, 19, 24, 26, 27, 30, 31, 32, 34, 35, 36, 38], "softwar": [1, 2, 3, 38], "base": [1, 2, 3, 5, 7, 12, 13, 15, 26, 29, 31, 32, 35, 36, 38], "engin": [1, 25, 29, 38], "tachyonrender": [1, 29, 31, 35, 38], "osprayrender": [1, 35, 38], "har": 1, "multipl": [1, 2, 3, 4, 11, 12, 27, 28, 31, 32, 35, 36, 38], "speed": [1, 3, 29, 31, 38], "imag": [1, 3, 5, 6, 13, 24, 28, 29, 30, 31, 32, 35, 36, 38], "gener": [1, 2, 3, 5, 7, 8, 21, 24, 26, 27, 29, 31, 32, 35, 36, 37, 38], "By": [1, 3, 31, 32, 35, 36], "default": [1, 3, 13, 25, 29, 31, 32, 33, 35, 36, 37, 38], "algorithm": [1, 5, 31, 35, 38], "your": [1, 4, 6, 12, 25, 26, 27, 30, 31, 32, 33, 34, 35, 36, 38], "cpu": 1, "number": [1, 2, 3, 5, 7, 9, 10, 11, 12, 14, 16, 17, 24, 27, 28, 30, 31, 32, 35, 36, 38], "determin": [1, 2, 15, 17, 21, 22, 31, 32, 35, 36, 38], "qthread": 1, "idealthreadcount": 1, "which": [1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 18, 20, 21, 24, 25, 26, 27, 28, 29, 30, 31, 32, 34, 35, 36, 37, 38], "queri": [1, 3, 5, 31, 35, 38], "follow": [1, 2, 3, 4, 6, 7, 8, 9, 11, 12, 14, 17, 20, 23, 24, 25, 26, 27, 28, 31, 32, 34, 35, 36, 38], "python": [1, 2, 3, 4, 5, 6, 7, 9, 10, 13, 14, 15, 19, 20, 21, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "qt_compat": [1, 21, 22, 23, 38], "qtcore": [1, 9, 22, 23, 38], "print": [1, 3, 5, 7, 10, 15, 24, 25, 27, 30, 31, 32, 34, 35, 36], "sometim": [1, 27, 28, 36], "desir": [1, 27, 29, 31, 32, 35, 36], "restrict": [1, 25, 35, 38], "singl": [1, 3, 5, 12, 24, 26, 31, 32, 35, 36, 38], "onli": [1, 2, 3, 4, 5, 10, 12, 17, 18, 23, 24, 25, 27, 28, 30, 31, 32, 34, 35, 36, 38], "instanc": [1, 2, 3, 4, 5, 24, 27, 28, 29, 30, 31, 32, 35, 36, 37, 38], "same": [1, 2, 3, 4, 5, 7, 13, 24, 25, 27, 28, 31, 32, 35, 36], "node": [1, 3, 31], "acocmplish": 1, "two": [1, 3, 4, 5, 7, 8, 10, 11, 12, 13, 17, 18, 24, 26, 27, 29, 31, 32, 33, 35, 36, 38], "wai": [1, 3, 12, 24, 26, 27, 29, 31, 35, 36, 38], "both": [1, 2, 3, 4, 10, 12, 25, 31, 32, 35], "support": [1, 2, 3, 5, 17, 24, 29, 31, 32, 35, 38], "nthread": [1, 25], "overrid": [1, 3, 31, 32, 38], "yourscript": 1, "second": [1, 3, 4, 8, 12, 13, 24, 28, 31, 35, 36, 38], "ovito_thread_count": 1, "variabl": [1, 3, 5, 27, 30, 31, 35, 38], "prior": [1, 35, 36, 38], "invok": [1, 2, 3, 4, 14, 24, 25, 27, 31, 32, 34, 35, 36], "approach": [1, 2, 8, 12, 25, 28, 31, 35], "alwai": [1, 2, 3, 4, 5, 11, 18, 27, 31, 32, 35, 36, 38], "modul": [1, 3, 4, 5, 7, 9, 10, 21, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "export": [1, 3, 5, 7, 8, 16, 28, 31, 32, 35, 36], "python3": [1, 26, 38], "allow": [1, 3, 4, 6, 12, 18, 20, 25, 26, 27, 29, 31, 32, 34, 35, 36, 38], "implement": [1, 2, 3, 4, 6, 8, 9, 11, 12, 13, 15, 29, 31, 32, 35, 36, 38], "custom": [1, 2, 6, 8, 12, 16, 20, 26, 31, 32, 35, 36, 37, 38], "seamlessli": 1, "To": [1, 2, 3, 5, 9, 12, 14, 17, 24, 25, 27, 29, 31, 32, 35, 36, 38], "thei": [1, 3, 4, 5, 11, 25, 28, 31, 32, 35, 37, 38], "properli": 1, "regist": [1, 2, 11, 32], "system": [1, 2, 3, 4, 5, 6, 7, 13, 16, 17, 18, 24, 25, 26, 28, 31, 32, 35, 36, 38], "automat": [1, 2, 3, 5, 6, 9, 11, 24, 27, 29, 31, 32, 35, 36, 38], "find": [1, 3, 5, 6, 11, 17, 24, 31, 35, 38], "discoveri": 1, "class": [1, 2, 3, 4, 5, 7, 11, 13, 15, 17, 18, 24, 27, 28, 29, 30, 31, 32, 35, 36, 37, 38], "entri": [1, 3, 10, 24, 31, 32, 35, 38], "point": [1, 3, 12, 22, 30, 31, 32, 35, 38], "specif": [1, 2, 3, 5, 11, 28, 29, 31, 32, 34, 35, 36, 37, 38], "standard": [1, 3, 5, 7, 16, 18, 29, 30, 31, 32, 35, 36, 38], "mechan": [1, 3, 6, 25, 32, 36], "keep": [1, 3, 4, 13, 25, 27, 28, 31, 35, 36], "cleanli": 1, "separ": [1, 3, 11, 13, 14, 18, 24, 27, 28, 29, 31, 32, 35, 36, 38], "main": [1, 2, 3, 9, 25, 28, 32, 36, 38], "That": [1, 2, 3, 4, 10, 11, 24, 27, 28, 29, 31, 32, 35, 36, 38], "mean": [1, 2, 3, 4, 5, 6, 11, 15, 17, 24, 27, 28, 31, 32, 35, 36, 38], "mai": [1, 2, 3, 4, 5, 11, 12, 16, 18, 20, 21, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 35, 36, 38], "updat": [1, 2, 3, 9, 12, 17, 18, 23, 28, 31, 35, 36, 38], "chang": [1, 2, 3, 4, 9, 11, 12, 13, 24, 27, 28, 29, 31, 32, 35, 36, 38], "independ": [1, 3, 31, 35, 36], "facilit": [1, 31], "easi": [1, 4, 31], "deploy": 1, "other": [1, 2, 3, 4, 5, 6, 24, 25, 27, 28, 29, 31, 32, 34, 35, 36, 37, 38], "case": [1, 2, 3, 4, 5, 10, 11, 24, 25, 26, 29, 31, 32, 35, 36, 38], "want": [1, 2, 3, 4, 11, 12, 24, 25, 27, 31, 32, 35, 36, 38], "share": [1, 4, 25, 27, 31, 35, 36, 38], "commun": [1, 2, 36], "aid": 1, "develop": [1, 2, 3, 9, 12, 17, 25, 26, 34, 38], "we": [1, 2, 3, 4, 10, 11, 12, 15, 16, 17, 18, 19, 24, 27, 28, 29, 30, 31, 33, 35, 36, 38], "provid": [1, 2, 3, 4, 5, 13, 15, 16, 17, 25, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "github": 1, "repositori": [1, 3, 25], "templat": [1, 20, 32, 35], "each": [1, 2, 3, 4, 5, 7, 10, 11, 12, 13, 14, 16, 17, 20, 24, 27, 28, 31, 35, 36, 38], "type": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 24, 26, 27, 28, 29, 31, 32, 35, 36, 37, 38], "step": [1, 3, 4, 5, 12, 14, 24, 28, 31, 32, 34, 35, 36, 38], "instruct": [1, 3, 12, 35], "initi": [1, 2, 4, 12, 14, 16, 24, 27, 28, 31, 35, 36, 38], "directori": [1, 24, 25, 32, 35, 36], "structur": [1, 3, 4, 5, 7, 8, 10, 26, 27, 28, 31, 32, 35, 36, 38], "pyproject": 1, "toml": 1, "skeleton": 1, "simplifi": 1, "distribut": [1, 10, 21, 31, 35], "furthermor": [1, 3, 4, 5, 27, 30, 31, 32, 35, 36, 38], "team": 1, "host": [1, 3, 25], "public": [1, 9], "publish": 1, "A": [1, 3, 5, 10, 13, 14, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "collect": [1, 2, 3, 4, 5, 8, 12, 15, 22, 31, 32, 33, 34, 35, 36, 38], "submit": 1, "maintain": [1, 3, 31, 35, 38], "respect": [1, 3, 7, 11, 13, 16, 17, 31, 32, 35, 36, 38], "author": [1, 3], "curat": 1, "In": [1, 2, 3, 5, 6, 10, 11, 12, 17, 20, 24, 25, 26, 27, 28, 29, 31, 32, 34, 35, 38], "ll": [1, 3], "consid": [1, 2, 3, 4, 31, 34, 35], "written": [1, 12, 25, 26, 30, 31, 32, 35], "name": [1, 2, 3, 4, 5, 8, 10, 11, 15, 20, 24, 25, 31, 32, 35, 36, 38], "mymodifi": [1, 3], "start": [1, 2, 9, 11, 12, 17, 24, 25, 28, 31, 35, 38], "simpl": [1, 2, 4, 5, 9, 12, 25, 31, 32, 35], "project": [1, 12, 20, 22, 25, 27, 29, 31, 38], "layout": [1, 31, 38], "root": [1, 35], "dir": 1, "src": [1, 3], "__init__": 1, "datacollect": [1, 2, 3, 4, 5, 7, 8, 11, 12, 13, 14, 15, 19, 24, 27, 28, 31, 32, 33, 34, 35, 36, 38], "modifierinterfac": [1, 3, 13, 15, 35, 36], "def": [1, 2, 3, 7, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 31, 34, 35, 36, 38], "self": [1, 2, 3, 11, 12, 13, 15, 35, 36], "frame": [1, 2, 3, 5, 9, 10, 11, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 24, 28, 29, 31, 32, 35, 36, 38], "int": [1, 2, 3, 9, 11, 12, 13, 14, 19, 30, 31, 32, 34, 35, 36, 38], "kwarg": [1, 2, 3, 11, 12, 13, 15, 32, 35, 36], "If": [1, 3, 4, 14, 15, 25, 27, 30, 31, 32, 35, 36, 38], "ar": [1, 2, 3, 4, 5, 6, 10, 11, 12, 15, 17, 18, 19, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "complex": [1, 3, 35], "split": [1, 2, 11, 12, 35], "sub": [1, 3, 4, 5, 14, 31, 35, 38], "metadata": [1, 2, 3, 37], "ani": [1, 2, 3, 4, 11, 12, 17, 18, 24, 25, 26, 27, 28, 29, 30, 31, 32, 35, 36, 38], "depend": [1, 3, 24, 27, 31, 32, 35, 36, 38], "requir": [1, 3, 9, 10, 12, 25, 27, 31, 32, 34, 35, 36, 38], "e": [1, 2, 3, 4, 5, 6, 12, 13, 15, 20, 23, 24, 25, 27, 28, 30, 31, 32, 35, 36, 38], "g": [1, 2, 3, 4, 5, 6, 14, 23, 24, 25, 28, 30, 31, 32, 35, 36, 38], "scipi": 1, "pip": [1, 33], "build": [1, 3, 4, 12, 19, 25, 26, 27, 31, 36], "setuptool": 1, "wheel": 1, "backend": [1, 21, 38], "build_meta": 1, "version": [1, 2, 3, 4, 9, 12, 17, 20, 25, 30, 31, 32, 35, 36, 37, 38], "descript": [1, 2, 3, 31, 32, 35], "keyword": [1, 2, 3, 24, 27, 31, 32, 36], "email": 1, "organ": [1, 4, 5], "licens": [1, 25], "text": [1, 2, 3, 4, 5, 6, 7, 16, 17, 18, 23, 24, 31, 32, 35, 38], "mit": 1, "readm": 1, "md": [1, 24, 32, 34, 35, 36], "7": [1, 8, 10, 11, 31, 35, 38], "9": [1, 8, 10, 12, 20, 24, 25, 31, 32, 35, 36, 38], "url": [1, 32, 36], "com": 1, "tool": [1, 25, 35, 38], "thank": [1, 3, 26], "see": [1, 2, 3, 4, 5, 12, 17, 21, 24, 25, 26, 27, 28, 29, 30, 31, 32, 34, 35, 36, 38], "later": [1, 2, 3, 11, 12, 26, 31, 32, 34, 35, 36, 38], "util": [1, 17, 18, 31, 38], "just": [1, 2, 3, 4, 5, 26, 28, 31, 32, 35, 36, 38], "like": [1, 3, 4, 5, 9, 11, 24, 25, 26, 30, 31, 32, 35, 36, 38], "regular": [1, 2, 25, 31, 34, 35, 38], "after": [1, 3, 9, 11, 12, 25, 27, 28, 30, 31, 32, 35, 36, 38], "could": [1, 3, 20, 24, 31, 35, 36, 38], "our": [1, 2, 3, 11, 13, 16, 25, 35, 36, 38], "howev": [1, 3, 4, 12, 24, 25, 31, 32, 35, 36, 38], "still": [1, 31, 34, 38], "tell": [1, 3, 12, 13, 24, 25, 28, 31, 35, 38], "contain": [1, 2, 3, 4, 5, 7, 8, 10, 11, 12, 24, 26, 27, 28, 30, 31, 32, 33, 34, 35, 36, 38], "some": [1, 2, 3, 4, 5, 6, 7, 8, 10, 13, 17, 24, 27, 29, 30, 31, 32, 35, 36, 38], "kind": [1, 2, 5, 27, 31, 32, 35, 36, 38], "should": [1, 2, 3, 24, 25, 27, 28, 29, 31, 32, 34, 35, 36, 38], "made": [1, 2, 31, 35], "websit": [1, 35, 38], "detail": [1, 4, 5, 17, 27, 35, 38], "group": [1, 2, 6, 31, 35], "add": [1, 2, 3, 4, 5, 8, 9, 25, 27, 30, 31, 35, 36, 38], "my": [1, 3, 8, 24, 31, 35, 38], "human": [1, 2, 11, 31, 36], "readabl": [1, 2, 3, 11, 31, 36], "displai": [1, 2, 3, 6, 9, 15, 18, 22, 25, 27, 29, 30, 31, 35, 36, 38], "gui": [1, 2, 3, 9, 11, 25, 35, 36, 38], "did": [1, 3, 31, 35], "filereaderinterfac": [1, 2, 11, 32], "fileread": 1, "prepar": [1, 3, 12, 17, 18, 25], "local": [1, 3, 6, 7, 31, 32, 35, 36, 38], "via": [1, 2, 3, 5, 6, 14, 25, 29, 31, 35, 38], "m": [1, 10, 12, 25, 31, 33, 35], "edit": [1, 2], "ensur": [1, 3, 4, 18, 31, 36], "without": [1, 3, 4, 8, 24, 25, 31, 32, 35, 36, 38], "reinstal": [1, 38], "decid": [1, 31], "upload": 1, "git": [1, 3], "directli": [1, 3, 4, 12, 17, 24, 25, 26, 27, 29, 30, 31, 35, 38], "explain": [1, 26], "particl": [2, 3, 6, 7, 10, 12, 13, 14, 16, 17, 19, 20, 24, 26, 27, 28, 29, 31, 32, 33, 34, 35, 36, 38], "python_script": [], "installing_extens": [], "ovito": [2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 26, 28, 29], "come": [2, 3, 4, 12, 25, 31, 36, 38], "built": [2, 3, 4, 5, 13, 14, 15, 16, 25, 26, 27, 31, 35, 36], "format": [2, 5, 6, 7, 11, 16, 24, 27, 31, 32, 34, 35, 36, 38], "yet": [2, 9, 18, 31, 32, 38], "give": [2, 3, 4, 13, 17, 27, 29, 31, 35, 38], "write": [2, 3, 5, 6, 7, 11, 17, 18, 24, 26, 27, 31, 32, 35, 36, 38], "own": [2, 3, 4, 6, 9, 12, 27, 31, 33, 35, 36, 38], "languag": [2, 3, 35], "similar": [2, 3, 12, 15, 24, 31, 32, 35, 36, 38], "callabl": [2, 11, 12, 32], "myfileread": 2, "staticmethod": [2, 11], "filenam": [2, 11, 12, 24, 25, 27, 29, 30, 31, 32, 38], "str": [2, 3, 11, 12, 13, 15, 30, 31, 32, 35, 36, 38], "register_fram": [2, 11, 12, 32], "none": [2, 11, 12, 22, 30, 31, 32, 33, 34, 35, 36, 37, 38], "frame_info": [2, 11, 12, 32], "freeli": [2, 3, 29], "choos": [2, 3, 29], "us": [2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 16, 18, 21, 24, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "here": [2, 3, 4, 11, 12, 28, 31, 32, 35], "must": [2, 3, 4, 20, 24, 27, 31, 32, 35, 36, 38], "deriv": [2, 3, 5, 29, 32, 35], "onc": [2, 3, 11, 12, 18, 24, 27, 28, 31, 32, 36], "ha": [2, 3, 4, 5, 7, 9, 10, 11, 12, 27, 28, 29, 30, 31, 32, 35, 36, 38], "try": [2, 32, 35], "return": [2, 3, 4, 5, 7, 10, 11, 13, 15, 19, 20, 22, 24, 27, 28, 31, 32, 33, 34, 35, 36, 38], "true": [2, 3, 4, 7, 10, 11, 13, 16, 24, 27, 29, 31, 32, 35, 36, 38], "actual": [2, 3, 4, 12, 13, 15, 17, 24, 29, 31, 32, 35, 36, 38], "request": [2, 3, 4, 11, 13, 14, 17, 21, 24, 27, 28, 31, 32, 35, 36, 38], "three": [2, 4, 5, 7, 8, 21, 24, 27, 29, 30, 31, 32, 35, 36, 37, 38], "header": [2, 32], "myfileformat": 2, "timestep": [2, 3, 5, 11, 12, 16, 24, 31, 32, 34, 35], "6": [2, 4, 8, 10, 11, 17, 31, 35, 38], "x0": 2, "y0": 2, "z0": 2, "x1": 2, "y1": 2, "z1": 2, "x2": 2, "y2": 2, "z2": 2, "x3": 2, "y3": 2, "z3": 2, "x4": 2, "y4": 2, "z4": 2, "x5": 2, "y5": 2, "z5": 2, "10": [2, 3, 4, 8, 10, 11, 12, 14, 22, 23, 31, 32, 35, 36, 38], "20": [2, 12, 29, 31, 35, 36, 38], "contriv": 2, "store": [2, 3, 4, 5, 11, 12, 14, 15, 16, 17, 20, 24, 27, 29, 30, 31, 32, 35, 36, 38], "trajectori": [2, 4, 5, 6, 11, 12, 13, 24, 31, 32, 35, 36, 38], "consist": [2, 5, 28, 31, 35, 36, 38], "top": [2, 3, 5, 21, 29, 31, 38], "record": 2, "mark": [2, 18, 31, 38], "within": [2, 3, 4, 5, 8, 11, 14, 16, 18, 20, 24, 25, 26, 31, 34, 35, 36, 38], "placehold": [2, 38], "denot": [2, 12, 17, 31], "xyz": [2, 3, 4, 5, 8, 24, 26, 31, 32, 35, 36], "coordin": [2, 3, 4, 5, 6, 8, 10, 11, 12, 19, 21, 31, 32, 34, 35, 36, 38], "while": [2, 3, 11, 12, 18, 25, 31, 32, 35, 36, 38], "present": [2, 3, 5, 6, 16, 31, 35, 38], "surfac": [2, 31, 35, 38], "mesh": [2, 28, 31, 32, 35, 38], "voxel": [2, 5, 28, 31, 35, 38], "grid": [2, 5, 31, 32, 35, 38], "bond": [2, 3, 5, 6, 24, 28, 31, 32, 35, 36, 38], "static": [2, 13, 15, 32, 35, 36], "take": [2, 3, 7, 10, 12, 17, 20, 27, 28, 29, 30, 31, 35, 36, 38], "path": [2, 3, 11, 24, 30, 32, 35, 36, 38], "inspect": [2, 5, 32, 35], "whenev": [2, 3, 24, 26, 27, 31, 35, 36, 38], "tri": [2, 4, 13, 31], "whether": [2, 4, 13, 15, 31, 32, 35, 36, 38], "given": [2, 3, 4, 11, 17, 24, 27, 31, 32, 35, 36, 38], "fals": [2, 4, 8, 13, 14, 19, 29, 31, 32, 35, 36, 38], "otherwis": [2, 3, 4, 9, 26, 30, 31, 35, 38], "For": [2, 3, 4, 5, 11, 12, 17, 24, 25, 26, 27, 28, 29, 31, 32, 35, 36, 38], "effici": [2, 3, 31, 32, 35], "decis": 2, "quickli": [2, 24, 31, 32], "read": [2, 3, 4, 11, 12, 13, 24, 28, 31, 32, 36, 38], "few": [2, 3, 11, 25, 31], "slow": [2, 31], "down": [2, 28, 35, 36], "handl": [2, 12, 13, 32, 35, 36], "look": [2, 3, 5, 21, 26, 28, 31, 35], "string": [2, 3, 4, 5, 11, 15, 30, 31, 32, 35, 36, 38], "r": [2, 11, 12, 14, 17, 20, 31, 35, 38], "f": [2, 4, 11, 12, 15, 23, 31, 32, 34, 35], "readlin": [2, 11, 12], "strip": [2, 11, 12], "except": [2, 23, 35, 38], "oserror": 2, "match": [2, 17, 19, 20, 24, 31, 32, 35, 38], "kei": [2, 5, 11, 31, 35], "It": [2, 3, 4, 5, 7, 10, 11, 14, 15, 16, 17, 21, 25, 27, 30, 31, 32, 33, 34, 35, 36, 38], "index": [2, 4, 7, 10, 11, 18, 22, 31, 32, 35], "timelin": [2, 36], "enabl": [2, 3, 4, 26, 28, 29, 31, 35, 36, 38], "quick": [2, 4, 12, 31, 35], "random": [2, 3, 4, 31, 35, 38], "individu": [2, 3, 4, 5, 12, 16, 24, 31, 32, 35, 36, 38], "usual": [2, 3, 25, 28, 29, 31, 35, 38], "whole": [2, 4, 5, 11, 19, 24, 31, 36], "discov": [2, 24, 32, 35], "happen": [2, 3, 24, 27, 28, 31, 32, 35, 36], "invoc": [2, 3, 38], "callback": [2, 11, 32], "signatur": [2, 3, 32, 35, 36], "label": [2, 3, 11, 12, 13, 15, 17, 21, 23, 31, 32, 38], "almost": [2, 25, 31], "valu": [2, 3, 5, 9, 14, 15, 16, 20, 24, 27, 29, 31, 32, 35, 36, 37, 38], "storag": [2, 3, 13, 31, 32], "locat": [2, 3, 25, 31, 32, 35, 36, 38], "One": [2, 24, 31, 35, 36], "might": [2, 31], "byte": [2, 12, 32], "offset": [2, 12, 31, 32, 35, 36, 38], "begin": [2, 3, 11, 12, 30, 31, 35, 36, 38], "Or": [2, 31, 35], "databas": [2, 31, 32], "uniqu": [2, 4, 5, 7, 10, 31, 32, 35], "again": [2, 3, 4, 27, 28, 30, 31, 32, 36], "load": [2, 3, 4, 5, 6, 7, 8, 10, 12, 13, 16, 24, 25, 26, 27, 30, 31, 32, 34, 35, 36, 38], "pure": [2, 35], "inform": [2, 3, 4, 5, 6, 10, 11, 24, 25, 26, 27, 28, 29, 30, 31, 32, 35, 36, 38], "charact": [2, 31, 32, 35], "t": [2, 3, 9, 10, 18, 19, 25, 29, 31, 32, 35, 36, 38], "n": [2, 5, 7, 10, 11, 20, 31, 35], "snapshot": [2, 3, 4, 10, 24, 31, 32, 34, 35, 36], "search": [2, 18, 31], "express": [2, 3, 4, 10, 14, 24, 31, 35, 36, 38], "re": [2, 4, 24, 28, 31, 32, 35], "expr": 2, "d": [2, 31, 35], "line_numb": [2, 11], "enumer": [2, 7, 11, 31, 35], "number_particl": 2, "2": [2, 3, 4, 5, 7, 8, 9, 10, 11, 12, 14, 16, 17, 18, 20, 22, 24, 27, 28, 29, 31, 35, 36, 38], "tupl": [2, 10, 30, 31, 35, 37, 38], "time": [2, 4, 5, 6, 9, 11, 12, 13, 15, 16, 21, 24, 25, 27, 28, 30, 31, 32, 34, 35, 36, 38], "get": [2, 3, 5, 6, 11, 13, 14, 22, 25, 26, 27, 28, 30, 31, 32, 35, 36, 38], "receiv": [2, 3, 5, 31, 35, 36], "empti": [2, 3, 11, 12, 14, 19, 31, 35, 36, 38], "object": [2, 3, 8, 9, 11, 19, 24, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38], "typic": [2, 3, 4, 5, 6, 24, 27, 28, 29, 30, 31, 32, 34, 35, 36, 38], "involv": [2, 3, 17, 31, 35, 38], "simulationcel": [2, 4, 5, 8, 11, 13, 19, 27, 29, 31, 35, 36, 38], "surfacemesh": [2, 5, 31, 32, 35, 38], "trianglemesh": [2, 31, 35, 38], "attribut": [2, 3, 6, 11, 16, 24, 27, 29, 30, 31, 32, 34, 35, 36, 38], "dictionari": [2, 3, 4, 5, 11, 31, 35, 36], "auxiliari": [2, 3, 31, 35], "On": [2, 34, 38], "subsequ": [2, 3, 11, 18, 24, 25, 30, 31, 35, 36, 38], "previou": [2, 4, 31, 35, 36], "current": [2, 3, 4, 5, 7, 9, 11, 12, 13, 15, 17, 18, 21, 24, 25, 26, 27, 28, 30, 31, 32, 33, 34, 35, 36, 38], "shouldn": 2, "recreat": 2, "everi": [2, 3, 6, 11, 17, 23, 28, 31, 32, 34, 35, 36, 38], "rather": [2, 4, 5, 31], "touch": [2, 32], "select": [2, 3, 4, 16, 18, 24, 26, 27, 29, 30, 31, 32, 35, 36, 38], "preserv": [2, 3, 31, 35, 38], "meantim": 2, "appli": [2, 3, 4, 14, 18, 24, 25, 31, 34, 35, 36, 38], "color": [2, 3, 4, 5, 6, 8, 28, 29, 31, 35, 37, 38], "radiu": [2, 10, 22, 31, 35, 36, 38], "element": [2, 3, 4, 5, 10, 13, 30, 31, 35, 38], "concurr": 2, "special": [2, 3, 5, 31, 35, 36], "associ": [2, 3, 4, 5, 9, 24, 31, 32, 35, 38], "create_cel": [2, 11, 19, 31, 36], "create_particl": [2, 8, 11, 12, 31, 36], "create_bond": [2, 8, 31], "propertycontain": [2, 4, 5, 11, 31, 35, 38], "create_properti": [2, 3, 4, 8, 11, 12, 13, 14, 17, 18, 20, 31, 35, 36, 38], "properti": [2, 3, 6, 7, 8, 12, 13, 14, 16, 17, 18, 20, 24, 26, 27, 28, 29, 30, 31, 32, 34, 35, 36, 38], "add_type_nam": [2, 11, 12, 31], "add_type_id": [2, 31], "identifi": [2, 5, 11, 31, 32, 34, 35, 38], "vis_param": [2, 31], "dict": [2, 3, 13, 15, 31, 36], "tabl": [2, 14, 16, 21, 24, 31, 32, 35], "frame_index": [2, 32], "introduc": [2, 3, 4, 31, 36], "abov": [2, 3, 4, 10, 17, 24, 26, 27, 31, 32, 35, 36, 38], "zero": [2, 3, 4, 14, 20, 31, 32, 35, 36, 38], "pass": [2, 3, 24, 25, 27, 28, 29, 31, 32, 35, 36, 38], "further": [2, 3, 5, 8, 24, 25, 31, 32, 35, 36, 38], "argument": [2, 3, 4, 23, 24, 25, 27, 31, 32, 36, 38], "trail": [2, 3], "accept": [2, 3, 4, 24, 31, 36, 38], "forward": [2, 3, 31, 32, 36], "compat": [2, 3, 25, 32, 36], "reason": [2, 29, 31, 32, 36], "unus": 2, "interest": [2, 35], "pleas": [2, 4, 5, 12, 14, 15, 19, 25, 31, 34, 35, 36, 38], "anoth": [2, 4, 30, 31, 32, 35, 36], "skip": [2, 11, 31, 35, 36, 38], "through": [2, 3, 4, 5, 11, 12, 24, 25, 27, 29, 30, 31, 32, 35, 36, 38], "until": [2, 11, 12, 32, 36, 38], "reach": [2, 11, 31], "Then": [2, 3, 4, 16, 18, 24, 27, 31, 32, 35, 36], "arrai": [2, 4, 5, 7, 10, 11, 12, 13, 14, 17, 20, 31, 35, 38], "posit": [2, 3, 4, 5, 8, 11, 12, 13, 17, 19, 22, 24, 26, 27, 29, 31, 32, 33, 35, 36, 38], "befor": [2, 3, 4, 11, 12, 25, 27, 28, 29, 31, 35, 36, 38], "num_particl": 2, "starting_line_numb": [2, 11, 12], "_": [2, 4, 11, 12], "rang": [2, 3, 7, 9, 10, 11, 12, 14, 15, 17, 18, 19, 24, 28, 31, 32, 35, 36, 38], "count": [2, 3, 4, 5, 7, 10, 11, 12, 14, 17, 18, 19, 24, 31, 32, 35, 36, 38], "float": [2, 3, 10, 11, 12, 17, 31, 32, 35, 37, 38], "coord": [2, 31, 35], "principl": 2, "fr1": [2, 6, 31, 32], "thorough": 2, "focus": 2, "how": [2, 4, 6, 7, 11, 12, 18, 21, 24, 25, 26, 27, 28, 31, 32, 35, 36, 38], "cell": [2, 3, 6, 8, 12, 13, 14, 19, 27, 28, 29, 31, 32, 34, 35, 36, 38], "geometri": [2, 23, 29, 31, 34, 35, 38], "outsid": [2, 3, 31, 35, 38], "__name__": 2, "__main__": 2, "myfil": 2, "dat": [2, 3], "input_format": [2, 32], "num_fram": [2, 3, 9, 15, 24, 28, 32, 35, 36, 38], "note": [2, 3, 4, 5, 9, 12, 17, 20, 24, 27, 28, 31, 32, 35, 36, 38], "circumv": 2, "won": [2, 32, 35], "immedi": [2, 3, 28, 31], "loop": [2, 3, 7, 9, 11, 12, 17, 24, 28, 31, 32, 35, 38], "iter": [2, 3, 14, 15, 18, 28, 31, 35, 38], "over": [2, 3, 7, 12, 14, 15, 17, 18, 28, 31, 32, 34, 35, 38], "good": 2, "full": [2, 32, 35], "particip": [2, 3, 6, 26, 35], "discover": 2, "extens": [2, 3, 11, 25, 31, 37], "outlin": [2, 3, 38], "expos": [2, 3, 31], "framework": [2, 3, 9, 38], "analog": 2, "addit": [2, 4, 5, 6, 13, 24, 25, 27, 28, 31, 32, 35, 36, 37, 38], "toolkit": [3, 38], "enough": [3, 31, 35, 38], "solv": 3, "problem": [3, 38], "reusabl": 3, "compos": [3, 5, 28, 38], "block": [3, 11, 31, 36], "nativ": [3, 25, 35], "control": [3, 9, 13, 18, 25, 27, 29, 31, 32, 35, 36, 38], "interact": [3, 6, 16, 24, 25, 26, 27, 28, 29, 30, 32, 35, 36, 38], "direct": [3, 4, 31, 33, 34, 35, 38], "oper": [3, 4, 5, 30, 31, 35, 36, 38], "sinc": [3, 26, 28, 31, 32, 35, 36], "8": [3, 4, 8, 10, 12, 20, 28, 29, 31, 32, 35, 36, 37, 38], "than": [3, 4, 5, 12, 31, 32, 35, 36, 38], "calcul": [3, 4, 6, 10, 12, 22, 24, 31, 35, 36], "becaus": [3, 4, 25, 29, 31, 35, 36, 38], "concept": [3, 27, 28], "simplest": 3, "form": [3, 5, 11, 12, 13, 28, 31, 32, 35, 36, 38], "minut": [3, 12], "dure": [3, 11, 25, 26, 31, 32, 34, 35, 36, 38], "integ": [3, 31, 35, 36, 38], "being": [3, 4, 5, 6, 12, 21, 25, 31, 34, 35, 36, 38], "etc": [3, 5, 6, 24, 28, 29, 31, 32, 35, 38], "produc": [3, 4, 5, 18, 24, 29, 30, 31, 32, 35, 36, 38], "upstream": [3, 13, 15, 35, 36], "place": [3, 11, 24, 27, 31, 32, 35, 36, 38], "alter": [3, 4, 5, 28, 31, 36], "insid": [3, 11, 12, 28, 31, 35, 38], "coupl": 3, "m2": [3, 6], "m4": [3, 6], "overlap": [3, 6, 35], "m3": [3, 6], "map": [3, 6, 24, 31, 32, 35, 36, 38], "lattic": [3, 6, 17, 31, 34, 35], "orient": [3, 6, 17, 27, 29, 31, 35, 38], "featur": [3, 16, 27, 32, 35, 38], "context": [3, 25, 26, 27, 30, 31, 34, 36, 37, 38], "non": [3, 4, 5, 6, 9, 16, 23, 26, 28, 31, 32, 35, 36, 38], "editor": [3, 36, 38], "embed": [3, 21, 25, 26, 31, 33, 38], "simpli": [3, 20, 25, 27, 31, 33, 35, 36, 38], "custom_modifi": 3, "often": [3, 7, 31, 36, 38], "evalu": [3, 4, 6, 24, 26, 27, 28, 32, 33, 35, 36], "routin": [3, 14, 31], "occur": [3, 4, 7, 31, 38], "refresh": [3, 38], "viewport": [3, 9, 21, 23, 24, 25, 26, 27, 28, 30, 31, 32, 35, 36, 38], "trigger": [3, 28, 35, 36, 38], "implicitli": [3, 4, 28, 31, 35], "render_imag": [3, 27, 29, 31, 38], "subject": [3, 35], "certain": [3, 5, 18, 24, 25, 31, 35, 36], "rule": [3, 35], "basi": [3, 5, 7, 31, 35, 38], "action": [3, 6, 25, 26, 30], "asid": [3, 35], "particular": [3, 4, 5, 27, 31, 32, 35], "ad": [3, 28, 30, 31, 35, 36, 38], "remov": [3, 4, 18, 27, 30, 31, 35, 36], "side": [3, 4, 31, 35], "effect": [3, 4, 31, 32, 35, 36, 38], "global": [3, 6, 9, 11, 16, 17, 24, 27, 30, 31, 32, 35, 36, 38], "notabl": 3, "thing": [3, 6, 13, 25, 27, 31, 36], "never": [3, 31, 35], "don": [3, 25, 29, 31, 36, 38], "flight": 3, "lead": [3, 12, 31, 35, 38], "infinit": [3, 31, 35], "another_pipelin": 3, "know": [3, 27], "total_energi": 3, "numpi": [3, 4, 5, 7, 10, 12, 14, 16, 17, 19, 20, 25, 31, 35, 36, 38], "sum": [3, 14, 15, 16, 17, 35], "potenti": [3, 11, 18, 27, 31, 35, 38], "energi": [3, 27, 31, 35, 38], "common": [3, 5, 12, 24, 26, 31, 35, 36], "analyz": [3, 7, 26, 28, 35], "variou": [3, 5, 6, 27, 29, 31, 35, 36, 38], "quantiti": [3, 24, 31, 32, 35], "post": [3, 14, 26, 35, 38], "workflow": [3, 26, 28], "back": [3, 5, 24, 26, 30, 31, 33, 35, 38], "info": [3, 15], "debug": [3, 25], "messag": [3, 14, 30, 38], "downstream": [3, 36], "stage": [3, 35], "inspector": [3, 5, 31], "panel": [3, 5, 31, 38], "moreov": 3, "totalenergi": 3, "newli": [3, 4, 6, 19, 31, 32, 35, 38], "appear": [3, 6, 24, 29, 31, 32, 35, 36, 38], "tab": 3, "sai": [3, 25], "tabul": [3, 5, 31, 35], "txt": [3, 16, 24, 31, 32, 35], "attr": [3, 16, 24, 31, 32, 35], "column": [3, 4, 5, 11, 16, 24, 26, 27, 31, 32, 35, 36], "sourcefram": [3, 32, 35], "multiple_fram": [3, 16, 24, 31, 32, 35, 36], "per": [3, 4, 5, 12, 14, 16, 17, 20, 24, 31, 32, 35, 36, 38], "momenta": 3, "veloc": [3, 31, 32, 35, 38], "mass": [3, 5, 31, 32, 35], "newaxi": 3, "particles_": [3, 4, 10, 13, 14, 17, 18, 20, 31, 35, 36, 38], "momentum": [3, 31], "compon": [3, 4, 11, 12, 17, 31, 32, 35, 38], "x": [3, 4, 10, 20, 24, 26, 27, 31, 32, 35, 36, 38], "y": [3, 20, 24, 26, 27, 31, 32, 35, 36, 38], "z": [3, 4, 20, 24, 26, 27, 31, 32, 35, 36, 38], "mind": [3, 25, 27, 31, 35], "least": [3, 12, 31, 32, 36], "sens": [3, 31, 32, 35], "move": [3, 4, 9, 16, 35, 38], "expens": [3, 4, 35], "out": [3, 5, 9, 20, 26, 30, 31, 35, 36, 38], "pre": [3, 12, 25, 38], "As": [3, 6, 12, 24, 27, 28, 29, 30, 31, 32, 35, 38], "displac": [3, 4, 6, 29, 31, 35, 36, 38], "fix": [3, 23, 31, 34, 35, 36, 38], "refer": [3, 4, 5, 6, 14, 17, 19, 25, 31, 35, 36, 38], "configur": [3, 6, 25, 27, 29, 31, 35, 36, 38], "filesourc": [3, 4, 13, 24, 27, 28, 31, 32, 35, 36, 38], "temporari": 3, "index_map": 3, "remap_indic": [3, 13, 31], "statement": [3, 4, 17, 30, 31, 35, 38], "enter": [3, 27, 28, 36], "soon": [3, 35], "press": 3, "commit": 3, "button": 3, "scroll": 3, "drag": 3, "slider": [3, 9, 36], "relev": [3, 5, 12], "thread": [3, 25], "respons": [3, 27, 29, 31, 35, 38], "event": [3, 9, 36, 38], "cannot": [3, 6, 30, 31, 32, 35], "mous": [3, 38], "keyboard": 3, "period": [3, 11, 13, 29, 31, 35, 36, 38], "freez": [3, 35], "prevent": [3, 4, 38], "asynchron": 3, "yield": [3, 12, 14, 15, 17, 18, 28, 31, 32, 35, 38], "interv": [3, 31, 34, 35, 38], "pend": 3, "manner": [3, 6, 35], "temporarili": 3, "paus": 3, "chanc": 3, "wait": 3, "3d": [3, 11, 26, 31, 35, 38], "frequent": [3, 10], "abort": 3, "interrupt": [3, 17], "restart": 3, "report": [3, 5, 12, 15, 24, 30, 31, 32, 35, 36, 38], "progress": [3, 15, 17, 18, 38], "fraction": [3, 31, 35, 38], "bar": [3, 6, 14, 15, 17, 18, 21, 31, 35, 38], "window": [3, 9, 11, 12, 20, 23, 25, 35, 38], "altern": [3, 4, 16, 27, 31, 32, 33, 35, 38], "statu": [3, 14, 15, 17, 18], "ii": [3, 28], "subroutin": 3, "10000": 3, "nstep": 3, "explan": 3, "bodi": [3, 28, 35], "turn": [3, 5, 29, 31, 35, 36, 38], "deleg": [3, 35, 36], "extra": [3, 25, 31, 32, 35], "num_iter": 3, "numer": [3, 4, 5, 10, 11, 14, 31, 32, 35, 36, 38], "widget": [3, 9, 38], "rerun": 3, "bool": [3, 13, 31, 32, 38], "most": [3, 9, 10, 12, 24, 27, 31, 38], "printabl": 3, "enable_opt": 3, "type_nam": 3, "cu": [3, 8, 10, 31, 35, 36], "5": [3, 4, 5, 7, 8, 10, 12, 14, 17, 18, 22, 27, 28, 31, 35, 36, 38], "save": [3, 11, 12, 24, 25, 27, 30, 32, 35, 38], "session": [3, 26, 30, 36, 38], "along": [3, 4, 27, 31, 35, 36, 38], "pickl": 3, "emploi": [3, 4, 9, 14, 31, 34, 35, 36], "behind": [3, 4, 35, 38], "treat": [3, 35], "vectorvi": [3, 13, 29, 35, 38], "prop": [3, 31], "vector": [3, 4, 5, 6, 10, 11, 12, 16, 17, 20, 27, 29, 31, 32, 35, 36, 38], "instanti": [3, 27, 35], "vectori": [3, 31, 32, 35, 38], "arrow": [3, 13, 22, 29, 31, 35, 38], "glyph": [3, 38], "visual_el": [], "width": [3, 9, 31, 35, 38], "across": [3, 31], "opt": 3, "behavior": [3, 12, 31, 32, 35, 38], "familiar": [3, 12, 27], "pick": [3, 35, 38], "Its": [3, 35], "formal": 3, "mandatori": [3, 5], "pack": [3, 35], "doubl": 3, "asterisk": 3, "content": [3, 4, 25, 30, 31, 32, 35], "input_slot": [3, 13, 15, 36], "inputslot": [3, 13, 15, 36], "100": [3, 10, 11, 27, 29, 31, 32, 35, 36, 38], "data_cach": [3, 15, 36], "discuss": [3, 4, 31, 38], "explicitli": [3, 4, 10, 24, 25, 27, 28, 31, 32, 35, 36, 38], "bind": 3, "easili": [3, 6, 11, 25, 26, 35], "remain": [3, 12, 31, 35, 36], "suppos": [3, 35, 36, 38], "fact": [3, 31], "hold": [3, 5, 28, 31, 35], "what": [3, 15, 26, 29, 31, 35], "simultan": [3, 4, 35], "taken": [3, 31, 35, 36, 38], "technic": [3, 31, 38], "term": [3, 10, 29, 31, 35, 38], "connect": [3, 9, 24, 31, 35, 36, 38], "preced": [3, 4, 11, 12, 16, 28, 31, 35, 36], "exactli": [3, 30, 31, 32, 35, 38], "linear": [3, 31, 35, 38], "sequenc": [3, 24, 27, 28, 31, 32, 35, 36, 38], "deliv": 3, "ask": 3, "gain": 3, "so": [3, 4, 11, 12, 16, 26, 31, 35, 36, 38], "repres": [3, 4, 5, 27, 28, 30, 31, 35, 36, 37, 38], "next_fram": 3, "next_data": 3, "togeth": [3, 4, 5, 31, 35], "increment": [3, 31, 36], "next": [3, 11, 12, 31, 32, 38], "naiv": 3, "assum": [3, 11, 31, 35, 36], "continu": [3, 12, 31, 35, 38], "boundari": [3, 4, 5, 11, 13, 29, 31, 34, 35, 36, 38], "condit": [3, 4, 5, 11, 31, 34, 35, 36, 38], "robust": [3, 35], "delta_vector": [3, 13, 31], "curr_posit": 3, "next_posit": 3, "answer": 3, "retriev": [3, 30, 31, 35, 36], "intern": [3, 4, 9, 24, 31, 35, 36], "announc": [3, 31], "ahead": 3, "input_caching_hint": [3, 13, 36], "calcincrementaldisplac": 3, "accordingli": [3, 13, 35], "kept": [3, 12], "memori": [3, 4, 5, 12, 13, 21, 24, 27, 31, 32, 35, 36], "advantag": [3, 31, 38], "fine": 3, "tune": 3, "imagin": 3, "would": [3, 4, 11, 24, 26, 27, 31, 32, 35, 36, 38], "ineffici": [3, 4], "twice": [3, 31], "With": [3, 26], "contrast": [3, 31], "And": [3, 36], "length": [3, 4, 5, 7, 10, 12, 20, 23, 29, 31, 34, 35, 36, 38], "last": [3, 28, 30, 31, 35, 36, 38], "influenc": 3, "third": [3, 8, 11, 21, 24, 31, 35, 38], "parti": [3, 21, 38], "infrastructur": 3, "strongli": 3, "valid": [3, 4, 11, 14, 28, 31, 35, 38], "assign": [3, 10, 11, 12, 13, 19, 27, 31, 35, 36, 38], "notif": 3, "notifi": [3, 36], "magnitud": [3, 16, 31, 35], "predefin": [3, 31, 35], "perturbparticlesmodifi": 3, "positions_": [3, 4, 31], "default_rng": 3, "standard_norm": 3, "shape": [3, 5, 7, 10, 20, 29, 31, 35, 36, 38], "construct": [3, 5, 11, 27, 31, 33, 34, 35, 38], "hard": 3, "dynam": [3, 5, 6, 8, 21, 24, 27, 28, 31, 32, 34, 35, 36, 38], "data1": [3, 28, 36], "200": [3, 11, 32, 35], "data2": [3, 4, 28, 36], "detect": [3, 4, 6, 13, 24, 31, 32, 35], "discard": [3, 32, 35], "recomput": [3, 28, 35], "ui": [3, 38], "pertub": 3, "enum": 3, "colortrait": [3, 37], "ovitoobjecttrait": [3, 13, 36, 37], "essenti": [3, 26, 27, 31], "underli": [3, 31], "show": [3, 4, 9, 12, 14, 17, 18, 25, 27, 30, 31, 35, 36, 38], "manag": [3, 5, 13, 27, 30, 31, 35, 36, 38], "computevectorsmodifi": 3, "vector_vi": [3, 13, 38], "vec": [3, 31], "dtype": [3, 5, 7, 10, 12, 17, 31], "style": [3, 32, 38], "possibli": [3, 31], "displacement_vector": [], "declar": 3, "displacementswithreferencemodifi": 3, "ref_data": [3, 13], "reference_configur": 3, "m7": [3, 6], "repeatedli": [3, 28, 36], "consum": 3, "avoid": [3, 4, 14, 31, 36, 38], "outcom": [3, 25, 26], "motiv": [3, 35], "averag": [3, 6, 14, 31, 32, 35, 36], "time_averag": [], "averageselectioncount": 3, "compute_time_averag": 3, "accumul": [3, 35, 38], "count_nonzero": [3, 31, 35], "doe": [3, 15, 24, 28, 31, 33, 35, 36, 38], "lengthi": 3, "even": [3, 13, 27, 31, 32, 35, 36, 38], "though": [3, 31, 35, 38], "obvious": [3, 27], "purpos": [3, 5, 24, 25, 28, 31, 35], "check": [3, 4, 15, 25, 31], "copi": [3, 4, 12, 15, 20, 23, 30, 31, 32, 35, 36], "arbitrari": [3, 5, 31, 35, 38], "transient": [3, 31, 36], "put": 3, "clear": [3, 35], "invalid": [3, 31, 35, 36], "word": [3, 4, 12, 24, 28, 31, 35], "lifetim": 3, "yourself": [3, 26, 36], "m8": [3, 6, 36], "ve": [3, 25, 36], "perman": [3, 31, 38], "chapter": 4, "amend": [4, 31, 36], "sure": [4, 12, 13, 25, 28, 31, 32, 35, 38], "unnecessari": [4, 36], "far": 4, "achiev": [4, 20, 31], "goal": [4, 11], "duplic": [4, 31, 35], "clone": [4, 31], "obtain": [4, 11, 12, 31, 32, 33, 35, 36, 38], "exact": [4, 30], "origin": [4, 12, 27, 31, 32, 35, 36], "assert": [4, 14, 30, 31, 35], "physic": [4, 31, 35, 38], "insert": [4, 5, 8, 16, 20, 24, 25, 27, 28, 30, 31, 32, 35, 36, 38], "too": [4, 12, 31, 36], "shallow": [4, 31], "mani": [4, 11, 12, 24, 25, 27, 28, 31, 35], "situat": [4, 31, 32], "field": [4, 5, 11, 23, 27, 29, 30, 31, 35, 36, 38], "unmodifi": [4, 27, 36], "master": [4, 36], "reload": 4, "final": [4, 8, 27, 31, 35, 36], "caller": [4, 27], "fulli": [4, 9, 26, 27, 31, 35, 36, 38], "small": [4, 12, 31, 35, 36], "portion": 4, "dataset": [4, 5, 7, 10, 24, 27, 28, 31, 32, 33, 35, 36, 38], "plai": [4, 35, 36, 38], "okai": [4, 31, 36], "between": [4, 5, 7, 8, 31, 32, 33, 34, 35, 36, 38], "long": [4, 11, 12, 15, 17, 30, 31, 32, 35, 38], "intend": [4, 27, 31, 35, 36], "exclus": [4, 31], "unwant": [4, 31], "affect": [4, 31, 35, 38], "someon": 4, "els": [4, 13, 14, 31, 38], "result": [4, 5, 9, 10, 11, 12, 15, 16, 17, 21, 24, 26, 28, 29, 31, 35, 36, 38], "unexpect": [4, 31], "safeguard": 4, "accident": 4, "attempt": [4, 11, 31, 38], "flag": [4, 13, 29, 31, 35, 36, 38], "pbc": [4, 8, 11, 31, 36, 38], "runtimeerror": [4, 20, 21, 36], "owner": 4, "mutabl": [4, 31], "notat": [4, 10, 31, 38], "rais": [4, 20, 21, 23, 31, 33, 36, 38], "error": [4, 31, 36, 38], "caus": 4, "solut": [4, 9], "handi": 4, "shortcut": 4, "cell_": [4, 31], "underscor": [4, 31, 35], "suffix": [4, 11, 31, 32, 35], "signal": 4, "safe": [4, 31], "referenc": [4, 31, 35, 38], "parent": [4, 5, 31, 38], "child": [4, 5, 31, 35], "perform": [4, 5, 6, 14, 15, 24, 25, 26, 27, 28, 30, 31, 32, 34, 35, 36, 38], "intent": 4, "color_valu": 4, "random_sampl": [4, 31, 38], "size": [4, 5, 21, 22, 27, 29, 31, 35, 36, 38], "necessari": [4, 21, 25, 27, 28, 31, 32, 35, 36, 38], "overwritten": [4, 31, 35], "document": [4, 5, 14, 19, 24, 27, 31, 32, 35, 36, 38], "nest": [4, 5, 17, 31, 38], "well": [4, 25, 30, 31, 32, 35, 38], "therefor": [4, 12], "bonds_": [4, 31], "unit": [4, 5, 23, 29, 31, 35, 38], "axi": [4, 14, 17, 19, 20, 31, 35, 36, 38], "subset": [4, 31, 35], "those": [4, 31, 35, 36, 38], "whose": [4, 18, 31, 35, 37, 38], "primit": [4, 29], "dislocation_dens": 4, "dislocationanalysi": [4, 31, 34, 35], "total_line_length": [4, 31, 34, 35], "volum": [4, 14, 31, 35, 38], "ratio": [4, 35, 38], "total": [4, 5, 11, 12, 31, 34, 35, 36], "disloc": [4, 31, 32, 34, 35, 38], "crystal": [4, 17, 20, 31, 34, 35], "previous": [4, 25, 31, 35, 36], "dislocationanalysismodifi": [4, 31, 34, 35, 38], "ever": 4, "demonstr": [4, 6, 7, 8, 9, 10, 21, 31, 32, 35, 38], "span": [4, 31], "3x4": [4, 19, 31, 35, 38], "matrix": [4, 11, 12, 14, 19, 27, 31, 35, 38], "15": [4, 11], "b": [4, 31, 35], "30": [4, 11, 12, 31, 35], "c": [4, 11, 25, 31, 35], "dimens": [4, 5, 11, 31, 35, 38], "rescal": [4, 17], "affinetransformationmodifi": [4, 35, 36], "normal": [4, 14, 20, 27, 31, 32, 35, 36, 38], "upon": [4, 36], "threshold": [4, 31, 35], "expressionselectionmodifi": [4, 24, 31, 35, 36, 38], "potentialenergi": [4, 24, 35], "deleteselectedmodifi": [4, 18, 26, 31, 35], "hoc": 4, "act": [4, 17, 27, 35, 36], "easier": [4, 11, 35, 38], "fragment": [5, 31], "box": [5, 6, 8, 29, 31, 35, 38], "correspond": [5, 10, 12, 20, 24, 28, 29, 31, 32, 35, 36, 38], "dataobject": [5, 29, 31, 32, 38], "relationship": 5, "topmost": 5, "hierarchi": [5, 31], "fundament": [5, 20, 35], "complet": [5, 28, 29, 31, 35, 38], "anim": [5, 9, 21, 24, 28, 29, 31, 32, 35, 36, 38], "seri": [5, 24, 31, 32, 35, 38], "molecul": [5, 31, 35], "center": [5, 18, 22, 31, 35, 38], "represent": [5, 29, 31, 33, 34, 35, 36, 38], "uniform": [5, 31, 35, 38], "noth": [5, 19, 34], "loos": 5, "held": 5, "prescrib": [5, 31], "mimic": [5, 38], "color_properti": [5, 35], "conveni": [5, 27, 31], "getter": [5, 31], "datat": [5, 21, 31, 32, 35], "voxelgrid": [5, 31, 32, 35, 38], "behav": [5, 25, 26, 31, 32], "pretti": 5, "much": [5, 31, 35], "73": [5, 27, 31], "24230194": [5, 27], "77583981": [5, 27], "87618297": [5, 27], "49": [5, 27], "00170135": [5, 27], "35": [5, 10, 27, 31, 36], "47610092": [5, 27], "27": [5, 11, 27], "92519951": [5, 27], "50": [5, 27, 31, 35, 36], "36349869": [5, 27], "39": [5, 27], "02569962": [5, 27], "25": [5, 27], "61310005": [5, 27], "42": [5, 11, 27], "71210098": [5, 27], "59": [5, 27], "44919968": [5, 27], "38": [5, 11, 27], "6432991": [5, 27], "9917984": [5, 27], "63": [5, 27], "53770065": [5, 27], "36": [5, 10, 11, 27], "33330154": [5, 27], "44": [5, 27], "17670059": [5, 27], "61": [5, 27, 31], "49860001": [5, 27], "37": [5, 12, 27, 31], "5401001": [5, 27], "dimension": [5, 7, 10, 20, 21, 24, 27, 29, 30, 31, 32, 35, 36, 38], "scalar": [5, 31, 35, 38], "equal": [5, 10, 31, 35, 36], "28655": 5, "dim": [5, 31], "float64": [5, 31], "int32": [5, 12, 31], "int64": [5, 31], "chosen": [5, 31, 35], "token": [5, 11, 12, 31], "pair": [5, 14, 18, 31, 32, 35, 38], "clusteranalysi": [5, 31, 35], "cluster_count": [5, 31, 35], "reflect": [5, 9, 31, 35, 36, 38], "cluster": [5, 25, 31, 35, 38], "found": [5, 12, 21, 24, 25, 31, 32, 35, 36, 38], "emb": [5, 38], "textlabeloverlai": [5, 38], "row": [5, 7, 10, 31, 35], "histogrammodifi": [5, 31, 35], "commonneighboranalysismodifi": [5, 7, 27, 31, 32, 35], "graph": [5, 31, 35], "chart": [5, 24, 31, 35], "scatter": [5, 31, 35], "histogram": [5, 7, 10, 21, 31, 35], "plot": [5, 6, 24, 31, 35], "lookup": [5, 31, 35], "constructsurfacemodifi": [5, 31, 35, 38], "triangul": [5, 38], "spatial": [5, 14, 31, 35], "region": [5, 14, 31, 35, 38], "fill": [5, 11, 31, 33, 34, 35, 38], "vertic": [5, 10, 29, 31, 35, 38], "face": [5, 10, 31, 35, 38], "page": [6, 14, 19, 24, 31, 35, 38], "categori": [6, 35], "termin": [6, 25, 26, 31, 35, 38], "task": [6, 11, 26, 34, 35], "accomplish": [6, 35, 36], "b1": [6, 35], "voronoi": [6, 35], "indic": [6, 15, 17, 30, 31, 32, 35, 38], "b2": [6, 35], "cna": [6, 35], "b3": 6, "programmat": [6, 16, 25, 27, 31, 36], "b4": [6, 38], "viewer": [6, 31, 38], "m1": 6, "squar": [6, 17, 29, 31, 35, 38], "m5": [6, 31], "shrink": [6, 31], "wrap": [6, 31, 35, 36, 38], "m6": 6, "entropi": 6, "enrich": 6, "movi": [6, 24, 28, 29, 38], "live": 6, "o1": 6, "scale": [6, 22, 31, 35, 38], "o2": 6, "o3": 6, "highlight": [6, 31, 35, 38], "dialog": [6, 38], "fr2": [6, 11, 32], "optim": [6, 11, 31, 32, 35], "createbondsmodifi": [7, 31, 35, 36, 38], "character": [7, 35], "triplet": [7, 31, 38], "topologi": [7, 8, 24, 31, 32, 35, 36], "surround": [7, 35, 38], "network": [7, 31], "modif": [7, 27, 28, 31, 35, 36], "bondsenumer": [7, 31], "helper": [7, 10, 31, 35], "atom": [7, 8, 10, 11, 12, 14, 17, 20, 24, 26, 31, 32, 33, 35, 36, 38], "cna_pair_typ": 7, "number_of_such_pair": 7, "sy": [7, 9, 25, 35, 38], "mode": [7, 31, 35, 36, 38], "bondbas": [7, 35], "cna_indic": 7, "frequenc": [7, 10], "magic": [7, 10], "occurr": [7, 10], "row_histogram": [7, 10], "ca": [7, 10, 31, 32, 34, 35], "ascontiguousarrai": [7, 10], "view": [7, 10, 27, 29, 30, 31, 38], "invers": [7, 10, 31, 35], "return_index": [7, 10], "return_invers": [7, 10], "bincount": [7, 10], "below": [7, 11, 18, 25, 31, 32, 34, 35], "bond_enumer": 7, "particle_index": [7, 14, 31], "stdout": 7, "bond_index_list": 7, "bonds_of_particl": [7, 31], "local_cna_indic": 7, "unique_triplet": 7, "triplet_count": 7, "zip": [7, 35], "end": [7, 28, 31, 32, 35, 36, 38], "creation": [8, 31, 35, 36], "fly": [8, 27, 35], "staticsourc": [8, 33, 36], "po": [8, 31], "pos_prop": 8, "type_prop": 8, "particletyp": [8, 11, 31, 32, 35, 38], "id": [8, 10, 11, 12, 31, 32, 35, 38], "ni": [8, 31], "my_data": 8, "141": 8, "23": [8, 11], "my_prop": 8, "line_width": [8, 31, 38], "bond_topologi": [8, 31], "create_qt_widget": [9, 38], "pyside6": [9, 38], "cross": [9, 13, 31, 35, 36, 38], "platform": [9, 38], "qslider": 9, "shown": [9, 23, 31, 35, 36, 38], "flesh": 9, "area": [9, 29, 31, 35, 38], "inoffici": 9, "undocu": 9, "qt": [9, 22, 23, 38], "qtwidget": [9, 38], "qapplic": [9, 38], "qmainwindow": 9, "qwidget": [9, 38], "qvboxlayout": 9, "app": [9, 25, 38], "argv": [9, 25, 35, 38], "qcoreappl": [9, 38], "wouldn": [9, 38], "u": [9, 17, 25, 35, 38], "mainwin": 9, "setwindowtitl": [9, 38], "central_widget": 9, "central_layout": 9, "setcentralwidget": 9, "virtual": [9, 27, 35, 38], "vp": [9, 27, 29, 31, 38], "perspect": [9, 23, 26, 27, 29, 38], "camera_dir": [9, 27, 29, 31, 38], "vp_widget": 9, "addwidget": 9, "time_slid": 9, "horizont": [9, 38], "settickinterv": 9, "settickposit": 9, "ticksbothsid": 9, "on_time_slid": 9, "current_fram": 9, "valuechang": 9, "resiz": [9, 31, 35, 38], "800": [9, 27, 29], "600": [9, 27, 29], "animation1": 9, "setmaximum": 9, "camera": [9, 25, 27, 29, 38], "zoom_al": [9, 27, 29, 31, 38], "height": [9, 23, 38], "exit": [9, 38], "exec": [9, 38], "polyhedra": [10, 35], "amorph": 10, "polyhedron": [10, 35], "schlaefli": 10, "edg": [10, 31, 35, 38], "64": [10, 31], "zr": [10, 31, 36], "bulk": [10, 12, 35], "metal": 10, "glass": 10, "icosahedron": 10, "12": [10, 17, 31, 35, 38], "five": 10, "chemic": [10, 11, 31, 35], "why": [10, 38], "radii": [10, 31, 35, 36, 38], "polydispers": 10, "tessel": [10, 35], "assign_particle_radii": 10, "atom_typ": 10, "particle_types_": [10, 31, 36], "type_by_id_": [10, 31, 36], "55": [10, 31, 36], "voro": 10, "compute_indic": [10, 35], "use_radii": [10, 35], "edge_threshold": [10, 35], "maximum": [10, 20, 31, 32, 35, 38], "voro_indic": 10, "sort": [10, 31, 32, 35], "descend": [10, 35], "sort_indic": 10, "argsort": [10, 31], "unique_indic": 10, "ten": 10, "1f": 10, "len": [10, 12, 14, 16, 17, 20, 31, 35], "12274": 10, "11": [10, 31], "7485": 10, "5637": 10, "4857": 10, "3415": 10, "2927": 10, "2900": 10, "2068": 10, "2063": 10, "1662": 10, "assumpt": 11, "provis": 11, "recogniz": 11, "characterist": 11, "exampleformat": 11, "tag": [11, 32], "delimit": [11, 31], "success": [11, 31, 35], "notic": 11, "encod": [11, 12, 31, 35, 38], "symbol": [11, 31], "reduc": [11, 12, 31, 32, 35, 38], "865954": 11, "000000": 11, "973035": 11, "18": 11, "na": 11, "09306390": 11, "30261238": 11, "46908935": 11, "90693610": 11, "69738762": 11, "46908938": 11, "30261235": 11, "90693613": 11, "53091062": 11, "69738763": 11, "09306392": 11, "40693612": 11, "80261241": 11, "03091062": 11, "59306393": 11, "19738766": 11, "03091059": 11, "19738763": 11, "40693613": 11, "96908938": 11, "80261236": 11, "59306396": 11, "24180739": 11, "09397526": 11, "19064404": 11, "75819276": 11, "90602458": 11, "19064394": 11, "09397538": 11, "75819274": 11, "80935606": 11, "90602453": 11, "24180732": 11, "25819273": 11, "59397545": 11, "30935596": 11, "74180726": 11, "40602446": 11, "30935606": 11, "40602443": 11, "25819271": 11, "69064391": 11, "74180729": 11, "69064404": 11, "sn": 11, "00000000": 11, "50000000": 11, "49999997": 11, "870939": 11, "977331": 11, "09309428": 11, "30260112": 11, "46914038": 11, "90690570": 11, "69739888": 11, "46914042": 11, "30260109": 11, "90690574": 11, "53085958": 11, "09309430": 11, "40690573": 11, "80260115": 11, "03085957": 11, "59309430": 11, "19739893": 11, "03085954": 11, "19739889": 11, "40690574": 11, "96914042": 11, "80260110": 11, "59309434": 11, "96914043": 11, "24179056": 11, "09398270": 11, "19066976": 11, "75820959": 11, "90601718": 11, "19066973": 11, "09398279": 11, "80933034": 11, "90601713": 11, "24179048": 11, "80933037": 11, "25820958": 11, "59398272": 11, "30933030": 11, "74179038": 11, "40601712": 11, "30933031": 11, "40601707": 11, "25820957": 11, "69066957": 11, "59398288": 11, "74179044": 11, "69066971": 11, "00000002": 11, "49999998": 11, "878383": 11, "982911": 11, "19": 11, "09309963": 11, "30259914": 11, "46914936": 11, "90690035": 11, "69740086": 11, "46914940": 11, "30259910": 11, "90690039": 11, "53085060": 11, "09309965": 11, "53085059": 11, "40690038": 11, "80259917": 11, "03085059": 11, "59309965": 11, "19740091": 11, "03085055": 11, "19740087": 11, "40690039": 11, "96914940": 11, "80259911": 11, "59309969": 11, "96914941": 11, "24178760": 11, "09398401": 11, "19067428": 11, "75821255": 11, "90601588": 11, "19067427": 11, "09398409": 11, "75821256": 11, "80932582": 11, "90601583": 11, "24178752": 11, "80932585": 11, "25821254": 11, "59398400": 11, "30932578": 11, "74178741": 11, "40601583": 11, "40601578": 11, "25821253": 11, "69067409": 11, "59398418": 11, "74178748": 11, "69067423": 11, "fe": [11, 31], "32000002": 11, "41690039": 11, "42785059": 11, "simplic": 11, "extract": [11, 12, 31, 35, 38], "examplefileformatread": 11, "splitext": 11, "phrase": 11, "track": [11, 31, 32], "13": [11, 35], "14": [11, 12, 31, 35, 38], "16": 11, "encount": [11, 36, 38], "startswith": [11, 12], "thorugh": 11, "21": 11, "26": 11, "32": [11, 12], "33": 11, "These": [11, 31, 32, 35, 38], "40": [11, 22, 23, 35, 36, 38], "48": 11, "53": 11, "convert": [11, 12, 31, 33, 34, 35, 38], "type_properti": [11, 12, 31], "correct": [11, 12, 13, 28, 31, 35], "lastli": 11, "cartesian": [11, 12, 31, 32, 35, 38], "coordiant": [11, 12], "seek": [11, 32], "particle_count": [11, 12], "position_properti": [11, 12], "exhibit": [11, 35, 38], "issu": [11, 12, 38], "becom": [11, 12, 29, 31, 35, 38], "slower": [11, 12], "bottleneck": [11, 12], "address": [11, 12], "critic": 12, "jump": [12, 24, 35], "sequenti": [12, 27, 28], "scan": [12, 24, 32], "head": [12, 13, 31, 36, 38], "deactiv": 12, "utf": 12, "unfortun": 12, "fast": [12, 29, 31, 36], "identfi": 12, "shift": [12, 31], "pointer": 12, "benchmark": 12, "against": [12, 31], "about": [12, 14, 19, 35, 38], "old": [12, 35], "speedup": 12, "pars": [12, 32, 35], "secondli": 12, "starting_byte_offset": 12, "left": [12, 28, 30, 31, 36, 38], "unchang": 12, "measur": [12, 35, 38], "000": [12, 38], "unoptim": 12, "recal": 12, "betwenn": 12, "cartes": 12, "transform": [12, 31, 35, 36, 38], "usag": [12, 31, 33, 34, 35, 36], "einsum": 12, "acceler": [12, 29, 38], "Be": 12, "awar": 12, "increas": [12, 31, 35], "j": 12, "ij": 12, "kj": 12, "ki": 12, "alloc": 12, "p": [12, 31], "x_": 12, "mathrm": [12, 31, 35], "y_": 12, "z_": 12, "subscript": 12, "afterward": 12, "seen": [12, 27, 36, 38], "largest": [12, 35], "142": 12, "saw": 12, "realli": 12, "transfer": [12, 34, 35, 38], "larg": [12, 31, 35, 38], "challeng": 12, "repeat": [12, 28], "reliabl": 12, "test": [12, 18, 31, 35], "best": [12, 17, 31, 32], "practic": 12, "releas": 12, "replic": [13, 35], "calculatedisplacementsmodifi": [13, 16, 29, 35, 36, 38], "inherit": [13, 15, 31, 35], "cach": [13, 15, 36], "slot": [13, 15, 36], "calculatedisplacementswithrefer": 13, "config": [13, 36], "reference_fram": [13, 36], "default_valu": [13, 15], "minimum_image_convent": [13, 35, 36], "minimum": [13, 31, 35, 36], "convent": [13, 31, 32, 35, 36], "align": [13, 19, 35, 38], "flat_shad": [13, 31, 38], "titl": [13, 21, 31, 36, 38], "current_posit": 13, "reference_posit": 13, "correctli": [13, 31, 35, 38], "fingerprint": 14, "visit": [14, 31, 35], "neighbor": [14, 17, 18, 31, 35, 38], "spheric": [14, 31], "around": [14, 18, 22, 31, 35, 38], "learn": [14, 19, 31, 35, 38], "cutoffneighborfind": [14, 18, 31], "distanc": [14, 17, 18, 31, 35, 36, 38], "central": [14, 17, 18, 31, 35], "neighborhood": [14, 35], "np": [14, 17, 20, 31, 35, 36], "sigma": 14, "use_local_dens": 14, "compute_averag": 14, "average_cutoff": 14, "overal": [14, 31, 38], "densiti": [14, 31, 35, 38], "global_rho": 14, "finder": [14, 18, 31], "local_entropi": 14, "bin": [14, 25, 31, 32, 35], "nbin": 14, "integrand": 14, "linspac": [14, 31, 36], "num": 14, "rsq": 14, "precomput": 14, "factor": [14, 35, 38], "g_m": 14, "prefactor": 14, "pi": [14, 36], "sqrt": [14, 35], "divis": 14, "r_ij": 14, "neighbor_dist": [14, 31], "r_ji": 14, "r_diff": 14, "expand_dim": 14, "exp": 14, "estim": [14, 35], "local_volum": 14, "rho": 14, "1e": [14, 20, 31], "log": [14, 30, 32], "trapz": 14, "math": [14, 20, 27, 29, 35, 36], "divid": [14, 16, 20, 31, 35], "output_properti": [14, 31, 35], "operate_on": [14, 31, 35], "cutoff_radiu": [14, 35], "numneighbor": 14, "neighbor_express": [14, 35], "timeaveragingmodifi": [15, 31, 35], "timeaverageofattribut": 15, "input_attribut": 15, "elif": 15, "output_attribut": 15, "sampl": [15, 31, 35, 38], "instantan": [15, 35], "frame_data": 15, "percentag": 15, "msd": 16, "displacement_magnitud": 16, "batch": [16, 27, 31, 35], "calculate_msd": 16, "rest": 16, "msd_data": 16, "paper": [17, 35], "phy": 17, "rev": 17, "lett": 17, "86": 17, "5530": 17, "belong": [17, 24, 31, 35], "liquid": 17, "solid": [17, 31, 35, 38], "fcc": [17, 31, 32, 34, 35], "phase": [17, 25, 35], "nearest": [17, 31, 35], "ideal": [17, 35], "phi": [17, 31], "closest": [17, 31, 35], "nearestneighborfind": [17, 31], "scope": 17, "constant": [17, 31, 35, 36, 38], "lattice_paramet": 17, "110": 17, "reference_vector": 17, "asarrai": [17, 31], "account": [17, 31, 35], "num_neighbor": [17, 35], "order_param": 17, "neigh_find": 17, "oparam": 17, "neigh": [17, 18, 31], "deviat": [17, 35], "squared_devi": 17, "linalg": [17, 20, 31], "norm": [17, 20, 31], "delta": [17, 31, 36], "contribut": 17, "min": [17, 19, 31, 35], "feedback": 17, "elimin": 18, "among": [18, 31], "overlap_dist": 18, "nearbi": [18, 31, 35], "hasn": 18, "close": [18, 21, 31, 35, 38], "break": 18, "bound": [19, 31, 35, 38], "There": [19, 38], "max": [19, 31, 35], "coords_min": 19, "amin": [19, 35], "coords_max": 19, "amax": [19, 35], "x_max": 19, "x_min": 19, "y_max": 19, "y_min": 19, "z_max": 19, "z_min": 19, "diag": 19, "isn": [19, 31], "polyhedredr": 20, "ptm": [20, 31, 35], "poli": [20, 35], "quaternion": [20, 31, 35], "rotat": [20, 22, 31, 35, 36, 38], "zone": [20, 35], "translat": [20, 22, 31, 35, 38], "rgb": [20, 31, 35, 37, 38], "past": [20, 23], "quaternions_to_color": 20, "q": 20, "nx4": 20, "nx3": [20, 31, 35], "rodrigu": 20, "space": [20, 22, 23, 27, 29, 31, 32, 35, 38], "w": [20, 31, 35, 38], "zeros_lik": 20, "rr": 20, "hack": 20, "theta": [20, 31, 35, 36], "arctan": 20, "radian": [20, 27, 29, 35, 38], "62": 20, "overlai": [21, 23, 38], "matplotlib": [21, 25, 38], "radial": [21, 31, 35], "agg": 21, "activ": [21, 30, 31, 34, 35, 36, 38], "off": [21, 29, 31, 35, 36, 38], "screen": [21, 22, 23, 38], "pyplot": 21, "plt": 21, "qtgui": [21, 22, 23, 38], "arg": [21, 22, 23, 25, 38], "selected_pipelin": [21, 30], "rdf": [21, 31, 35], "No": [21, 35, 38], "rdf_data": 21, "xy": [21, 22, 31, 32, 35], "inch": 21, "dpi": 21, "80": [21, 35], "plot_width": 21, "plot_height": 21, "figur": [21, 29, 31], "fig": 21, "ax": [21, 35, 38], "subplot": 21, "figsiz": 21, "patch": 21, "set_alpha": 21, "tight_layout": 21, "buffer": [21, 35], "buf": 21, "canva": [21, 38], "print_to_buff": 21, "qimag": [21, 38], "res_x": 21, "res_i": 21, "img": 21, "format_rgba8888": 21, "paint": [21, 38], "onto": [21, 31], "painter": [21, 22, 23, 38], "drawimag": 21, "particlesvi": [22, 29, 31, 35, 38], "pindex": 22, "project_point": [22, 38], "particle_typ": [22, 31, 35], "type_by_id": [22, 31, 35], "pixel": [22, 35, 38], "screen_radiu": 22, "project_s": [22, 23, 38], "draw": [22, 31, 38], "dash": 22, "circl": [22, 31, 38], "pen": 22, "qpen": [22, 23], "dashlin": 22, "setwidth": 22, "setcolor": 22, "qcolor": [22, 23], "255": [22, 23], "setpen": [22, 23], "drawellips": 22, "qpointf": 22, "arrow_shap": 22, "qpolygonf": 22, "setbrush": 22, "qbrush": 22, "45": 22, "drawpolygon": 22, "nm": 23, "pictur": [23, 29, 31, 35, 38], "pythonviewportoverlai": [23, 38], "bar_length": 23, "angstrom": 23, "bar_color": 23, "label_text": 23, "label_color": 23, "is_perspect": [23, 38], "screen_length": 23, "07": [23, 38], "margin": [23, 38], "02": [23, 38], "rect": 23, "qrectf": 23, "rectangl": [23, 38], "fillrect": 23, "font": [23, 38], "setpixels": 23, "setfont": 23, "drawtext": [23, 38], "aligncent": 23, "earlier": [24, 27], "other_simul": 24, "unlik": [24, 28, 31], "visibl": [24, 27, 29, 30, 31, 35, 36, 38], "topic": [24, 27, 31], "pattern": [24, 32], "1000": [24, 34], "2000": 24, "wildcard": [24, 32], "file_list": 24, "dir_a": [24, 32], "dir_b": [24, 32], "dir_c": 24, "multi": [24, 31, 35, 38], "demand": 24, "molecular": [24, 31, 34, 35], "loadtrajectorymodifi": [24, 32, 35, 36], "traj_mod": [24, 35], "fetch": 24, "suffici": [24, 31, 35, 38], "legaci": [24, 32], "outputfil": 24, "expressionselect": [24, 35, 38], "criterion": [24, 35], "Such": [24, 28, 31], "evolut": [24, 35], "potenergi": 24, "531": 24, "540": 24, "522": 24, "502": 24, "anaconda": 25, "pypi": 25, "miniconda": 25, "strict": 25, "channel": 25, "prioriti": 25, "forg": 25, "latter": [25, 31, 32, 35], "paid": 25, "confus": 25, "popular": 25, "right": [25, 27, 31, 35, 38], "preconfigur": [25, 31], "commonli": 25, "equip": 25, "subdirectori": 25, "linux": [25, 38], "maco": 25, "launch": [25, 38], "stand": 25, "hello": [25, 38], "world": [25, 38], "x86_64": 25, "consol": [25, 32, 35], "remot": [25, 32, 36, 38], "machin": 25, "possess": [25, 31, 38], "reliev": [25, 35], "setup": 25, "everyth": [25, 30, 35], "anymor": 25, "observ": [25, 26, 36], "processor": [25, 31, 34], "smaller": [25, 31, 35, 38], "myscript": 25, "cpython": 25, "ship": 25, "veri": [25, 31, 35, 36, 38], "package_nam": 25, "www": [25, 38], "fail": [25, 32, 35, 38], "recommend": [25, 27], "straightforward": 25, "autom": 26, "layer": [26, 35, 38], "labori": 26, "carri": [26, 35, 38], "remove_hydrogen": 26, "hydrogen": [26, 35], "delet": [26, 31, 35, 36], "selecttypemodifi": [26, 35], "h": [26, 31, 35], "free": [26, 31, 35], "viewport_lay": [], "wire": [27, 32, 36], "care": [27, 31, 36], "0x7f9ea70aefb0": 27, "reconfigur": 27, "reus": 27, "colorcodingmodifi": [27, 31, 35, 38], "slicemodifi": [27, 31, 35, 36], "constructor": [27, 31, 35], "only_select": [27, 35, 38], "equival": [27, 31, 32, 35], "known": [27, 29, 31, 35, 38], "outputdata": 27, "pipe": 27, "leav": [27, 31, 35], "heterogen": 27, "attributedataobject": 27, "148": 27, "147995": 27, "74": [27, 31], "0739975": 27, "07200623": 27, "03600311": 27, "0756073": 27, "03780365": 27, "input_data": 27, "output_data": 27, "mention": [27, 28], "viewpoint": 27, "camera_po": [27, 29, 38], "150": [27, 29], "fov": [27, 29, 38], "60": [27, 29], "angl": [27, 29, 31, 32, 35, 36, 38], "myimag": 27, "png": [27, 29, 31, 38], "aspect": [27, 32, 38], "arrang": [28, 35], "filter": [28, 35, 36, 38], "flow": 28, "triangl": [28, 31, 38], "destruct": [28, 31], "ident": [28, 31], "attach": [28, 29, 31, 32, 35, 36, 38], "assigncolormodifi": [28, 31, 35], "closer": [28, 35, 38], "trajectory_": 28, "data_frame0": 28, "data_frame1": 28, "data_frame2": 28, "wrong": [28, 36], "atomicstrainmodifi": [28, 35, 36], "longer": [28, 31, 35], "simulationcellvi": [29, 31, 38], "0x7f9a414c8060": 29, "0x7fc3650a1c20": 29, "rendering_color": [29, 31, 38], "red": [29, 31, 35], "datavi": [29, 31, 38], "hide": 29, "cubic": [29, 35, 38], "blue": 29, "front": [29, 31, 38], "ortho": [29, 38], "forget": 29, "reset": [29, 31, 38], "zoom": 29, "render_anim": [29, 38], "background": [29, 38], "avi": [29, 38], "fp": [29, 38], "qualiti": [29, 38], "openglrender": [29, 35, 38], "hardwar": [29, 38], "opengl": [29, 35, 38], "tachyon": [29, 38], "shadow": [29, 38], "direct_light_intens": [29, 38], "univers": 30, "video": [30, 38], "version_str": 30, "encompass": 30, "remove_from_scen": [30, 36], "del": [30, 31, 36, 38], "compris": [30, 31, 35], "macro": 30, "enable_log": [30, 31, 35], "unnotic": 30, "stderr": 30, "2d": [31, 35, 38], "volumetr": [31, 35, 38], "trajectorylin": [31, 35, 38], "polyhedr": [31, 35], "triangular": [31, 35], "dislocationnetwork": [31, 32, 35, 38], "discret": [31, 35, 38], "burger": [31, 35, 38], "elementtyp": [31, 35], "bondtyp": [31, 35], "dislocationseg": 31, "bond_typ": [31, 35], "bond_type_list": 31, "length_prop": 31, "bondsvi": [31, 35, 38], "bond_vector": 31, "subtract": 31, "opposit": [31, 35], "product": 31, "dot": [31, 35], "pbc_vector": 31, "transpos": 31, "3x3": [31, 35], "summar": [31, 35], "snippet": [31, 35], "unwrap": [31, 35, 36], "mathbf": [31, 35], "v": 31, "_b": 31, "_a": 31, "cdot": [31, 35], "n_x": 31, "n_y": 31, "n_z": 31, "float32": 31, "int8": 31, "transpar": [31, 35, 38], "add_bond": 31, "pbcvec": 31, "pbc_shift": 31, "undefin": 31, "permit": 31, "unord": 31, "warn": 31, "gz": [31, 32, 35, 38], "atom_styl": [31, 32, 35, 36, 38], "bondlength": 31, "bond_length": 31, "bonds_enum": 31, "bond_index": 31, "data_collect": [31, 33, 34], "prefetch": 31, "ptype": 31, "type_of_neighbor": 31, "distance_squar": 31, "find_al": 31, "sort_bi": 31, "core": [31, 35], "unsort": 31, "contigu": [31, 32, 35], "intermingl": 31, "ascend": 31, "addition": [31, 32, 35, 38], "neigh_idx": 31, "symmetr": [31, 35], "neigh_vec": 31, "unspecifi": [31, 36], "incur": 31, "cost": 31, "faster": [31, 35], "find_at": 31, "coincid": 31, "lot": 31, "better": [31, 35, 38], "neighbor_vector": 31, "piec": 31, "elementari": 31, "entiti": 31, "bunch": 31, "accessor": 31, "idx": 31, "arang": [31, 35], "constructsurfacemesh": [31, 35], "surface_area": [31, 35], "snapshot_140000": 31, "140000": 31, "ncluster": 31, "commonneighboranalysi": [31, 32, 35], "fcc_fraction": 31, "compute_fcc_fract": 31, "n_fcc": 31, "retain": 31, "inexpens": 31, "protect": 31, "make_mut": 31, "deep": 31, "condition": 31, "boolean": [31, 35, 38], "logic": [31, 35, 36], "roughli": [31, 35, 38], "item": 31, "setattr": 31, "param": [31, 32, 33, 36, 37], "06": [31, 38], "83": 31, "81": 31, "79": 31, "88": 31, "77": 31, "charge_density_grid": 31, "charg": [31, 32, 35, 38], "expect": [31, 35, 38], "member": 31, "domain": [31, 35, 38], "flat": [31, 35, 38], "flavor": 31, "x_interv": 31, "x_coord": 31, "plot_mod": 31, "plotmod": 31, "axis_label_x": 31, "trace": [31, 35, 38], "generatetrajectorylinesmodifi": [31, 35, 38], "triangle_mesh": 31, "abstract": [31, 32, 35, 36, 38], "concret": [31, 35, 36], "themselv": [31, 35], "target": [31, 35], "meaning": 31, "subobj": 31, "ownership": 31, "doesn": [31, 36], "synchron": 31, "primarili": [31, 32], "evenli": 31, "equis": 31, "explicit": [31, 32, 36, 38], "programat": 31, "myplot": 31, "co": [31, 33, 35, 36], "trig": 31, "sin": [31, 35, 36], "y1y2": 31, "stack": [31, 35], "barchart": 31, "hcp": [31, 35], "bcc": [31, 35], "65": 31, "97": 31, "75": [31, 38], "four": 31, "func": 31, "absenc": 31, "equispac": 31, "implicit": [31, 35], "noplot": 31, "famili": 31, "dislocationvi": [31, 35, 38], "diamond": [31, 35], "input_crystal_structur": [31, 34, 35], "cubicdiamond": [31, 35], "cell_volum": [31, 35], "segment": [31, 35, 38], "true_burgers_vector": [31, 35], "paraview": [31, 32, 35], "vtk": [31, 32, 35], "polylin": 31, "clip": [31, 38], "set_seg": 31, "cluster_id": 31, "custom_color": 31, "crystallit": [31, 35], "flip": [31, 38], "seg": 31, "dislocations_": 31, "neg": [31, 35, 36], "flipud": 31, "121": 31, "allclos": 31, "scheme": [31, 32, 35, 38], "impos": 31, "coloring_mod": [31, 38], "is_infinite_lin": 31, "is_loop": 31, "spatial_burgers_vector": 31, "type_by_nam": [31, 35], "inact": 31, "identif": [31, 35], "structureidentificationmodifi": [31, 35], "greater": [31, 38], "less": [31, 35], "xyz_coord": 31, "wise": [31, 35], "atomist": [31, 33, 38], "establish": [31, 38], "tid": 31, "si": 31, "backface_cul": [31, 38], "cull": 31, "polygon": [31, 35, 38], "awai": [31, 35, 36, 38], "load_shap": 31, "highlight_edg": [31, 35, 38], "load_default": 31, "vdw_radiu": [31, 35], "filepath": 31, "obj": [31, 32], "stl": [31, 32], "tetrahedron": 31, "gsd": [31, 32, 35], "aspherix": 31, "site": [31, 35], "ignor": [31, 32, 35, 36, 38], "unless": [31, 32, 35, 36, 38], "setup_particle_typ": 31, "geometr": [31, 35, 36], "sphere": [31, 35, 38], "cylind": [31, 38], "spherocylind": [31, 38], "ellipsoid": [31, 38], "superquadr": [31, 38], "presenc": [31, 38], "aspher": [31, 38], "round": [31, 38], "switch": [31, 38], "nylon": 31, "320": [31, 38], "240": [31, 38], "use_mesh_color": 31, "intrins": [31, 35], "van": [31, 35], "der": [31, 35], "waal": [31, 35], "role": [31, 35, 36, 38], "angular": [31, 38], "centrosymmetri": [31, 35], "deform": [31, 35, 36], "gradient": [31, 35, 38], "xx": [31, 35], "yx": 31, "zx": 31, "yy": [31, 35], "zy": 31, "xz": [31, 35], "yz": [31, 35], "zz": [31, 35], "dipol": [31, 35, 38], "dna": 31, "strand": 31, "elast": [31, 35], "strain": [31, 32, 35], "forc": [31, 35, 38], "kinet": 31, "nucleobas": 31, "nucleotid": 31, "spin": 31, "tensor": [31, 35], "stress": [31, 35], "stretch": [31, 35], "torqu": 31, "liter": [31, 35, 38], "mol_id": 31, "add_particl": 31, "return_pbcvec": 31, "wrapper": [31, 35, 38], "r_a": 31, "r_b": 31, "shortest": 31, "dihedr": [31, 32], "bit": 31, "delete_el": 31, "stai": 31, "stabl": 31, "vari": [31, 32, 35], "throughout": 31, "query_indic": 31, "revers": [31, 35, 36, 38], "nor": 31, "contig": 31, "query_id": 31, "argwher": 31, "effort": 31, "pai": 31, "searchsort": 31, "sorter": 31, "array_equ": 31, "illustr": 31, "improp": [31, 32], "under": [31, 34, 35, 36, 38], "circumst": 31, "new_coordin": 31, "overwrit": 31, "ndarrai": 31, "slice": [31, 35, 36], "101": 31, "99": 31, "compar": [31, 35], "permut": 31, "remap": 31, "suppli": 31, "hydrogen_typ": 31, "hydrogen_indic": 31, "flatnonzero": 31, "structure_typ": 31, "cordin": 31, "th": [31, 35], "sixth": 31, "modifiable_posit": 31, "position_": 31, "tprop": 31, "188": 31, "313": 31, "972": 31, "564": 31, "050": 31, "consecut": [31, 32, 36], "similarli": 31, "fe_type_id": 31, "957": 31, "classif": [31, 35], "type_1": 31, "type_2": 31, "randomli": 31, "randint": 31, "low": [31, 36], "type_au": 31, "au": 31, "type_ag": 31, "ag": 31, "choic": [31, 35, 38], "component_count": 31, "component_nam": [31, 32, 35], "digit": [31, 32, 35], "raise_error": 31, "keyerror": 31, "type_id": [31, 35], "id_si": 31, "si_atom_count": 31, "type_by_name_": [31, 35], "renam": 31, "structure_types_": 31, "hexagon": [31, 35], "wurtzit": 31, "abc": 31, "has_select": 31, "name_list": 31, "vertex": [31, 35, 38], "broadcast": 31, "sensibl": 31, "infer": 31, "wherea": 31, "mask": [31, 35], "delete_indic": 31, "cast": [31, 35, 38], "parallelepip": 31, "fourth": [31, 35, 38], "pmatrix": 31, "a_x": 31, "b_x": 31, "c_x": 31, "o_x": 31, "a_i": 31, "b_y": 31, "c_y": 31, "o_i": 31, "a_z": 31, "b_z": 31, "c_z": 31, "o_z": 31, "major": [31, 35], "is2d": 31, "orthogon": [31, 38], "l_x": 31, "l_y": 31, "l_z": 31, "lx": 31, "ly": [31, 35], "lz": 31, "quadruplet": 31, "multipli": 31, "p_cartesian": 31, "p_reduc": 31, "shorthand": 31, "matmul": 31, "affin": [31, 35, 36, 38], "oppos": 31, "somewhat": 31, "v_cartesian": 31, "vx": 31, "vy": 31, "vz": 31, "v_reduc": 31, "v_cartesian_out": 31, "forth": [31, 33, 36], "cartesian_posit": 31, "reduced_posit": 31, "cartesian_positions_out": 31, "wirefram": [31, 38], "ra": 31, "rb": 31, "short": [31, 35, 38], "abl": [31, 35, 36], "bring": 31, "reciproc": [31, 35], "bmatrix": 31, "real": [31, 35, 38], "frac": 31, "qquad": 31, "absolut": [31, 35], "submatrix": 31, "tripl": 31, "ab": 31, "det": 31, "volume2d": 31, "v_": 31, "manifold": [31, 35, 38], "planar": [31, 35], "createisosurfacemodifi": [31, 35, 38], "coordinationpolyhedramodifi": [31, 35], "isolevel": [31, 35], "05": [31, 35], "isosurfac": [31, 35], "halfedg": 31, "circular": 31, "surfacemeshtopologi": [31, 38], "vertex_coord": 31, "surfacemeshvi": [31, 35, 38], "color_mapping_mod": [31, 38], "colormappingmod": [31, 38], "color_mapping_properti": [31, 35, 38], "color_mapping_interv": [31, 35, 38], "isosurface_": 31, "vertices_": 31, "xoffset": 31, "yoffset": 31, "zoffset": 31, "intersect": [31, 38], "to_triangle_mesh": 31, "subdivid": 31, "enclos": [31, 35, 38], "interior": [31, 35, 38], "exterior": [31, 35, 38], "locate_point": 31, "degener": 31, "unabl": 31, "discrimin": 31, "space_filling_region": 31, "truncat": [31, 35], "cap": [31, 38], "hole": 31, "trimesh": [31, 32], "surface_mesh": [31, 35], "plane": [31, 35], "cut": [31, 35, 36, 38], "get_clipping_plan": 31, "set_clipping_plan": 31, "connect_opposite_halfedg": 31, "link": [31, 38], "adjac": [31, 35], "successfulli": [31, 36], "said": 31, "wind": 31, "counter": 31, "clockwis": 31, "is_clos": [31, 38], "opposite_edg": 31, "has_opposite_edg": 31, "create_fac": 31, "convex": [31, 35], "incorrectli": [31, 38], "quad": 31, "adopt": [31, 38], "quadrilater": 31, "vert": 31, "create_vertic": 31, "vertex_list": 31, "3n": 31, "triangle_list": 31, "reshap": 31, "prefix": [31, 35], "face_count": 31, "vertex_count": 31, "sign": [31, 35], "get_face_vertic": 31, "ep": 31, "reserv": 31, "precis": [31, 32, 35], "disabl": [31, 35, 36, 38], "unstabl": 31, "facemap": 31, "Will": [31, 32, 35], "interpol": [31, 35, 38], "topolog": 31, "edge_count": 31, "depict": [31, 38], "half": [31, 35, 36], "first_vertex_edg": 31, "next_vertex_edg": 31, "first_face_edg": 31, "next_face_edg": 31, "prev_face_edg": 31, "adjacent_fac": 31, "count_face_edg": 31, "count_manifold": 31, "count_vertex_edg": 31, "find_edg": 31, "vertex1": 31, "vertex2": 31, "first_edge_vertex": 31, "second_edge_vertex": 31, "first_face_vertex": 31, "has_opposite_fac": 31, "partner": 31, "opposite_fac": 31, "border": [31, 38], "show_cap": [31, 35, 38], "backward": 31, "rememb": 31, "count_edg": 31, "start_edg": 31, "next_manifold_edg": 31, "outgo": 31, "get_neighboring_fac": 31, "opp_edg": 31, "trajectoryvi": [31, 35, 38], "particle_id": 31, "time_stamp": 31, "stamp": 31, "someth": 31, "sent": 31, "gpu": [31, 35, 38], "trianglemeshvi": [31, 35, 38], "n_": 31, "get_fac": 31, "get_vertic": 31, "set_fac": 31, "vertex_indic": 31, "set_vertic": 31, "parallelogram": 31, "uniformili": 31, "grid_typ": 31, "chgcar": [31, 35, 38], "electron": 31, "vasp": [31, 32, 35, 38], "spatialbinningmodifi": [31, 35, 38], "unstructur": 31, "outer": [31, 38], "nx": 31, "ny": 31, "nz": 31, "field_data": 31, "voxelgridvi": [31, 35, 38], "gridtyp": 31, "celldata": 31, "slowest": 31, "fortran": 31, "flatten": 31, "field_prop": 31, "pointdata": 31, "k": 31, "c_ave": 31, "has_trait": [32, 36], "hasstricttrait": [32, 36], "filesystem": 32, "is_new_fil": 32, "came": 32, "sftp": 32, "parser": [32, 35], "leftov": 32, "pathlik": [32, 36], "pov": 32, "rai": [32, 38], "compress": 32, "zlib": 32, "librari": 32, "conjunct": [32, 35, 36], "imd": 32, "poscar": 32, "fhi": 32, "aim": 32, "hoomd": 32, "netcdf": 32, "amber": 32, "binari": [32, 35], "povrai": 32, "refin": [32, 38], "start_fram": [32, 36], "end_fram": [32, 36], "every_nth_fram": 32, "prefer": 32, "17": 32, "hybrid": 32, "atom_substyl": 32, "suppress": 32, "omit_mass": 32, "ignore_identifi": 32, "consecutive_type_id": 32, "export_type_nam": 32, "animat": 32, "variant": 32, "combin": [32, 35, 36, 38], "sim": 32, "sim_a": 32, "sim_b": 32, "sourcefil": 32, "hint": 32, "write_data": 32, "full_model": 32, "hybrid_model": 32, "appropri": [32, 35], "reorder": 32, "sort_particl": 32, "former": 32, "rare": 32, "auto": 32, "castep": 32, "cfg": 32, "cif": 32, "dcd": 32, "dlpoli": 32, "galamost": 32, "gaussian": [32, 35], "cube": 32, "gro": [32, 35], "mmcif": 32, "oxdna": 32, "parca": 32, "pdb": 32, "quantumespresso": 32, "reaxff": 32, "pvd": 32, "vti": 32, "vtm": 32, "vtp": 32, "vt": 32, "xsf": 32, "xtc": 32, "file_format": [], "ase_databas": [], "ase_trajectori": [], "cfg_atomey": [], "lammps_data": [], "lammps_dump": [], "lammps_dump_grid": [], "lammps_dump_loc": [], "exchang": [33, 34], "ASE": [32, 33], "ovito_to_as": 33, "ase_to_ovito": 33, "importerror": 33, "pip3": 33, "ase_atom": 33, "deal": 34, "lammps_to_ovito": 34, "lmp": 34, "rank": 34, "experiment": 34, "contact": 34, "perform_dxa": 34, "end_of_step": 34, "defect": [34, 35], "lammps_ptr": 34, "ptr": 34, "mpi": 34, "dxa": [34, 35], "get_thermo": 34, "consult": 35, "depth": [35, 38], "acklandjonesmodifi": 35, "ackland": 35, "jone": 35, "ambientocclusionmodifi": 35, "ambient": [35, 38], "occlus": [35, 38], "bondanalysismodifi": 35, "centrosymmetrymodifi": 35, "chillplusmodifi": 35, "chill": 35, "clearselectionmodifi": 35, "colorbytypemodifi": 35, "combinedatasetsmodifi": 35, "elasticstrainmodifi": 35, "expandselectionmodifi": 35, "expand": 35, "freezepropertymodifi": 35, "grainsegmentationmodifi": 35, "grain": 35, "identifyfccplanarfaultsmodifi": 35, "fault": 35, "identifydiamondmodifi": 35, "invertselectionmodifi": 35, "invert": 35, "pythonscriptmodifi": 35, "renderlammpsregionsmodifi": 35, "replicatemodifi": 35, "smoothtrajectorymodifi": [35, 36], "smooth": [35, 38], "spatialcorrelationfunctionmodifi": 35, "correl": 35, "timeseriesmodifi": 35, "unwraptrajectoriesmodifi": 35, "vorotopmodifi": 35, "vorotop": 35, "wignerseitzanalysismodifi": [35, 36], "wigner": 35, "seitz": 35, "wrapperiodicimagesmodifi": [35, 36], "miss": 35, "crystallin": 35, "propos": 35, "ico": 35, "color_by_typ": 35, "acklandjon": 35, "recogn": [35, 38], "icosahedr": 35, "shear": 35, "vector_properti": 35, "ones": 35, "diagon": 35, "xy_shear": 35, "mod": [35, 36], "deg2rad": [35, 36], "tm": [35, 36], "reduced_coord": 35, "relative_mod": 35, "target_cel": 35, "rel": [35, 36, 38], "light": [35, 38], "bright": [35, 38], "accord": [35, 38], "degre": [35, 38], "improv": 35, "acceller": 35, "buffer_resolut": 35, "resolut": [35, 38], "higher": [35, 38], "intens": [35, 38], "strength": [35, 38], "shade": [35, 38], "sample_count": 35, "exposur": 35, "surface_vertic": 35, "surface_fac": 35, "surface_region": 35, "particularli": 35, "displacementmagnitud": 35, "referenceconfigurationmodifi": [35, 36], "subclass": 35, "von": 35, "mise": 35, "invari": 35, "green": 35, "lagrangian": 35, "six": 35, "output_strain_tensor": 35, "nine": 35, "output_deformation_gradi": 35, "polar": 35, "decomposit": 35, "ru": 35, "output_stretch_tensor": 35, "microrot": 35, "output_rot": 35, "nonaffin": 35, "falk": 35, "langer": 35, "output_nonaffine_squared_displac": 35, "select_invalid_particl": 35, "atomicstrain": 35, "invalid_particle_count": 35, "insuffici": 35, "partit": 35, "byparticletyp": 35, "byparticleselect": 35, "bybondtyp": [35, 38], "bybondselect": 35, "distr": 35, "bond_angl": 35, "traj": 35, "avg_bond_angl": 35, "180": 35, "cosine_mod": 35, "cosin": 35, "length_cutoff": 35, "exce": 35, "partial": 35, "hidden": [35, 38], "csp": 35, "disord": 35, "centrosymmetr": 35, "perfect": 35, "speci": 35, "water": 35, "hexagonal_ic": 35, "cubic_ic": 35, "interfacial_ic": 35, "hydrat": 35, "interfacial_hydr": 35, "chillplu": 35, "ic": 35, "interfaci": 35, "disconnect": 35, "largest_s": 35, "sort_by_s": 35, "compute_com": 35, "gyrat": 35, "compute_gyr": 35, "cluster_t": 35, "cluster_color": 35, "neighbor_mod": 35, "cutoffrang": 35, "neighbormod": 35, "unwrap_particl": 35, "residu": 35, "gromac": 35, "1aki": 35, "residue_typ": 35, "prepend": 35, "setup_residue_color": 35, "type_": 35, "glu": 35, "property_nam": 35, "input_properti": 35, "output_color": 35, "element_typ": 35, "clear_select": 35, "reveal": 35, "unselect": 35, "hot": 35, "start_valu": [35, 38], "end_valu": [35, 38], "colorlegendoverlai": [35, 38], "legend": [35, 38], "auto_adjust_rang": 35, "adapt": [35, 38], "irrespect": [35, 36], "bluewhit": 35, "grayscal": 35, "jet": 35, "magma": 35, "rainbow": [35, 38], "viridi": 35, "linearli": 35, "color_t": 35, "yellow": 35, "white": 35, "merg": 35, "primari": [35, 38], "first_fil": [35, 36], "fixedcutoff": 35, "adaptivecutoff": 35, "intervalcutoff": 35, "cellsiz": 35, "snip": 35, "compute_particle_color": 35, "cell_size_x": 35, "syntax": 35, "alphanumer": 35, "mangl": 35, "c_abc": 35, "c_abc_1_averag": 35, "pore": 35, "alphashap": 35, "delaunai": 35, "accommod": 35, "probe": 35, "classifi": 35, "morphologi": 35, "resolv": [35, 36, 38], "larger": [35, 38], "fewer": 35, "coars": 35, "finer": 35, "gaussiandens": 35, "smear": 35, "radius_sc": 35, "quantit": 35, "caviti": 35, "identify_region": 35, "aggreg": 35, "poros": 35, "agreg": 35, "filled_volum": 35, "vol": 35, "specific_surface_area": 35, "empty_volum": 35, "finit": [35, 38], "void_volum": 35, "filled_fract": 35, "unitless": 35, "empty_fract": 35, "filled_region_count": 35, "empty_region_count": 35, "void_region_count": 35, "isol": 35, "select_surface_particl": 35, "compute_dist": 35, "map_particles_to_region": 35, "grid_resolut": 35, "longest": 35, "construct_surface_mesh": [], "slightli": 35, "procedur": 35, "smoothing_level": 35, "particle_region": 35, "regions_t": 35, "method_comparison": [], "alpha": [35, 38], "thumb": 35, "extent": 35, "transfer_properti": 35, "blend": 35, "number_of_bin": 35, "total_rdf": 35, "savetxt": 35, "rdf_tabl": 35, "rdf_name": 35, "everth": 35, "hull": 35, "semi": [35, 38], "surface_transpar": [35, 38], "vdwradiu": 35, "pairwis": 35, "intra_molecule_onli": 35, "transit": 35, "createbond": 35, "num_bond": 35, "upper": [35, 38], "get_pairwise_cutoff": 35, "type_a": 35, "type_b": 35, "set_pairwise_cutoff": 35, "lower_cutoff": 35, "prevent_hh_bond": 35, "nospin": [35, 38], "00014": 35, "bin_count": 35, "reduction_oper": 35, "transfer_valu": 35, "trilinear": 35, "secondari": [35, 36], "msmse": 35, "2012": 35, "085007": 35, "ijk": 35, "broken": 35, "112": 35, "shocklei": 35, "unusu": 35, "hexagonaldiamond": 35, "circuit_stretch": 35, "circuit": 35, "defect_mesh_smoothing_level": 35, "defect_vi": 35, "disloc_vi": 35, "line_coarsening_en": 35, "coarsen": 35, "line_point_separ": 35, "interatom": 35, "amount": 35, "line_smoothing_en": 35, "line_smoothing_level": 35, "only_perfect_disloc": 35, "dissoci": 35, "wide": 35, "trial_circuit_length": 35, "trial": 35, "calculate_deformation_gradi": 35, "null": 35, "calculate_strain_tensor": 35, "axial_ratio": 35, "symmetri": 35, "lattice_const": 35, "push_strain_tensors_forward": 35, "eulerian": 35, "almansi": 35, "materi": [35, 38], "expansionmod": 35, "recurs": [35, 38], "ev": [35, 38], "got": 35, "reimplement": 35, "select_high_energy_atom": 35, "limit": [35, 38], "therebi": 35, "fulfil": 35, "mupars": 35, "incorpor": [35, 38], "techniqu": [35, 38], "shearstrain": 35, "pl": 35, "source_properti": 35, "destination_properti": 35, "coord0": 35, "freeze_at": 35, "comapr": 35, "frozen": 35, "destin": 35, "motion": 35, "curv": 35, "frame_interv": 35, "sample_particle_properti": [35, 38], "pseudo": [35, 38], "velocity_magnitud": 35, "sampling_frequ": 35, "unwrap_trajectori": 35, "polycrystallin": 35, "microstructur": 35, "color_particl": 35, "grainsegment": 35, "grain_count": 35, "graphclusteringauto": 35, "graphclusteringmanu": 35, "minimumspanningtre": 35, "handle_stacking_fault": 35, "coher": 35, "twin": 35, "merging_threshold": 35, "contract": 35, "lower": [35, 38], "min_grain_s": 35, "dissolv": 35, "orphan_adopt": 35, "fix_xrang": 35, "xrange_start": 35, "xrange_end": 35, "peatom": [35, 38], "cubic_diamond": 35, "cubic_diamond_first_neighbor": 35, "cubic_diamond_second_neighbor": 35, "hex_diamond": 35, "hex_diamond_first_neighbor": 35, "hex_diamond_second_neighbor": 35, "identifydiamond": 35, "111": 35, "reli": 35, "intermedi": [35, 36], "output_orient": 35, "output_interatomic_dist": 35, "indetermin": 35, "multilay": 35, "planar_fault": 35, "num_atoms_isf": 35, "isf": 35, "num_atoms_twin": 35, "area_isf": 35, "area_twin": 35, "qualnam": 35, "nonhcp": 35, "color_isf": 35, "color_multi": 35, "color_oth": 35, "color_twin": 35, "bonds_mod": 35, "btype": 35, "batom1": 35, "batom2": 35, "dist": 35, "engpot": 35, "c_1": 35, "c_2": 35, "compound": 35, "output_ord": 35, "sc": 35, "graphen": 35, "rmsd": 35, "output_rmsd": 35, "orderingtyp": 35, "l10": 35, "l12_a": 35, "l12_b": 35, "zincblende_wurtzit": 35, "boron_nitrid": 35, "polyhedraltemplatematch": 35, "calculate_misorient": 35, "misorient": 35, "disorient": 35, "minimz": 35, "due": [35, 36, 38], "polycryst": 35, "hex": 35, "bicryst": 35, "grain_orient": 35, "disorientation_angl": 35, "rigid": 35, "rmsd_cutoff": 35, "spuriou": 35, "assign_color": 35, "assigncolor": 35, "working_dir": [35, 36], "mainli": [35, 36], "select_atom": 35, "adjust_box": 35, "fit": [35, 38], "num_x": 35, "num_i": 35, "num_z": 35, "unique_id": 35, "replica": 35, "selecttyp": 35, "num_select": 35, "slab": 35, "miller": 35, "gridslice_vi": 35, "hkl": 35, "interplanar": 35, "d_": 35, "slab_width": 35, "plane_vi": 35, "render_plan": 35, "mathemat": 35, "thick": 35, "smoothen": 35, "fluctuat": 35, "thermal": 35, "vibrat": 35, "window_s": 35, "slide": [35, 36], "reduct": 35, "first_deriv": 35, "velocity_profil": 35, "uniti": 35, "sumvol": 35, "perpendicular": 35, "approxim": 35, "grid_vi": [35, 38], "exclud": 35, "pressur": 35, "virial": 35, "fft": 35, "convolut": 35, "summat": 35, "property1": 35, "property2": 35, "real_correlation_funct": 35, "varianc": 35, "c_norm": 35, "mean1": 35, "correlationfunct": 35, "mean2": 35, "covari": 35, "normalized_real_correlation_funct": 35, "apply_window": 35, "hann": 35, "oscil": 35, "power": 35, "law": 35, "rectangular": [35, 38], "direct_summ": 35, "grid_spac": 35, "neighbor_bin": 35, "neighbor_cutoff": 35, "p1": 35, "p2": 35, "autocorrel": 35, "matter": 35, "suitabl": [35, 38], "hierarch": 35, "coarser": 35, "time_attribut": 35, "fold": 35, "unfold": 35, "lazar": 35, "han": 35, "srolovitz": 35, "pna": 35, "43": 35, "2015": 35, "weinberg": 35, "ieee": 35, "tran": 35, "theori": 35, "1966": 35, "suit": 35, "temperatur": 35, "heat": 35, "melt": 35, "quench": 35, "minim": 35, "webpag": 35, "filter_fil": 35, "dispers": 35, "mono": 35, "farthest": 35, "max_face_ord": 35, "fall": 35, "generate_bond": 35, "bonds_vi": [35, 38], "shorter": 35, "face_threshold": 35, "whatev": 35, "relative_face_threshold": 35, "generate_polyhedra": 35, "mesh_vi": 35, "01": [35, 38], "occup": 35, "wignerseitz": 35, "vacancy_count": 35, "vacant": 35, "interstitial_count": 35, "interstiti": 35, "minu": [35, 36], "antisit": 35, "exemplarili": 35, "occupi": 35, "per_type_occup": 35, "affine_map": [35, 36], "affinemap": [35, 36], "torefer": [35, 36], "site_typ": 35, "total_occup": 35, "antisite_count": 35, "output_displac": 35, "throw": 35, "pertain": 35, "pipelinesourceinterfac": 36, "pythonscriptsourc": 36, "encapsul": 36, "setup_atom_typ": 36, "source_path": 36, "compute_trajectory_length": 36, "synthes": 36, "offer": 36, "skipframesmodifi": 36, "turntabl": 36, "tutori": 36, "durat": 36, "notify_trajectory_length_chang": 36, "turntableanim": 36, "360": 36, "anim_duration_chang": 36, "extra_slot": 36, "consequ": 36, "chain": 36, "feed": 36, "hood": 36, "recalcul": 36, "foo": 36, "new_data": 36, "add_foo": 36, "disappear": 36, "examplesourc": 36, "cell_matrix": 36, "example_sourc": 36, "captur": 36, "animatedpipelinesourc": 36, "create_model": 36, "comparison": [35, 36], "use_frame_offset": 36, "frame_offset": 36, "experienc": 36, "trivial": 36, "slight": 36, "tocurr": 36, "consider": 36, "fed": 36, "supplement": 37, "klass": 37, "factori": 37, "viewportoverlai": 38, "coordinatetripodoverlai": 38, "cylindr": 38, "coloringmod": 38, "byparticl": 38, "natur": 38, "audienc": 38, "underlai": 38, "alignmentflag": 38, "alignleft": 38, "aligntop": 38, "offset_i": 38, "04": 38, "font_siz": 38, "format_str": 38, "2f": 38, "importantli": 38, "spectrum": 38, "color_mapping_sourc": 38, "02186": 38, "05465": 38, "corner": 38, "anchor": 38, "alignhcent": 38, "alignbottom": 38, "aspect_ratio": 38, "narrow": 38, "background_color": 38, "background_en": 38, "drawn": 38, "distinguish": 38, "clutter": 38, "border_color": 38, "border_en": 38, "comma": 38, "understood": 38, "qfont": 38, "fromstr": 38, "arial": 38, "bold": 38, "sprintf": 38, "decim": 38, "text_label": [], "text_format": [], "label1": 38, "label2": 38, "label_s": 38, "tick": 38, "legend_s": 38, "offset_x": 38, "outline_color": 38, "outline_en": 38, "slash": 38, "rotate_titl": 38, "text_color": 38, "ticks_en": 38, "ticks_spac": 38, "placement": 38, "tripod": 38, "alignright": 38, "axis1_color": 38, "axis1_dir": 38, "axis1_en": 38, "axis1_label": 38, "axis2_color": 38, "axis2_dir": 38, "axis2_en": 38, "axis2_label": 38, "axis3_color": 38, "axis3_dir": 38, "axis3_en": 38, "axis3_label": 38, "axis4_color": 38, "axis4_dir": 38, "7071": 38, "axis4_en": 38, "axis4_label": 38, "075": 38, "burgers_vector_color": 38, "burgers_vector_sc": 38, "exagger": 38, "burgers_vector_width": 38, "bydislocationtyp": 38, "byburgersvector": 38, "bycharact": 38, "show_burgers_vector": 38, "show_line_direct": 38, "fidel": 38, "osprai": 38, "focal": 38, "blur": 38, "ambient_bright": 38, "radianc": 38, "ambient_light_en": 38, "illumin": 38, "infin": 38, "apertur": 38, "focu": 38, "dof_en": 38, "denoising_en": 38, "denois": 38, "mont": 38, "carlo": 38, "nois": 38, "inher": 38, "stochast": 38, "direct_light_angular_diamet": 38, "appar": 38, "diamet": 38, "soft": 38, "direct_light_en": 38, "focal_length": 38, "sharp": 38, "material_shini": 38, "specular": 38, "phong": 38, "expon": 38, "material_specular_bright": 38, "max_ray_recurs": 38, "raytrac": 38, "refinement_iter": 38, "stop": 38, "samples_per_pixel": 38, "alias": 38, "artifact": 38, "sky_albedo": 38, "ground": 38, "sky": 38, "sun": 38, "sky_light_en": 38, "sky_bright": 38, "outdoor": 38, "sky_turbid": 38, "atmospher": 38, "turbid": 38, "headless": 38, "offscreen": 38, "framebuff": 38, "altogeth": 38, "proper": 38, "ovito_gui_mod": 38, "your_script": 38, "spyder": 38, "unix": 38, "wsl2": 38, "x11": 38, "wayland": 38, "server": 38, "quit": 38, "qpa": 38, "xcb": 38, "plugin": 38, "hpc": 38, "ssh": 38, "xvfb": 38, "antialiasing_level": 38, "supersampl": 38, "vis_el": 38, "usabl": 38, "render_some_text": 38, "qpainter": 38, "frustum": 38, "proj_tm": 38, "4x4": 38, "world_xyz": 38, "lai": 38, "lie": 38, "view_tm": 38, "repaint": 38, "contextu": 38, "propag": 38, "cell_vi": 38, "render_cel": 38, "cap_color": 38, "cap_transpar": 38, "opaqu": 38, "clip_at_domain_boundari": 38, "beyond": 38, "color_mapping_gradi": 38, "surface_color": 38, "reverse_orient": 38, "smooth_shad": 38, "ambient_occlus": 38, "omnidirect": 38, "diffus": 38, "overcast": 38, "dai": 38, "ambient_occlusion_bright": 38, "ambient_occlusion_sampl": 38, "antialias": 38, "antialiasing_sampl": 38, "depth_of_field": 38, "direct_light": 38, "03": 38, "exponenti": 38, "6g": 38, "source_pipelin": 38, "html": 38, "css": 38, "markup": 38, "upto_current_tim": 38, "wrapped_lin": 38, "discontinu": 38, "85": 38, "vector_data": 38, "surviv": 38, "reverv": 38, "reposit": 38, "camera_up": 38, "upward": 38, "create_jupyter_widget": 38, "vr_scale": 38, "ipywidget": 38, "400px": 38, "200px": 38, "domwidget": 38, "jupyt": 38, "notebook": 38, "vice": 38, "versa": 38, "multisampl": 38, "anti": 38, "jag": 38, "webgl": 38, "raster": 38, "hover": 38, "cursor": 38, "vr": 38, "webxr": 38, "browser": 38, "meter": 38, "realiti": 38, "nanomet": 38, "centimet": 38, "tracker": 38, "forum": 38, "qeventloop": 38, "500": 38, "400": 38, "demo": 38, "shutdown": 38, "destroi": 38, "littl": 38, "eventloop": 38, "640": 38, "480": 38, "every_nth": 38, "mp4": 38, "mov": 38, "gif": 38, "jpeg": 38, "playback": 38, "crop": 38, "tiff": 38, "superimpos": 38, "backdrop": 38, "omit": 38, "opportun": 38, "bottom": 38, "highlight_grid_lin": 38, "interpolate_color": 38, "smoothli": 38, "atomey": 32}, "objects": {"": [[30, 0, 0, "-", "ovito"]], "ovito": [[30, 1, 1, "", "Scene"], [31, 0, 0, "-", "data"], [30, 4, 1, "", "enable_logging"], [32, 0, 0, "-", "io"], [35, 0, 0, "-", "modifiers"], [36, 0, 0, "-", "pipeline"], [30, 6, 1, "", "scene"], [37, 0, 0, "-", "traits"], [30, 6, 1, "", "version"], [30, 6, 1, "", "version_string"], [38, 0, 0, "-", "vis"]], "ovito.Scene": [[30, 2, 1, "", "load"], [30, 3, 1, "", "pipelines"], [30, 2, 1, "", "save"], [30, 3, 1, "", "selected_pipeline"]], "ovito.data": [[31, 1, 1, "", "BondType"], [31, 1, 1, "", "Bonds"], [31, 1, 1, "", "BondsEnumerator"], [31, 1, 1, "", "CutoffNeighborFinder"], [31, 1, 1, "", "DataCollection"], [31, 1, 1, "", "DataObject"], [31, 1, 1, "", "DataTable"], [31, 1, 1, "", "DislocationNetwork"], [31, 1, 1, "", "DislocationSegment"], [31, 1, 1, "", "ElementType"], [31, 1, 1, "", "NearestNeighborFinder"], [31, 1, 1, "", "ParticleType"], [31, 1, 1, "", "Particles"], [31, 1, 1, "", "Property"], [31, 1, 1, "", "PropertyContainer"], [31, 1, 1, "", "SimulationCell"], [31, 1, 1, "", "SurfaceMesh"], [31, 1, 1, "", "SurfaceMeshTopology"], [31, 1, 1, "", "TrajectoryLines"], [31, 1, 1, "", "TriangleMesh"], [31, 1, 1, "", "VoxelGrid"]], "ovito.data.Bonds": [[31, 2, 1, "", "add_bond"], [31, 3, 1, "", "bond_types"], [31, 3, 1, "", "colors"], [31, 3, 1, "", "pbc_vectors"], [31, 3, 1, "", "selection"], [31, 3, 1, "", "topology"]], "ovito.data.BondsEnumerator": [[31, 2, 1, "", "bonds_of_particle"]], "ovito.data.CutoffNeighborFinder": [[31, 2, 1, "", "find"], [31, 2, 1, "", "find_all"], [31, 2, 1, "", "find_at"], [31, 2, 1, "", "neighbor_distances"], [31, 2, 1, "", "neighbor_vectors"]], "ovito.data.DataCollection": [[31, 2, 1, "", "apply"], [31, 3, 1, "", "attributes"], [31, 3, 1, "", "cell"], [31, 2, 1, "", "clone"], [31, 2, 1, "", "create_cell"], [31, 2, 1, "", "create_particles"], [31, 3, 1, "", "dislocations"], [31, 3, 1, "", "grids"], [31, 3, 1, "", "objects"], [31, 3, 1, "", "particles"], [31, 3, 1, "", "surfaces"], [31, 3, 1, "", "tables"], [31, 3, 1, "", "trajectories"], [31, 3, 1, "", "triangle_meshes"]], "ovito.data.DataObject": [[31, 3, 1, "", "identifier"], [31, 2, 1, "", "make_mutable"], [31, 3, 1, "", "vis"]], "ovito.data.DataTable": [[31, 3, 1, "", "axis_label_x"], [31, 3, 1, "", "interval"], [31, 3, 1, "", "plot_mode"], [31, 3, 1, "", "x"], [31, 2, 1, "", "xy"], [31, 3, 1, "", "y"]], "ovito.data.DislocationNetwork": [[31, 3, 1, "", "segments"], [31, 2, 1, "", "set_segment"]], "ovito.data.DislocationSegment": [[31, 3, 1, "", "cluster_id"], [31, 3, 1, "", "custom_color"], [31, 3, 1, "", "id"], [31, 3, 1, "", "is_infinite_line"], [31, 3, 1, "", "is_loop"], [31, 3, 1, "", "length"], [31, 3, 1, "", "points"], [31, 3, 1, "", "spatial_burgers_vector"], [31, 3, 1, "", "true_burgers_vector"]], "ovito.data.ElementType": [[31, 3, 1, "", "color"], [31, 3, 1, "", "enabled"], [31, 3, 1, "", "id"], [31, 3, 1, "", "name"]], "ovito.data.NearestNeighborFinder": [[31, 2, 1, "", "find"], [31, 2, 1, "", "find_all"], [31, 2, 1, "", "find_at"]], "ovito.data.ParticleType": [[31, 3, 1, "", "backface_culling"], [31, 3, 1, "", "highlight_edges"], [31, 2, 1, "", "load_defaults"], [31, 2, 1, "", "load_shape"], [31, 3, 1, "", "mass"], [31, 3, 1, "", "mesh"], [31, 3, 1, "", "radius"], [31, 3, 1, "", "shape"], [31, 3, 1, "", "use_mesh_color"], [31, 3, 1, "", "vdw_radius"]], "ovito.data.Particles": [[31, 2, 1, "", "add_particle"], [31, 3, 1, "", "angles"], [31, 3, 1, "", "bonds"], [31, 3, 1, "", "colors"], [31, 2, 1, "", "create_bonds"], [31, 2, 1, "", "delta_vector"], [31, 3, 1, "", "dihedrals"], [31, 3, 1, "", "forces"], [31, 3, 1, "", "identifiers"], [31, 3, 1, "", "impropers"], [31, 3, 1, "", "masses"], [31, 3, 1, "", "orientations"], [31, 3, 1, "", "particle_types"], [31, 3, 1, "", "positions"], [31, 2, 1, "", "remap_indices"], [31, 3, 1, "", "selection"], [31, 3, 1, "", "structure_types"], [31, 3, 1, "", "velocities"]], "ovito.data.Property": [[31, 2, 1, "", "add_type_id"], [31, 2, 1, "", "add_type_name"], [31, 3, 1, "", "component_count"], [31, 3, 1, "", "component_names"], [31, 3, 1, "", "name"], [31, 2, 1, "", "type_by_id"], [31, 2, 1, "", "type_by_name"], [31, 3, 1, "", "types"]], "ovito.data.PropertyContainer": [[31, 3, 1, "", "count"], [31, 2, 1, "", "create_property"], [31, 2, 1, "", "delete_elements"], [31, 2, 1, "", "delete_indices"], [31, 3, 1, "", "title"]], "ovito.data.SimulationCell": [[31, 2, 1, "", "delta_vector"], [31, 3, 1, "", "inverse"], [31, 3, 1, "", "is2D"], [31, 3, 1, "", "pbc"], [31, 3, 1, "", "volume"], [31, 3, 1, "", "volume2D"]], "ovito.data.SurfaceMesh": [[31, 2, 1, "", "connect_opposite_halfedges"], [31, 2, 1, "", "create_face"], [31, 2, 1, "", "create_faces"], [31, 2, 1, "", "create_vertices"], [31, 3, 1, "", "domain"], [31, 3, 1, "", "faces"], [31, 2, 1, "", "get_clipping_planes"], [31, 2, 1, "", "get_face_vertices"], [31, 2, 1, "", "locate_point"], [31, 3, 1, "", "regions"], [31, 2, 1, "", "set_clipping_planes"], [31, 3, 1, "", "space_filling_region"], [31, 2, 1, "", "to_triangle_mesh"], [31, 3, 1, "", "topology"], [31, 3, 1, "", "vertices"]], "ovito.data.SurfaceMeshTopology": [[31, 2, 1, "", "adjacent_face"], [31, 2, 1, "", "count_face_edges"], [31, 2, 1, "", "count_manifolds"], [31, 2, 1, "", "count_vertex_edges"], [31, 3, 1, "", "edge_count"], [31, 3, 1, "", "face_count"], [31, 2, 1, "", "find_edge"], [31, 2, 1, "", "first_edge_vertex"], [31, 2, 1, "", "first_face_edge"], [31, 2, 1, "", "first_face_vertex"], [31, 2, 1, "", "first_vertex_edge"], [31, 2, 1, "", "has_opposite_edge"], [31, 2, 1, "", "has_opposite_face"], [31, 3, 1, "", "is_closed"], [31, 2, 1, "", "next_face_edge"], [31, 2, 1, "", "next_manifold_edge"], [31, 2, 1, "", "next_vertex_edge"], [31, 2, 1, "", "opposite_edge"], [31, 2, 1, "", "opposite_face"], [31, 2, 1, "", "prev_face_edge"], [31, 2, 1, "", "second_edge_vertex"], [31, 3, 1, "", "vertex_count"]], "ovito.data.TrajectoryLines": [[31, 3, 1, "", "particle_ids"], [31, 3, 1, "", "positions"], [31, 3, 1, "", "time_stamps"]], "ovito.data.TriangleMesh": [[31, 3, 1, "", "face_count"], [31, 2, 1, "", "get_faces"], [31, 2, 1, "", "get_vertices"], [31, 2, 1, "", "set_faces"], [31, 2, 1, "", "set_vertices"], [31, 3, 1, "", "vertex_count"]], "ovito.data.VoxelGrid": [[31, 3, 1, "", "domain"], [31, 3, 1, "", "grid_type"], [31, 3, 1, "", "shape"], [31, 2, 1, "", "view"]], "ovito.io": [[32, 1, 1, "", "FileReaderInterface"], [33, 0, 0, "-", "ase"], [32, 4, 1, "", "export_file"], [32, 4, 1, "", "import_file"], [34, 0, 0, "-", "lammps"]], "ovito.io.FileReaderInterface": [[32, 2, 1, "", "detect"], [32, 2, 1, "", "parse"], [32, 2, 1, "", "scan"]], "ovito.io.ase": [[33, 4, 1, "", "ase_to_ovito"], [33, 4, 1, "", "ovito_to_ase"]], "ovito.io.lammps": [[34, 4, 1, "", "lammps_to_ovito"]], "ovito.modifiers": [[35, 1, 1, "", "AcklandJonesModifier"], [35, 1, 1, "", "AffineTransformationModifier"], [35, 1, 1, "", "AmbientOcclusionModifier"], [35, 1, 1, "", "AssignColorModifier"], [35, 1, 1, "", "AtomicStrainModifier"], [35, 1, 1, "", "BondAnalysisModifier"], [35, 1, 1, "", "CalculateDisplacementsModifier"], [35, 1, 1, "", "CentroSymmetryModifier"], [35, 1, 1, "", "ChillPlusModifier"], [35, 1, 1, "", "ClearSelectionModifier"], [35, 1, 1, "", "ClusterAnalysisModifier"], [35, 1, 1, "", "ColorByTypeModifier"], [35, 1, 1, "", "ColorCodingModifier"], [35, 1, 1, "", "CombineDatasetsModifier"], [35, 1, 1, "", "CommonNeighborAnalysisModifier"], [35, 1, 1, "", "ComputePropertyModifier"], [35, 1, 1, "", "ConstructSurfaceModifier"], [35, 1, 1, "", "CoordinationAnalysisModifier"], [35, 1, 1, "", "CoordinationPolyhedraModifier"], [35, 1, 1, "", "CreateBondsModifier"], [35, 1, 1, "", "CreateIsosurfaceModifier"], [35, 1, 1, "", "DeleteSelectedModifier"], [35, 1, 1, "", "DislocationAnalysisModifier"], [35, 1, 1, "", "ElasticStrainModifier"], [35, 1, 1, "", "ExpandSelectionModifier"], [35, 1, 1, "", "ExpressionSelectionModifier"], [35, 1, 1, "", "FreezePropertyModifier"], [35, 1, 1, "", "GenerateTrajectoryLinesModifier"], [35, 1, 1, "", "GrainSegmentationModifier"], [35, 1, 1, "", "HistogramModifier"], [35, 1, 1, "", "IdentifyDiamondModifier"], [35, 1, 1, "", "IdentifyFCCPlanarFaultsModifier"], [35, 1, 1, "", "InvertSelectionModifier"], [35, 1, 1, "", "LoadTrajectoryModifier"], [35, 1, 1, "", "PolyhedralTemplateMatchingModifier"], [35, 1, 1, "", "PythonScriptModifier"], [35, 1, 1, "", "RenderLAMMPSRegionsModifier"], [35, 1, 1, "", "ReplicateModifier"], [35, 1, 1, "", "SelectTypeModifier"], [35, 1, 1, "", "SliceModifier"], [35, 1, 1, "", "SmoothTrajectoryModifier"], [35, 1, 1, "", "SpatialBinningModifier"], [35, 1, 1, "", "SpatialCorrelationFunctionModifier"], [35, 1, 1, "", "StructureIdentificationModifier"], [35, 1, 1, "", "TimeAveragingModifier"], [35, 1, 1, "", "TimeSeriesModifier"], [35, 1, 1, "", "UnwrapTrajectoriesModifier"], [35, 1, 1, "", "VoroTopModifier"], [35, 1, 1, "", "VoronoiAnalysisModifier"], [35, 1, 1, "", "WignerSeitzAnalysisModifier"], [35, 1, 1, "", "WrapPeriodicImagesModifier"]], "ovito.modifiers.AffineTransformationModifier": [[35, 3, 1, "", "only_selected"], [35, 3, 1, "", "operate_on"], [35, 3, 1, "", "reduced_coords"], [35, 3, 1, "", "relative_mode"], [35, 3, 1, "", "target_cell"], [35, 3, 1, "", "transformation"]], "ovito.modifiers.AmbientOcclusionModifier": [[35, 3, 1, "", "buffer_resolution"], [35, 3, 1, "", "intensity"], [35, 3, 1, "", "sample_count"]], "ovito.modifiers.AssignColorModifier": [[35, 3, 1, "", "color"], [35, 3, 1, "", "operate_on"]], "ovito.modifiers.AtomicStrainModifier": [[35, 3, 1, "", "cutoff"], [35, 3, 1, "", "output_deformation_gradients"], [35, 3, 1, "", "output_nonaffine_squared_displacements"], [35, 3, 1, "", "output_rotations"], [35, 3, 1, "", "output_strain_tensors"], [35, 3, 1, "", "output_stretch_tensors"], [35, 3, 1, "", "select_invalid_particles"]], "ovito.modifiers.BondAnalysisModifier": [[35, 3, 1, "", "bins"], [35, 3, 1, "", "cosine_mode"], [35, 3, 1, "", "length_cutoff"], [35, 3, 1, "", "partition"]], "ovito.modifiers.CalculateDisplacementsModifier": [[35, 3, 1, "", "vis"]], "ovito.modifiers.CentroSymmetryModifier": [[35, 3, 1, "", "mode"], [35, 3, 1, "", "num_neighbors"], [35, 3, 1, "", "only_selected"]], "ovito.modifiers.ChillPlusModifier": [[35, 3, 1, "", "cutoff"]], "ovito.modifiers.ClearSelectionModifier": [[35, 3, 1, "", "operate_on"]], "ovito.modifiers.ClusterAnalysisModifier": [[35, 3, 1, "", "cluster_coloring"], [35, 3, 1, "", "compute_com"], [35, 3, 1, "", "compute_gyration"], [35, 3, 1, "", "cutoff"], [35, 3, 1, "", "neighbor_mode"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "sort_by_size"], [35, 3, 1, "", "unwrap_particles"]], "ovito.modifiers.ColorByTypeModifier": [[35, 3, 1, "", "clear_selection"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "operate_on"], [35, 3, 1, "", "property"]], "ovito.modifiers.ColorCodingModifier": [[35, 3, 1, "", "auto_adjust_range"], [35, 3, 1, "", "end_value"], [35, 3, 1, "", "gradient"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "operate_on"], [35, 3, 1, "", "property"], [35, 3, 1, "", "start_value"]], "ovito.modifiers.CombineDatasetsModifier": [[35, 3, 1, "", "source"]], "ovito.modifiers.CommonNeighborAnalysisModifier": [[35, 3, 1, "", "cutoff"], [35, 3, 1, "", "mode"]], "ovito.modifiers.ComputePropertyModifier": [[35, 3, 1, "", "cutoff_radius"], [35, 3, 1, "", "expressions"], [35, 3, 1, "", "neighbor_expressions"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "operate_on"], [35, 3, 1, "", "output_property"]], "ovito.modifiers.ConstructSurfaceModifier": [[35, 3, 1, "", "compute_distances"], [35, 3, 1, "", "grid_resolution"], [35, 3, 1, "", "identify_regions"], [35, 3, 1, "", "isolevel"], [35, 3, 1, "", "map_particles_to_regions"], [35, 3, 1, "", "method"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "radius"], [35, 3, 1, "", "radius_scaling"], [35, 3, 1, "", "select_surface_particles"], [35, 3, 1, "", "smoothing_level"], [35, 3, 1, "", "transfer_properties"], [35, 3, 1, "", "vis"]], "ovito.modifiers.CoordinationAnalysisModifier": [[35, 3, 1, "", "cutoff"], [35, 3, 1, "", "number_of_bins"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "partial"]], "ovito.modifiers.CoordinationPolyhedraModifier": [[35, 3, 1, "", "vis"]], "ovito.modifiers.CreateBondsModifier": [[35, 3, 1, "", "bond_type"], [35, 3, 1, "", "cutoff"], [35, 2, 1, "", "get_pairwise_cutoff"], [35, 3, 1, "", "intra_molecule_only"], [35, 3, 1, "", "lower_cutoff"], [35, 3, 1, "", "mode"], [35, 3, 1, "", "prevent_hh_bonds"], [35, 2, 1, "", "set_pairwise_cutoff"], [35, 3, 1, "", "vis"]], "ovito.modifiers.CreateIsosurfaceModifier": [[35, 3, 1, "", "isolevel"], [35, 3, 1, "", "operate_on"], [35, 3, 1, "", "property"], [35, 3, 1, "", "transfer_values"], [35, 3, 1, "", "vis"]], "ovito.modifiers.DeleteSelectedModifier": [[35, 3, 1, "", "operate_on"]], "ovito.modifiers.DislocationAnalysisModifier": [[35, 3, 1, "", "circuit_stretchability"], [35, 3, 1, "", "color_by_type"], [35, 3, 1, "", "defect_mesh_smoothing_level"], [35, 3, 1, "", "defect_vis"], [35, 3, 1, "", "disloc_vis"], [35, 3, 1, "", "input_crystal_structure"], [35, 3, 1, "", "line_coarsening_enabled"], [35, 3, 1, "", "line_point_separation"], [35, 3, 1, "", "line_smoothing_enabled"], [35, 3, 1, "", "line_smoothing_level"], [35, 3, 1, "", "only_perfect_dislocations"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "trial_circuit_length"]], "ovito.modifiers.ElasticStrainModifier": [[35, 3, 1, "", "axial_ratio"], [35, 3, 1, "", "calculate_deformation_gradients"], [35, 3, 1, "", "calculate_strain_tensors"], [35, 3, 1, "", "input_crystal_structure"], [35, 3, 1, "", "lattice_constant"], [35, 3, 1, "", "push_strain_tensors_forward"]], "ovito.modifiers.ExpandSelectionModifier": [[35, 3, 1, "", "cutoff"], [35, 3, 1, "", "iterations"], [35, 3, 1, "", "mode"], [35, 3, 1, "", "num_neighbors"]], "ovito.modifiers.ExpressionSelectionModifier": [[35, 3, 1, "", "expression"], [35, 3, 1, "", "operate_on"]], "ovito.modifiers.FreezePropertyModifier": [[35, 3, 1, "", "destination_property"], [35, 3, 1, "", "freeze_at"], [35, 3, 1, "", "operate_on"], [35, 3, 1, "", "source_property"]], "ovito.modifiers.GenerateTrajectoryLinesModifier": [[35, 3, 1, "", "frame_interval"], [35, 2, 1, "", "generate"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "sample_particle_property"], [35, 3, 1, "", "sampling_frequency"], [35, 3, 1, "", "unwrap_trajectories"], [35, 3, 1, "", "vis"]], "ovito.modifiers.GrainSegmentationModifier": [[35, 3, 1, "", "algorithm"], [35, 3, 1, "", "color_particles"], [35, 3, 1, "", "handle_stacking_faults"], [35, 3, 1, "", "merging_threshold"], [35, 3, 1, "", "min_grain_size"], [35, 3, 1, "", "orphan_adoption"]], "ovito.modifiers.HistogramModifier": [[35, 3, 1, "", "bin_count"], [35, 3, 1, "", "fix_xrange"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "operate_on"], [35, 3, 1, "", "property"], [35, 3, 1, "", "xrange_end"], [35, 3, 1, "", "xrange_start"]], "ovito.modifiers.IdentifyFCCPlanarFaultsModifier": [[35, 1, 1, "", "Types"], [35, 5, 1, "", "color_isf"], [35, 5, 1, "", "color_multi"], [35, 5, 1, "", "color_other"], [35, 5, 1, "", "color_twin"]], "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types": [[35, 5, 1, "", "ISF"], [35, 5, 1, "", "MULTI"], [35, 5, 1, "", "NONHCP"], [35, 5, 1, "", "OTHER"], [35, 5, 1, "", "TWIN"]], "ovito.modifiers.InvertSelectionModifier": [[35, 3, 1, "", "operate_on"]], "ovito.modifiers.LoadTrajectoryModifier": [[35, 3, 1, "", "source"]], "ovito.modifiers.PolyhedralTemplateMatchingModifier": [[35, 2, 1, "", "calculate_misorientation"], [35, 3, 1, "", "output_deformation_gradient"], [35, 3, 1, "", "output_interatomic_distance"], [35, 3, 1, "", "output_ordering"], [35, 3, 1, "", "output_orientation"], [35, 3, 1, "", "output_rmsd"], [35, 3, 1, "", "rmsd_cutoff"]], "ovito.modifiers.PythonScriptModifier": [[35, 3, 1, "", "delegate"], [35, 3, 1, "", "function"], [35, 3, 1, "", "working_dir"]], "ovito.modifiers.RenderLAMMPSRegionsModifier": [[35, 5, 1, "", "commands"], [35, 5, 1, "", "select_atoms"], [35, 5, 1, "", "vis"]], "ovito.modifiers.ReplicateModifier": [[35, 3, 1, "", "adjust_box"], [35, 3, 1, "", "num_x"], [35, 3, 1, "", "num_y"], [35, 3, 1, "", "num_z"], [35, 3, 1, "", "operate_on"], [35, 3, 1, "", "unique_ids"]], "ovito.modifiers.SelectTypeModifier": [[35, 3, 1, "", "operate_on"], [35, 3, 1, "", "property"], [35, 3, 1, "", "types"]], "ovito.modifiers.SliceModifier": [[35, 3, 1, "", "distance"], [35, 3, 1, "", "gridslice_vis"], [35, 3, 1, "", "inverse"], [35, 3, 1, "", "miller"], [35, 3, 1, "", "normal"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "operate_on"], [35, 3, 1, "", "plane_vis"], [35, 3, 1, "", "render_plane"], [35, 3, 1, "", "select"], [35, 3, 1, "", "slab_width"]], "ovito.modifiers.SmoothTrajectoryModifier": [[35, 3, 1, "", "minimum_image_convention"], [35, 3, 1, "", "window_size"]], "ovito.modifiers.SpatialBinningModifier": [[35, 3, 1, "", "bin_count"], [35, 3, 1, "", "direction"], [35, 3, 1, "", "first_derivative"], [35, 3, 1, "", "grid_vis"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "property"], [35, 3, 1, "", "reduction_operation"]], "ovito.modifiers.SpatialCorrelationFunctionModifier": [[35, 3, 1, "", "apply_window"], [35, 3, 1, "", "direct_summation"], [35, 3, 1, "", "grid_spacing"], [35, 3, 1, "", "neighbor_bins"], [35, 3, 1, "", "neighbor_cutoff"], [35, 3, 1, "", "property1"], [35, 3, 1, "", "property2"]], "ovito.modifiers.StructureIdentificationModifier": [[35, 3, 1, "", "color_by_type"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "structures"]], "ovito.modifiers.TimeAveragingModifier": [[35, 3, 1, "", "interval"], [35, 3, 1, "", "operate_on"], [35, 3, 1, "", "sampling_frequency"]], "ovito.modifiers.TimeSeriesModifier": [[35, 3, 1, "", "interval"], [35, 3, 1, "", "operate_on"], [35, 3, 1, "", "sampling_frequency"], [35, 3, 1, "", "time_attribute"]], "ovito.modifiers.VoroTopModifier": [[35, 3, 1, "", "filter_file"], [35, 3, 1, "", "use_radii"]], "ovito.modifiers.VoronoiAnalysisModifier": [[35, 3, 1, "", "bonds_vis"], [35, 3, 1, "", "compute_indices"], [35, 3, 1, "", "edge_threshold"], [35, 3, 1, "", "face_threshold"], [35, 3, 1, "", "generate_bonds"], [35, 3, 1, "", "generate_polyhedra"], [35, 3, 1, "", "mesh_vis"], [35, 3, 1, "", "only_selected"], [35, 3, 1, "", "relative_face_threshold"], [35, 3, 1, "", "use_radii"]], "ovito.modifiers.WignerSeitzAnalysisModifier": [[35, 3, 1, "", "output_displaced"], [35, 3, 1, "", "per_type_occupancies"]], "ovito.pipeline": [[36, 1, 1, "", "FileSource"], [36, 1, 1, "", "Modifier"], [36, 1, 1, "", "ModifierInterface"], [36, 1, 1, "", "Pipeline"], [36, 1, 1, "", "PipelineSourceInterface"], [36, 1, 1, "", "PythonScriptSource"], [36, 1, 1, "", "ReferenceConfigurationModifier"], [36, 1, 1, "", "StaticSource"]], "ovito.pipeline.FileSource": [[36, 2, 1, "", "compute"], [36, 3, 1, "", "data"], [36, 2, 1, "", "load"], [36, 3, 1, "", "num_frames"], [36, 3, 1, "", "source_path"]], "ovito.pipeline.Modifier": [[36, 3, 1, "", "enabled"], [36, 3, 1, "", "title"]], "ovito.pipeline.ModifierInterface": [[36, 1, 1, "", "InputSlot"], [36, 2, 1, "", "compute_trajectory_length"], [36, 2, 1, "", "input_caching_hints"], [36, 2, 1, "", "modify"], [36, 2, 1, "", "notify_trajectory_length_changed"]], "ovito.pipeline.ModifierInterface.InputSlot": [[36, 2, 1, "", "compute"], [36, 3, 1, "", "num_frames"]], "ovito.pipeline.Pipeline": [[36, 2, 1, "", "add_to_scene"], [36, 2, 1, "", "compute"], [36, 3, 1, "", "modifiers"], [36, 2, 1, "", "remove_from_scene"], [36, 3, 1, "", "source"]], "ovito.pipeline.PipelineSourceInterface": [[36, 2, 1, "", "compute_trajectory_length"], [36, 2, 1, "", "create"], [36, 2, 1, "", "notify_trajectory_length_changed"]], "ovito.pipeline.PythonScriptSource": [[36, 3, 1, "", "delegate"], [36, 3, 1, "", "function"], [36, 3, 1, "", "working_dir"]], "ovito.pipeline.ReferenceConfigurationModifier": [[36, 3, 1, "", "affine_mapping"], [36, 3, 1, "", "frame_offset"], [36, 3, 1, "", "minimum_image_convention"], [36, 3, 1, "", "reference"], [36, 3, 1, "", "reference_frame"], [36, 3, 1, "", "use_frame_offset"]], "ovito.pipeline.StaticSource": [[36, 2, 1, "", "compute"], [36, 3, 1, "", "data"]], "ovito.traits": [[37, 1, 1, "", "ColorTrait"], [37, 1, 1, "", "OvitoObjectTrait"]], "ovito.vis": [[38, 1, 1, "", "BondsVis"], [38, 1, 1, "", "ColorLegendOverlay"], [38, 1, 1, "", "CoordinateTripodOverlay"], [38, 1, 1, "", "DataVis"], [38, 1, 1, "", "DislocationVis"], [38, 1, 1, "", "OSPRayRenderer"], [38, 1, 1, "", "OpenGLRenderer"], [38, 1, 1, "", "ParticlesVis"], [38, 1, 1, "", "PythonViewportOverlay"], [38, 1, 1, "", "SimulationCellVis"], [38, 1, 1, "", "SurfaceMeshVis"], [38, 1, 1, "", "TachyonRenderer"], [38, 1, 1, "", "TextLabelOverlay"], [38, 1, 1, "", "TrajectoryVis"], [38, 1, 1, "", "TriangleMeshVis"], [38, 1, 1, "", "VectorVis"], [38, 1, 1, "", "Viewport"], [38, 1, 1, "", "ViewportOverlay"], [38, 1, 1, "", "VoxelGridVis"]], "ovito.vis.BondsVis": [[38, 3, 1, "", "color"], [38, 3, 1, "", "coloring_mode"], [38, 3, 1, "", "flat_shading"], [38, 3, 1, "", "width"]], "ovito.vis.ColorLegendOverlay": [[38, 3, 1, "", "alignment"], [38, 3, 1, "", "aspect_ratio"], [38, 3, 1, "", "background_color"], [38, 3, 1, "", "background_enabled"], [38, 3, 1, "", "border_color"], [38, 3, 1, "", "border_enabled"], [38, 3, 1, "", "color_mapping_source"], [38, 3, 1, "", "font"], [38, 3, 1, "", "font_size"], [38, 3, 1, "", "format_string"], [38, 3, 1, "", "label1"], [38, 3, 1, "", "label2"], [38, 3, 1, "", "label_size"], [38, 3, 1, "", "legend_size"], [38, 3, 1, "", "modifier"], [38, 3, 1, "", "offset_x"], [38, 3, 1, "", "offset_y"], [38, 3, 1, "", "orientation"], [38, 3, 1, "", "outline_color"], [38, 3, 1, "", "outline_enabled"], [38, 3, 1, "", "property"], [38, 3, 1, "", "rotate_title"], [38, 3, 1, "", "text_color"], [38, 3, 1, "", "ticks_enabled"], [38, 3, 1, "", "ticks_spacing"], [38, 3, 1, "", "title"]], "ovito.vis.CoordinateTripodOverlay": [[38, 3, 1, "", "alignment"], [38, 3, 1, "", "axis1_color"], [38, 3, 1, "", "axis1_dir"], [38, 3, 1, "", "axis1_enabled"], [38, 3, 1, "", "axis1_label"], [38, 3, 1, "", "axis2_color"], [38, 3, 1, "", "axis2_dir"], [38, 3, 1, "", "axis2_enabled"], [38, 3, 1, "", "axis2_label"], [38, 3, 1, "", "axis3_color"], [38, 3, 1, "", "axis3_dir"], [38, 3, 1, "", "axis3_enabled"], [38, 3, 1, "", "axis3_label"], [38, 3, 1, "", "axis4_color"], [38, 3, 1, "", "axis4_dir"], [38, 3, 1, "", "axis4_enabled"], [38, 3, 1, "", "axis4_label"], [38, 3, 1, "", "font"], [38, 3, 1, "", "font_size"], [38, 3, 1, "", "line_width"], [38, 3, 1, "", "offset_x"], [38, 3, 1, "", "offset_y"], [38, 3, 1, "", "outline_color"], [38, 3, 1, "", "outline_enabled"], [38, 3, 1, "", "size"], [38, 3, 1, "", "style"]], "ovito.vis.DataVis": [[38, 3, 1, "", "enabled"], [38, 3, 1, "", "title"]], "ovito.vis.DislocationVis": [[38, 3, 1, "", "burgers_vector_color"], [38, 3, 1, "", "burgers_vector_scaling"], [38, 3, 1, "", "burgers_vector_width"], [38, 3, 1, "", "coloring_mode"], [38, 3, 1, "", "line_width"], [38, 3, 1, "", "shading"], [38, 3, 1, "", "show_burgers_vectors"], [38, 3, 1, "", "show_line_directions"]], "ovito.vis.OSPRayRenderer": [[38, 3, 1, "", "ambient_brightness"], [38, 3, 1, "", "ambient_light_enabled"], [38, 3, 1, "", "aperture"], [38, 3, 1, "", "denoising_enabled"], [38, 3, 1, "", "direct_light_angular_diameter"], [38, 3, 1, "", "direct_light_enabled"], [38, 3, 1, "", "direct_light_intensity"], [38, 3, 1, "", "dof_enabled"], [38, 3, 1, "", "focal_length"], [38, 3, 1, "", "material_shininess"], [38, 3, 1, "", "material_specular_brightness"], [38, 3, 1, "", "max_ray_recursion"], [38, 3, 1, "", "refinement_iterations"], [38, 3, 1, "", "samples_per_pixel"], [38, 3, 1, "", "sky_albedo"], [38, 3, 1, "", "sky_brightness"], [38, 3, 1, "", "sky_light_enabled"], [38, 3, 1, "", "sky_turbidity"]], "ovito.vis.OpenGLRenderer": [[38, 3, 1, "", "antialiasing_level"]], "ovito.vis.ParticlesVis": [[38, 3, 1, "", "radius"], [38, 3, 1, "", "scaling"], [38, 3, 1, "", "shape"]], "ovito.vis.PythonViewportOverlay": [[38, 1, 1, "", "Arguments"], [38, 3, 1, "", "function"]], "ovito.vis.PythonViewportOverlay.Arguments": [[38, 3, 1, "", "fov"], [38, 3, 1, "", "frame"], [38, 3, 1, "", "is_perspective"], [38, 3, 1, "", "painter"], [38, 3, 1, "", "proj_tm"], [38, 2, 1, "", "project_point"], [38, 2, 1, "", "project_size"], [38, 3, 1, "", "scene"], [38, 3, 1, "", "size"], [38, 3, 1, "", "view_tm"], [38, 3, 1, "", "viewport"]], "ovito.vis.SimulationCellVis": [[38, 3, 1, "", "line_width"], [38, 3, 1, "", "render_cell"], [38, 3, 1, "", "rendering_color"]], "ovito.vis.SurfaceMeshVis": [[38, 3, 1, "", "cap_color"], [38, 3, 1, "", "cap_transparency"], [38, 3, 1, "", "clip_at_domain_boundaries"], [38, 3, 1, "", "color_mapping_gradient"], [38, 3, 1, "", "color_mapping_interval"], [38, 3, 1, "", "color_mapping_mode"], [38, 3, 1, "", "color_mapping_property"], [38, 3, 1, "", "highlight_edges"], [38, 3, 1, "", "reverse_orientation"], [38, 3, 1, "", "show_cap"], [38, 3, 1, "", "smooth_shading"], [38, 3, 1, "", "surface_color"], [38, 3, 1, "", "surface_transparency"]], "ovito.vis.TachyonRenderer": [[38, 3, 1, "", "ambient_occlusion"], [38, 3, 1, "", "ambient_occlusion_brightness"], [38, 3, 1, "", "ambient_occlusion_samples"], [38, 3, 1, "", "antialiasing"], [38, 3, 1, "", "antialiasing_samples"], [38, 3, 1, "", "aperture"], [38, 3, 1, "", "depth_of_field"], [38, 3, 1, "", "direct_light"], [38, 3, 1, "", "direct_light_intensity"], [38, 3, 1, "", "focal_length"], [38, 3, 1, "", "shadows"]], "ovito.vis.TextLabelOverlay": [[38, 3, 1, "", "alignment"], [38, 3, 1, "", "font"], [38, 3, 1, "", "font_size"], [38, 3, 1, "", "format_string"], [38, 3, 1, "", "offset_x"], [38, 3, 1, "", "offset_y"], [38, 3, 1, "", "outline_color"], [38, 3, 1, "", "outline_enabled"], [38, 3, 1, "", "source_pipeline"], [38, 3, 1, "", "text"], [38, 3, 1, "", "text_color"]], "ovito.vis.TrajectoryVis": [[38, 3, 1, "", "color"], [38, 3, 1, "", "color_mapping_gradient"], [38, 3, 1, "", "color_mapping_interval"], [38, 3, 1, "", "color_mapping_property"], [38, 3, 1, "", "shading"], [38, 3, 1, "", "upto_current_time"], [38, 3, 1, "", "width"], [38, 3, 1, "", "wrapped_lines"]], "ovito.vis.TriangleMeshVis": [[38, 3, 1, "", "backface_culling"], [38, 3, 1, "", "color"], [38, 3, 1, "", "highlight_edges"], [38, 3, 1, "", "transparency"]], "ovito.vis.VectorVis": [[38, 3, 1, "", "alignment"], [38, 3, 1, "", "color"], [38, 3, 1, "", "color_mapping_gradient"], [38, 3, 1, "", "color_mapping_interval"], [38, 3, 1, "", "color_mapping_property"], [38, 3, 1, "", "flat_shading"], [38, 3, 1, "", "offset"], [38, 3, 1, "", "reverse"], [38, 3, 1, "", "scaling"], [38, 3, 1, "", "transparency"], [38, 3, 1, "", "width"]], "ovito.vis.Viewport": [[38, 3, 1, "", "camera_dir"], [38, 3, 1, "", "camera_pos"], [38, 3, 1, "", "camera_up"], [38, 2, 1, "", "create_jupyter_widget"], [38, 2, 1, "", "create_qt_widget"], [38, 3, 1, "", "fov"], [38, 3, 1, "", "overlays"], [38, 2, 1, "", "render_anim"], [38, 2, 1, "", "render_image"], [38, 3, 1, "", "type"], [38, 3, 1, "", "underlays"], [38, 2, 1, "", "zoom_all"]], "ovito.vis.ViewportOverlay": [[38, 3, 1, "", "enabled"]], "ovito.vis.VoxelGridVis": [[38, 3, 1, "", "color_mapping_gradient"], [38, 3, 1, "", "color_mapping_interval"], [38, 3, 1, "", "color_mapping_property"], [38, 3, 1, "", "highlight_grid_lines"], [38, 3, 1, "", "interpolate_colors"], [38, 3, 1, "", "transparency"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:method", "3": "py:property", "4": "py:function", "5": "py:attribute", "6": "py:data"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "property", "Python property"], "4": ["py", "function", "Python function"], "5": ["py", "attribute", "Python attribute"], "6": ["py", "data", "Python data"]}, "titleterms": {"ovito": [0, 1, 12, 25, 27, 30, 31, 32, 33, 34, 35, 36, 37, 38], "python": [0, 12, 25], "refer": [0, 13], "topic": [0, 1], "modul": [0, 25], "advanc": [1, 3], "save": 1, "load": [1, 11], "pipelin": [1, 3, 27, 28, 36], "control": 1, "how": [1, 3], "mani": 1, "processor": 1, "core": [1, 25], "us": [1, 25], "packag": 1, "instal": [1, 25], "user": [1, 2, 3, 6], "extens": 1, "defin": [2, 3, 6], "file": [2, 6, 11, 24], "reader": [2, 6, 11], "The": [2, 3, 11], "detect": [2, 11], "method": [2, 3, 11], "scan": [2, 11], "pars": [2, 11], "test": 2, "your": [2, 3], "paramet": [2, 3, 17], "modifi": [3, 4, 6, 27, 35], "simpl": 3, "program": 3, "interfac": 3, "insert": 3, "custom": [3, 11, 17], "function": [3, 6], "well": 3, "behav": 3, "output": 3, "comput": [3, 7, 10, 15, 27], "result": [3, 27], "One": 3, "time": 3, "initi": 3, "perform": [3, 11, 12], "long": 3, "run": 3, "trajectori": [3, 9, 15, 28], "process": [3, 28], "input": [3, 27], "data": [3, 4, 5, 12, 21, 24, 27, 28, 31], "cach": 3, "addit": 3, "slot": 3, "static": 3, "regist": 3, "manipul": 4, "ownership": 4, "announc": 4, "object": [4, 5], "modif": 4, "assign": 4, "new": 4, "particl": [4, 5, 8, 11, 18, 22], "properti": [4, 5, 11], "bond": [4, 7, 8], "valu": 4, "ad": 4, "global": [4, 5, 15], "attribut": [4, 5, 15], "simul": [4, 11, 19, 28], "cell": [4, 11], "In": 4, "place": 4, "applic": 4, "model": 5, "tabl": 5, "surfac": 5, "mesh": 5, "code": 6, "exampl": [6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23], "standalon": [6, 9], "autom": 6, "script": 6, "viewport": [6, 29], "layer": 6, "b2": 7, "cna": 7, "indic": [7, 10], "b3": 8, "creat": 8, "programmat": 8, "b4": 9, "viewer": 9, "b1": 10, "voronoi": 10, "fr1": [11, 12], "A": 11, "note": 11, "fr2": 12, "optim": 12, "seek": 12, "request": 12, "frame": 12, "minim": 12, "exchang": 12, "final": 12, "thought": 12, "m7": 13, "displac": [13, 16], "vector": 13, "configur": 13, "m6": 14, "calcul": [14, 16, 17], "local": [14, 20], "entropi": 14, "m8": 15, "averag": 15, "m1": 16, "mean": 16, "squar": 16, "m2": 17, "order": 17, "m4": 18, "find": 18, "overlap": 18, "m5": 19, "shrink": 19, "wrap": 19, "box": 19, "m3": 20, "color": 20, "map": 20, "visual": [20, 29], "lattic": 20, "orient": 20, "o2": 21, "includ": 21, "plot": 21, "render": [21, 27, 29], "imag": [21, 27], "o3": 22, "highlight": 22, "o1": 23, "scale": 23, "bar": 23, "i": 24, "o": 24, "import": [24, 27], "export": [24, 27], "pip": 25, "conda": 25, "pro": 25, "integr": 25, "interpret": 25, "preload": 25, "session": 25, "state": 25, "graphic": 25, "mode": 25, "number": 25, "cpu": 25, "third": 25, "parti": 25, "introduct": 26, "high": 27, "level": 27, "api": 27, "overview": 27, "": 27, "architectur": 27, "from": 27, "disk": 27, "appli": 27, "access": 27, "movi": 27, "further": 27, "read": 27, "element": 29, "io": [32, 33, 34], "ase": 33, "lammp": 34, "trait": 37, "vi": 38}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 8, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx": 57}, "alltitles": {"OVITO Python Reference": [[0, "ovito-python-reference"]], "Topics": [[0, "topics"]], "Python Module Reference": [[0, "python-module-reference"]], "Advanced topics": [[1, "advanced-topics"]], "Saving and loading pipelines": [[1, "saving-and-loading-pipelines"]], "Controlling how many processor cores OVITO uses": [[1, "controlling-how-many-processor-cores-ovito-uses"]], "Packaging and installation of user extensions for OVITO": [[1, "packaging-and-installation-of-user-extensions-for-ovito"]], "User-defined file readers": [[2, "user-defined-file-readers"], [6, "user-defined-file-readers"]], "The detect method": [[2, "the-detect-method"], [11, "the-detect-method"]], "The scan method": [[2, "the-scan-method"], [11, "the-scan-method"]], "The parse method": [[2, "the-parse-method"], [11, "the-parse-method"]], "Testing your file reader": [[2, "testing-your-file-reader"]], "User parameters": [[2, "user-parameters"], [3, "user-parameters"]], "User-defined modifiers": [[3, "user-defined-modifiers"]], "Simple programming interface": [[3, "simple-programming-interface"]], "Inserting the custom modifier function into a pipeline": [[3, "inserting-the-custom-modifier-function-into-a-pipeline"]], "Well-behaved modifier functions": [[3, "well-behaved-modifier-functions"]], "How to output computational results": [[3, "how-to-output-computational-results"]], "One-time initialization": [[3, "one-time-initialization"]], "Performing long-running computations": [[3, "performing-long-running-computations"]], "Modifier parameters": [[3, "modifier-parameters"]], "Advanced programming interface": [[3, "advanced-programming-interface"]], "The modify method": [[3, "the-modify-method"]], "Trajectory processing": [[3, "trajectory-processing"]], "Input data caching": [[3, "input-data-caching"]], "Defining additional input slots": [[3, "defining-additional-input-slots"]], "Caching static computation results": [[3, "caching-static-computation-results"]], "Registering your custom modifier": [[3, "registering-your-custom-modifier"]], "Manipulating data": [[4, "manipulating-data"]], "Data ownership": [[4, "data-ownership"]], "Announcing object modification": [[4, "announcing-object-modification"]], "Assigning new particle properties": [[4, "assigning-new-particle-properties"]], "Assigning new bond properties": [[4, "assigning-new-bond-properties"]], "Modifying property values": [[4, "modifying-property-values"]], "Adding global attributes": [[4, "adding-global-attributes"]], "Modifying the simulation cell": [[4, "modifying-the-simulation-cell"]], "In-place application of modifiers": [[4, "in-place-application-of-modifiers"]], "Data model": [[5, "data-model"]], "Particles": [[5, "particles"]], "Property objects": [[5, "property-objects"]], "Global attributes": [[5, "global-attributes"]], "Data tables": [[5, "data-tables"]], "Surface meshes": [[5, "surface-meshes"]], "Code examples": [[6, "code-examples"]], "Standalone automation scripts": [[6, "standalone-automation-scripts"]], "User-defined modifier functions": [[6, "user-defined-modifier-functions"]], "User-defined viewport layers": [[6, "user-defined-viewport-layers"]], "Example B2: Computing CNA bond indices": [[7, "example-b2-computing-cna-bond-indices"]], "Example B3: Creating particles and bonds programmatically": [[8, "example-b3-creating-particles-and-bonds-programmatically"]], "Example B4: Standalone trajectory viewer": [[9, "example-b4-standalone-trajectory-viewer"]], "Example B1: Computing Voronoi indices": [[10, "example-b1-computing-voronoi-indices"]], "Example FR1: Custom file reader loading particle properties and the simulation cell": [[11, "example-fr1-custom-file-reader-loading-particle-properties-and-the-simulation-cell"]], "A note on performance": [[11, "a-note-on-performance"]], "Example FR2: Optimizing the performance of Example FR1": [[12, "example-fr2-optimizing-the-performance-of-example-fr1"]], "Seeking to the requested frame": [[12, "seeking-to-the-requested-frame"]], "Minimizing OVITO / Python data exchange": [[12, "minimizing-ovito-python-data-exchange"]], "Final thoughts": [[12, "final-thoughts"]], "Example M7: Displacement vectors with reference configuration": [[13, "example-m7-displacement-vectors-with-reference-configuration"]], "Example M6: Calculate local entropy": [[14, "example-m6-calculate-local-entropy"]], "Example M8: Compute trajectory average of a global attribute": [[15, "example-m8-compute-trajectory-average-of-a-global-attribute"]], "Example M1: Calculating mean square displacement": [[16, "example-m1-calculating-mean-square-displacement"]], "Example M2: Custom order parameter calculation": [[17, "example-m2-custom-order-parameter-calculation"]], "Example M4: Finding overlapping particles": [[18, "example-m4-finding-overlapping-particles"]], "Example M5: Shrink-wrap simulation box": [[19, "example-m5-shrink-wrap-simulation-box"]], "Example M3: Color mapping to visualize local lattice orientation": [[20, "example-m3-color-mapping-to-visualize-local-lattice-orientation"]], "Example O2: Including data plots in rendered images": [[21, "example-o2-including-data-plots-in-rendered-images"]], "Example O3: Highlight a particle": [[22, "example-o3-highlight-a-particle"]], "Example O1: Scale bar": [[23, "example-o1-scale-bar"]], "File I/O": [[24, "file-i-o"]], "Data import": [[24, "data-import"]], "Data export": [[24, "data-export"]], "Installation": [[25, "installation"]], "Using pip": [[25, "using-pip"]], "Using conda": [[25, "using-conda"]], "OVITO Pro integrated interpreter": [[25, "ovito-pro-integrated-interpreter"]], "Preloading session state": [[25, "preloading-session-state"]], "Graphical mode": [[25, "graphical-mode"]], "Number of CPU cores": [[25, "number-of-cpu-cores"]], "Installing third-party Python modules": [[25, "installing-third-party-python-modules"]], "Introduction": [[26, "introduction"]], "High-level API overview": [[27, "high-level-api-overview"]], "OVITO\u2019s data pipeline architecture": [[27, "ovito-s-data-pipeline-architecture"]], "Importing data from disk": [[27, "importing-data-from-disk"]], "Applying modifiers": [[27, "applying-modifiers"]], "Exporting data to disk": [[27, "exporting-data-to-disk"]], "Accessing computation results": [[27, "accessing-computation-results"]], "Accessing a pipeline\u2019s input data": [[27, "accessing-a-pipeline-s-input-data"]], "Rendering images and movies": [[27, "rendering-images-and-movies"]], "Further reading": [[27, "further-reading"]], "Data pipelines": [[28, "data-pipelines"]], "Processing simulation trajectories": [[28, "processing-simulation-trajectories"]], "Rendering & visualization": [[29, "rendering-visualization"]], "Visual elements": [[29, "visual-elements"]], "Viewports": [[29, "viewports"]], "Rendering": [[29, "rendering"]], "ovito": [[30, "module-ovito"]], "ovito.data": [[31, "module-ovito.data"]], "ovito.io": [[32, "module-ovito.io"]], "ovito.io.ase": [[33, "module-ovito.io.ase"]], "ovito.io.lammps": [[34, "module-ovito.io.lammps"]], "ovito.modifiers": [[35, "module-ovito.modifiers"]], "ovito.pipeline": [[36, "module-ovito.pipeline"]], "ovito.traits": [[37, "module-ovito.traits"]], "ovito.vis": [[38, "module-ovito.vis"]]}, "indexentries": {"scene (class in ovito)": [[30, "ovito.Scene"]], "enable_logging() (in module ovito)": [[30, "ovito.enable_logging"]], "load() (ovito.scene method)": [[30, "ovito.Scene.load"]], "module": [[30, "module-ovito"], [31, "module-ovito.data"], [32, "module-ovito.io"], [33, "module-ovito.io.ase"], [34, "module-ovito.io.lammps"], [35, "module-ovito.modifiers"], [36, "module-ovito.pipeline"], [37, "module-ovito.traits"], [38, "module-ovito.vis"]], "ovito": [[30, "module-ovito"]], "pipelines (ovito.scene property)": [[30, "ovito.Scene.pipelines"]], "save() (ovito.scene method)": [[30, "ovito.Scene.save"]], "scene (in module ovito)": [[30, "ovito.scene"]], "selected_pipeline (ovito.scene property)": [[30, "ovito.Scene.selected_pipeline"]], "version (in module ovito)": [[30, "ovito.version"]], "version_string (in module ovito)": [[30, "ovito.version_string"]], "bondtype (class in ovito.data)": [[31, "ovito.data.BondType"]], "bonds (class in ovito.data)": [[31, "ovito.data.Bonds"]], "bondsenumerator (class in ovito.data)": [[31, "ovito.data.BondsEnumerator"]], "cutoffneighborfinder (class in ovito.data)": [[31, "ovito.data.CutoffNeighborFinder"]], "datacollection (class in ovito.data)": [[31, "ovito.data.DataCollection"]], "dataobject (class in ovito.data)": [[31, "ovito.data.DataObject"]], "datatable (class in ovito.data)": [[31, "ovito.data.DataTable"]], "dislocationnetwork (class in ovito.data)": [[31, "ovito.data.DislocationNetwork"]], "dislocationsegment (class in ovito.data)": [[31, "ovito.data.DislocationSegment"]], "elementtype (class in ovito.data)": [[31, "ovito.data.ElementType"]], "nearestneighborfinder (class in ovito.data)": [[31, "ovito.data.NearestNeighborFinder"]], "particletype (class in ovito.data)": [[31, "ovito.data.ParticleType"]], "particles (class in ovito.data)": [[31, "ovito.data.Particles"]], "property (class in ovito.data)": [[31, "ovito.data.Property"]], "propertycontainer (class in ovito.data)": [[31, "ovito.data.PropertyContainer"]], "simulationcell (class in ovito.data)": [[31, "ovito.data.SimulationCell"]], "surfacemesh (class in ovito.data)": [[31, "ovito.data.SurfaceMesh"]], "surfacemeshtopology (class in ovito.data)": [[31, "ovito.data.SurfaceMeshTopology"]], "trajectorylines (class in ovito.data)": [[31, "ovito.data.TrajectoryLines"]], "trianglemesh (class in ovito.data)": [[31, "ovito.data.TriangleMesh"]], "voxelgrid (class in ovito.data)": [[31, "ovito.data.VoxelGrid"]], "add_bond() (ovito.data.bonds method)": [[31, "ovito.data.Bonds.add_bond"]], "add_particle() (ovito.data.particles method)": [[31, "ovito.data.Particles.add_particle"]], "add_type_id() (ovito.data.property method)": [[31, "ovito.data.Property.add_type_id"]], "add_type_name() (ovito.data.property method)": [[31, "ovito.data.Property.add_type_name"]], "adjacent_face() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.adjacent_face"]], "angles (ovito.data.particles property)": [[31, "ovito.data.Particles.angles"]], "apply() (ovito.data.datacollection method)": [[31, "ovito.data.DataCollection.apply"]], "attributes (ovito.data.datacollection property)": [[31, "ovito.data.DataCollection.attributes"]], "axis_label_x (ovito.data.datatable property)": [[31, "ovito.data.DataTable.axis_label_x"]], "backface_culling (ovito.data.particletype property)": [[31, "ovito.data.ParticleType.backface_culling"]], "bond_types (ovito.data.bonds property)": [[31, "ovito.data.Bonds.bond_types"]], "bonds (ovito.data.particles property)": [[31, "ovito.data.Particles.bonds"]], "bonds_of_particle() (ovito.data.bondsenumerator method)": [[31, "ovito.data.BondsEnumerator.bonds_of_particle"]], "cell (ovito.data.datacollection property)": [[31, "ovito.data.DataCollection.cell"]], "clone() (ovito.data.datacollection method)": [[31, "ovito.data.DataCollection.clone"]], "cluster_id (ovito.data.dislocationsegment property)": [[31, "ovito.data.DislocationSegment.cluster_id"]], "color (ovito.data.elementtype property)": [[31, "ovito.data.ElementType.color"]], "colors (ovito.data.bonds property)": [[31, "ovito.data.Bonds.colors"]], "colors (ovito.data.particles property)": [[31, "ovito.data.Particles.colors"]], "component_count (ovito.data.property property)": [[31, "ovito.data.Property.component_count"]], "component_names (ovito.data.property property)": [[31, "ovito.data.Property.component_names"]], "connect_opposite_halfedges() (ovito.data.surfacemesh method)": [[31, "ovito.data.SurfaceMesh.connect_opposite_halfedges"]], "count (ovito.data.propertycontainer property)": [[31, "ovito.data.PropertyContainer.count"]], "count_face_edges() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.count_face_edges"]], "count_manifolds() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.count_manifolds"]], "count_vertex_edges() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.count_vertex_edges"]], "create_bonds() (ovito.data.particles method)": [[31, "ovito.data.Particles.create_bonds"]], "create_cell() (ovito.data.datacollection method)": [[31, "ovito.data.DataCollection.create_cell"]], "create_face() (ovito.data.surfacemesh method)": [[31, "ovito.data.SurfaceMesh.create_face"]], "create_faces() (ovito.data.surfacemesh method)": [[31, "ovito.data.SurfaceMesh.create_faces"]], "create_particles() (ovito.data.datacollection method)": [[31, "ovito.data.DataCollection.create_particles"]], "create_property() (ovito.data.propertycontainer method)": [[31, "ovito.data.PropertyContainer.create_property"]], "create_vertices() (ovito.data.surfacemesh method)": [[31, "ovito.data.SurfaceMesh.create_vertices"]], "custom_color (ovito.data.dislocationsegment property)": [[31, "ovito.data.DislocationSegment.custom_color"]], "delete_elements() (ovito.data.propertycontainer method)": [[31, "ovito.data.PropertyContainer.delete_elements"]], "delete_indices() (ovito.data.propertycontainer method)": [[31, "ovito.data.PropertyContainer.delete_indices"]], "delta_vector() (ovito.data.particles method)": [[31, "ovito.data.Particles.delta_vector"]], "delta_vector() (ovito.data.simulationcell method)": [[31, "ovito.data.SimulationCell.delta_vector"]], "dihedrals (ovito.data.particles property)": [[31, "ovito.data.Particles.dihedrals"]], "dislocations (ovito.data.datacollection property)": [[31, "ovito.data.DataCollection.dislocations"]], "domain (ovito.data.surfacemesh property)": [[31, "ovito.data.SurfaceMesh.domain"]], "domain (ovito.data.voxelgrid property)": [[31, "ovito.data.VoxelGrid.domain"]], "edge_count (ovito.data.surfacemeshtopology property)": [[31, "ovito.data.SurfaceMeshTopology.edge_count"]], "enabled (ovito.data.elementtype property)": [[31, "ovito.data.ElementType.enabled"]], "face_count (ovito.data.surfacemeshtopology property)": [[31, "ovito.data.SurfaceMeshTopology.face_count"]], "face_count (ovito.data.trianglemesh property)": [[31, "ovito.data.TriangleMesh.face_count"]], "faces (ovito.data.surfacemesh property)": [[31, "ovito.data.SurfaceMesh.faces"]], "find() (ovito.data.cutoffneighborfinder method)": [[31, "ovito.data.CutoffNeighborFinder.find"]], "find() (ovito.data.nearestneighborfinder method)": [[31, "ovito.data.NearestNeighborFinder.find"]], "find_all() (ovito.data.cutoffneighborfinder method)": [[31, "ovito.data.CutoffNeighborFinder.find_all"]], "find_all() (ovito.data.nearestneighborfinder method)": [[31, "ovito.data.NearestNeighborFinder.find_all"]], "find_at() (ovito.data.cutoffneighborfinder method)": [[31, "ovito.data.CutoffNeighborFinder.find_at"]], "find_at() (ovito.data.nearestneighborfinder method)": [[31, "ovito.data.NearestNeighborFinder.find_at"]], "find_edge() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.find_edge"]], "first_edge_vertex() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.first_edge_vertex"]], "first_face_edge() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.first_face_edge"]], "first_face_vertex() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.first_face_vertex"]], "first_vertex_edge() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.first_vertex_edge"]], "forces (ovito.data.particles property)": [[31, "ovito.data.Particles.forces"]], "get_clipping_planes() (ovito.data.surfacemesh method)": [[31, "ovito.data.SurfaceMesh.get_clipping_planes"]], "get_face_vertices() (ovito.data.surfacemesh method)": [[31, "ovito.data.SurfaceMesh.get_face_vertices"]], "get_faces() (ovito.data.trianglemesh method)": [[31, "ovito.data.TriangleMesh.get_faces"]], "get_vertices() (ovito.data.trianglemesh method)": [[31, "ovito.data.TriangleMesh.get_vertices"]], "grid_type (ovito.data.voxelgrid property)": [[31, "ovito.data.VoxelGrid.grid_type"]], "grids (ovito.data.datacollection property)": [[31, "ovito.data.DataCollection.grids"]], "has_opposite_edge() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.has_opposite_edge"]], "has_opposite_face() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.has_opposite_face"]], "highlight_edges (ovito.data.particletype property)": [[31, "ovito.data.ParticleType.highlight_edges"]], "id (ovito.data.dislocationsegment property)": [[31, "ovito.data.DislocationSegment.id"]], "id (ovito.data.elementtype property)": [[31, "ovito.data.ElementType.id"]], "identifier (ovito.data.dataobject property)": [[31, "ovito.data.DataObject.identifier"]], "identifiers (ovito.data.particles property)": [[31, "ovito.data.Particles.identifiers"]], "impropers (ovito.data.particles property)": [[31, "ovito.data.Particles.impropers"]], "interval (ovito.data.datatable property)": [[31, "ovito.data.DataTable.interval"]], "inverse (ovito.data.simulationcell property)": [[31, "ovito.data.SimulationCell.inverse"]], "is2d (ovito.data.simulationcell property)": [[31, "ovito.data.SimulationCell.is2D"]], "is_closed (ovito.data.surfacemeshtopology property)": [[31, "ovito.data.SurfaceMeshTopology.is_closed"]], "is_infinite_line (ovito.data.dislocationsegment property)": [[31, "ovito.data.DislocationSegment.is_infinite_line"]], "is_loop (ovito.data.dislocationsegment property)": [[31, "ovito.data.DislocationSegment.is_loop"]], "length (ovito.data.dislocationsegment property)": [[31, "ovito.data.DislocationSegment.length"]], "load_defaults() (ovito.data.particletype method)": [[31, "ovito.data.ParticleType.load_defaults"]], "load_shape() (ovito.data.particletype method)": [[31, "ovito.data.ParticleType.load_shape"]], "locate_point() (ovito.data.surfacemesh method)": [[31, "ovito.data.SurfaceMesh.locate_point"]], "make_mutable() (ovito.data.dataobject method)": [[31, "ovito.data.DataObject.make_mutable"]], "mass (ovito.data.particletype property)": [[31, "ovito.data.ParticleType.mass"]], "masses (ovito.data.particles property)": [[31, "ovito.data.Particles.masses"]], "mesh (ovito.data.particletype property)": [[31, "ovito.data.ParticleType.mesh"]], "name (ovito.data.elementtype property)": [[31, "ovito.data.ElementType.name"]], "name (ovito.data.property property)": [[31, "ovito.data.Property.name"]], "neighbor_distances() (ovito.data.cutoffneighborfinder method)": [[31, "ovito.data.CutoffNeighborFinder.neighbor_distances"]], "neighbor_vectors() (ovito.data.cutoffneighborfinder method)": [[31, "ovito.data.CutoffNeighborFinder.neighbor_vectors"]], "next_face_edge() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.next_face_edge"]], "next_manifold_edge() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.next_manifold_edge"]], "next_vertex_edge() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.next_vertex_edge"]], "objects (ovito.data.datacollection property)": [[31, "ovito.data.DataCollection.objects"]], "opposite_edge() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.opposite_edge"]], "opposite_face() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.opposite_face"]], "orientations (ovito.data.particles property)": [[31, "ovito.data.Particles.orientations"]], "ovito.data": [[31, "module-ovito.data"]], "particle_ids (ovito.data.trajectorylines property)": [[31, "ovito.data.TrajectoryLines.particle_ids"]], "particle_types (ovito.data.particles property)": [[31, "ovito.data.Particles.particle_types"]], "particles (ovito.data.datacollection property)": [[31, "ovito.data.DataCollection.particles"]], "pbc (ovito.data.simulationcell property)": [[31, "ovito.data.SimulationCell.pbc"]], "pbc_vectors (ovito.data.bonds property)": [[31, "ovito.data.Bonds.pbc_vectors"]], "plot_mode (ovito.data.datatable property)": [[31, "ovito.data.DataTable.plot_mode"]], "points (ovito.data.dislocationsegment property)": [[31, "ovito.data.DislocationSegment.points"]], "positions (ovito.data.particles property)": [[31, "ovito.data.Particles.positions"]], "positions (ovito.data.trajectorylines property)": [[31, "ovito.data.TrajectoryLines.positions"]], "prev_face_edge() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.prev_face_edge"]], "radius (ovito.data.particletype property)": [[31, "ovito.data.ParticleType.radius"]], "regions (ovito.data.surfacemesh property)": [[31, "ovito.data.SurfaceMesh.regions"]], "remap_indices() (ovito.data.particles method)": [[31, "ovito.data.Particles.remap_indices"]], "second_edge_vertex() (ovito.data.surfacemeshtopology method)": [[31, "ovito.data.SurfaceMeshTopology.second_edge_vertex"]], "segments (ovito.data.dislocationnetwork property)": [[31, "ovito.data.DislocationNetwork.segments"]], "selection (ovito.data.bonds property)": [[31, "ovito.data.Bonds.selection"]], "selection (ovito.data.particles property)": [[31, "ovito.data.Particles.selection"]], "set_clipping_planes() (ovito.data.surfacemesh method)": [[31, "ovito.data.SurfaceMesh.set_clipping_planes"]], "set_faces() (ovito.data.trianglemesh method)": [[31, "ovito.data.TriangleMesh.set_faces"]], "set_segment() (ovito.data.dislocationnetwork method)": [[31, "ovito.data.DislocationNetwork.set_segment"]], "set_vertices() (ovito.data.trianglemesh method)": [[31, "ovito.data.TriangleMesh.set_vertices"]], "shape (ovito.data.particletype property)": [[31, "ovito.data.ParticleType.shape"]], "shape (ovito.data.voxelgrid property)": [[31, "ovito.data.VoxelGrid.shape"]], "space_filling_region (ovito.data.surfacemesh property)": [[31, "ovito.data.SurfaceMesh.space_filling_region"]], "spatial_burgers_vector (ovito.data.dislocationsegment property)": [[31, "ovito.data.DislocationSegment.spatial_burgers_vector"]], "structure_types (ovito.data.particles property)": [[31, "ovito.data.Particles.structure_types"]], "surfaces (ovito.data.datacollection property)": [[31, "ovito.data.DataCollection.surfaces"]], "tables (ovito.data.datacollection property)": [[31, "ovito.data.DataCollection.tables"]], "time_stamps (ovito.data.trajectorylines property)": [[31, "ovito.data.TrajectoryLines.time_stamps"]], "title (ovito.data.propertycontainer property)": [[31, "ovito.data.PropertyContainer.title"]], "to_triangle_mesh() (ovito.data.surfacemesh method)": [[31, "ovito.data.SurfaceMesh.to_triangle_mesh"]], "topology (ovito.data.bonds property)": [[31, "ovito.data.Bonds.topology"]], "topology (ovito.data.surfacemesh property)": [[31, "ovito.data.SurfaceMesh.topology"]], "trajectories (ovito.data.datacollection property)": [[31, "ovito.data.DataCollection.trajectories"]], "triangle_meshes (ovito.data.datacollection property)": [[31, "ovito.data.DataCollection.triangle_meshes"]], "true_burgers_vector (ovito.data.dislocationsegment property)": [[31, "ovito.data.DislocationSegment.true_burgers_vector"]], "type_by_id() (ovito.data.property method)": [[31, "ovito.data.Property.type_by_id"]], "type_by_name() (ovito.data.property method)": [[31, "ovito.data.Property.type_by_name"]], "types (ovito.data.property property)": [[31, "ovito.data.Property.types"]], "use_mesh_color (ovito.data.particletype property)": [[31, "ovito.data.ParticleType.use_mesh_color"]], "vdw_radius (ovito.data.particletype property)": [[31, "ovito.data.ParticleType.vdw_radius"]], "velocities (ovito.data.particles property)": [[31, "ovito.data.Particles.velocities"]], "vertex_count (ovito.data.surfacemeshtopology property)": [[31, "ovito.data.SurfaceMeshTopology.vertex_count"]], "vertex_count (ovito.data.trianglemesh property)": [[31, "ovito.data.TriangleMesh.vertex_count"]], "vertices (ovito.data.surfacemesh property)": [[31, "ovito.data.SurfaceMesh.vertices"]], "view() (ovito.data.voxelgrid method)": [[31, "ovito.data.VoxelGrid.view"]], "vis (ovito.data.dataobject property)": [[31, "ovito.data.DataObject.vis"]], "volume (ovito.data.simulationcell property)": [[31, "ovito.data.SimulationCell.volume"]], "volume2d (ovito.data.simulationcell property)": [[31, "ovito.data.SimulationCell.volume2D"]], "x (ovito.data.datatable property)": [[31, "ovito.data.DataTable.x"]], "xy() (ovito.data.datatable method)": [[31, "ovito.data.DataTable.xy"]], "y (ovito.data.datatable property)": [[31, "ovito.data.DataTable.y"]], "filereaderinterface (class in ovito.io)": [[32, "ovito.io.FileReaderInterface"]], "detect() (ovito.io.filereaderinterface method)": [[32, "ovito.io.FileReaderInterface.detect"]], "export_file() (in module ovito.io)": [[32, "ovito.io.export_file"]], "import_file() (in module ovito.io)": [[32, "ovito.io.import_file"]], "ovito.io": [[32, "module-ovito.io"]], "parse() (ovito.io.filereaderinterface method)": [[32, "ovito.io.FileReaderInterface.parse"]], "scan() (ovito.io.filereaderinterface method)": [[32, "ovito.io.FileReaderInterface.scan"]], "ase_to_ovito() (in module ovito.io.ase)": [[33, "ovito.io.ase.ase_to_ovito"]], "ovito.io.ase": [[33, "module-ovito.io.ase"]], "ovito_to_ase() (in module ovito.io.ase)": [[33, "ovito.io.ase.ovito_to_ase"]], "lammps_to_ovito() (in module ovito.io.lammps)": [[34, "ovito.io.lammps.lammps_to_ovito"]], "ovito.io.lammps": [[34, "module-ovito.io.lammps"]], "acklandjonesmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.AcklandJonesModifier"]], "affinetransformationmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.AffineTransformationModifier"]], "ambientocclusionmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.AmbientOcclusionModifier"]], "assigncolormodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.AssignColorModifier"]], "atomicstrainmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.AtomicStrainModifier"]], "bondanalysismodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.BondAnalysisModifier"]], "calculatedisplacementsmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.CalculateDisplacementsModifier"]], "centrosymmetrymodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.CentroSymmetryModifier"]], "chillplusmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.ChillPlusModifier"]], "clearselectionmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.ClearSelectionModifier"]], "clusteranalysismodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.ClusterAnalysisModifier"]], "colorbytypemodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.ColorByTypeModifier"]], "colorcodingmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.ColorCodingModifier"]], "combinedatasetsmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.CombineDatasetsModifier"]], "commonneighboranalysismodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.CommonNeighborAnalysisModifier"]], "computepropertymodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.ComputePropertyModifier"]], "constructsurfacemodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.ConstructSurfaceModifier"]], "coordinationanalysismodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.CoordinationAnalysisModifier"]], "coordinationpolyhedramodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.CoordinationPolyhedraModifier"]], "createbondsmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.CreateBondsModifier"]], "createisosurfacemodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.CreateIsosurfaceModifier"]], "deleteselectedmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.DeleteSelectedModifier"]], "dislocationanalysismodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.DislocationAnalysisModifier"]], "elasticstrainmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.ElasticStrainModifier"]], "expandselectionmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.ExpandSelectionModifier"]], "expressionselectionmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.ExpressionSelectionModifier"]], "freezepropertymodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.FreezePropertyModifier"]], "generatetrajectorylinesmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.GenerateTrajectoryLinesModifier"]], "grainsegmentationmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.GrainSegmentationModifier"]], "histogrammodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.HistogramModifier"]], "isf (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[35, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.ISF"]], "identifydiamondmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.IdentifyDiamondModifier"]], "identifyfccplanarfaultsmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier"]], "identifyfccplanarfaultsmodifier.types (class in ovito.modifiers)": [[35, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types"]], "invertselectionmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.InvertSelectionModifier"]], "loadtrajectorymodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.LoadTrajectoryModifier"]], "multi (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[35, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.MULTI"]], "nonhcp (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[35, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.NONHCP"]], "other (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[35, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.OTHER"]], "polyhedraltemplatematchingmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.PolyhedralTemplateMatchingModifier"]], "pythonscriptmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.PythonScriptModifier"]], "renderlammpsregionsmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.RenderLAMMPSRegionsModifier"]], "replicatemodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.ReplicateModifier"]], "selecttypemodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.SelectTypeModifier"]], "slicemodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.SliceModifier"]], "smoothtrajectorymodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.SmoothTrajectoryModifier"]], "spatialbinningmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.SpatialBinningModifier"]], "spatialcorrelationfunctionmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.SpatialCorrelationFunctionModifier"]], "structureidentificationmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.StructureIdentificationModifier"]], "twin (ovito.modifiers.identifyfccplanarfaultsmodifier.types attribute)": [[35, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.Types.TWIN"]], "timeaveragingmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.TimeAveragingModifier"]], "timeseriesmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.TimeSeriesModifier"]], "unwraptrajectoriesmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.UnwrapTrajectoriesModifier"]], "vorotopmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.VoroTopModifier"]], "voronoianalysismodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.VoronoiAnalysisModifier"]], "wignerseitzanalysismodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.WignerSeitzAnalysisModifier"]], "wrapperiodicimagesmodifier (class in ovito.modifiers)": [[35, "ovito.modifiers.WrapPeriodicImagesModifier"]], "adjust_box (ovito.modifiers.replicatemodifier property)": [[35, "ovito.modifiers.ReplicateModifier.adjust_box"]], "algorithm (ovito.modifiers.grainsegmentationmodifier property)": [[35, "ovito.modifiers.GrainSegmentationModifier.algorithm"]], "apply_window (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[35, "ovito.modifiers.SpatialCorrelationFunctionModifier.apply_window"]], "auto_adjust_range (ovito.modifiers.colorcodingmodifier property)": [[35, "ovito.modifiers.ColorCodingModifier.auto_adjust_range"]], "axial_ratio (ovito.modifiers.elasticstrainmodifier property)": [[35, "ovito.modifiers.ElasticStrainModifier.axial_ratio"]], "bin_count (ovito.modifiers.histogrammodifier property)": [[35, "ovito.modifiers.HistogramModifier.bin_count"]], "bin_count (ovito.modifiers.spatialbinningmodifier property)": [[35, "ovito.modifiers.SpatialBinningModifier.bin_count"]], "bins (ovito.modifiers.bondanalysismodifier property)": [[35, "ovito.modifiers.BondAnalysisModifier.bins"]], "bond_type (ovito.modifiers.createbondsmodifier property)": [[35, "ovito.modifiers.CreateBondsModifier.bond_type"]], "bonds_vis (ovito.modifiers.voronoianalysismodifier property)": [[35, "ovito.modifiers.VoronoiAnalysisModifier.bonds_vis"]], "buffer_resolution (ovito.modifiers.ambientocclusionmodifier property)": [[35, "ovito.modifiers.AmbientOcclusionModifier.buffer_resolution"]], "calculate_deformation_gradients (ovito.modifiers.elasticstrainmodifier property)": [[35, "ovito.modifiers.ElasticStrainModifier.calculate_deformation_gradients"]], "calculate_misorientation() (ovito.modifiers.polyhedraltemplatematchingmodifier static method)": [[35, "ovito.modifiers.PolyhedralTemplateMatchingModifier.calculate_misorientation"]], "calculate_strain_tensors (ovito.modifiers.elasticstrainmodifier property)": [[35, "ovito.modifiers.ElasticStrainModifier.calculate_strain_tensors"]], "circuit_stretchability (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.circuit_stretchability"]], "clear_selection (ovito.modifiers.colorbytypemodifier property)": [[35, "ovito.modifiers.ColorByTypeModifier.clear_selection"]], "cluster_coloring (ovito.modifiers.clusteranalysismodifier property)": [[35, "ovito.modifiers.ClusterAnalysisModifier.cluster_coloring"]], "color (ovito.modifiers.assigncolormodifier property)": [[35, "ovito.modifiers.AssignColorModifier.color"]], "color_by_type (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.color_by_type"]], "color_by_type (ovito.modifiers.structureidentificationmodifier property)": [[35, "ovito.modifiers.StructureIdentificationModifier.color_by_type"]], "color_isf (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[35, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_isf"]], "color_multi (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[35, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_multi"]], "color_other (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[35, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_other"]], "color_particles (ovito.modifiers.grainsegmentationmodifier property)": [[35, "ovito.modifiers.GrainSegmentationModifier.color_particles"]], "color_twin (ovito.modifiers.identifyfccplanarfaultsmodifier attribute)": [[35, "ovito.modifiers.IdentifyFCCPlanarFaultsModifier.color_twin"]], "commands (ovito.modifiers.renderlammpsregionsmodifier attribute)": [[35, "ovito.modifiers.RenderLAMMPSRegionsModifier.commands"]], "compute_com (ovito.modifiers.clusteranalysismodifier property)": [[35, "ovito.modifiers.ClusterAnalysisModifier.compute_com"]], "compute_distances (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.compute_distances"]], "compute_gyration (ovito.modifiers.clusteranalysismodifier property)": [[35, "ovito.modifiers.ClusterAnalysisModifier.compute_gyration"]], "compute_indices (ovito.modifiers.voronoianalysismodifier property)": [[35, "ovito.modifiers.VoronoiAnalysisModifier.compute_indices"]], "cosine_mode (ovito.modifiers.bondanalysismodifier property)": [[35, "ovito.modifiers.BondAnalysisModifier.cosine_mode"]], "cutoff (ovito.modifiers.atomicstrainmodifier property)": [[35, "ovito.modifiers.AtomicStrainModifier.cutoff"]], "cutoff (ovito.modifiers.chillplusmodifier property)": [[35, "ovito.modifiers.ChillPlusModifier.cutoff"]], "cutoff (ovito.modifiers.clusteranalysismodifier property)": [[35, "ovito.modifiers.ClusterAnalysisModifier.cutoff"]], "cutoff (ovito.modifiers.commonneighboranalysismodifier property)": [[35, "ovito.modifiers.CommonNeighborAnalysisModifier.cutoff"]], "cutoff (ovito.modifiers.coordinationanalysismodifier property)": [[35, "ovito.modifiers.CoordinationAnalysisModifier.cutoff"]], "cutoff (ovito.modifiers.createbondsmodifier property)": [[35, "ovito.modifiers.CreateBondsModifier.cutoff"]], "cutoff (ovito.modifiers.expandselectionmodifier property)": [[35, "ovito.modifiers.ExpandSelectionModifier.cutoff"]], "cutoff_radius (ovito.modifiers.computepropertymodifier property)": [[35, "ovito.modifiers.ComputePropertyModifier.cutoff_radius"]], "defect_mesh_smoothing_level (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.defect_mesh_smoothing_level"]], "defect_vis (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.defect_vis"]], "delegate (ovito.modifiers.pythonscriptmodifier property)": [[35, "ovito.modifiers.PythonScriptModifier.delegate"]], "destination_property (ovito.modifiers.freezepropertymodifier property)": [[35, "ovito.modifiers.FreezePropertyModifier.destination_property"]], "direct_summation (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[35, "ovito.modifiers.SpatialCorrelationFunctionModifier.direct_summation"]], "direction (ovito.modifiers.spatialbinningmodifier property)": [[35, "ovito.modifiers.SpatialBinningModifier.direction"]], "disloc_vis (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.disloc_vis"]], "distance (ovito.modifiers.slicemodifier property)": [[35, "ovito.modifiers.SliceModifier.distance"]], "edge_threshold (ovito.modifiers.voronoianalysismodifier property)": [[35, "ovito.modifiers.VoronoiAnalysisModifier.edge_threshold"]], "end_value (ovito.modifiers.colorcodingmodifier property)": [[35, "ovito.modifiers.ColorCodingModifier.end_value"]], "expression (ovito.modifiers.expressionselectionmodifier property)": [[35, "ovito.modifiers.ExpressionSelectionModifier.expression"]], "expressions (ovito.modifiers.computepropertymodifier property)": [[35, "ovito.modifiers.ComputePropertyModifier.expressions"]], "face_threshold (ovito.modifiers.voronoianalysismodifier property)": [[35, "ovito.modifiers.VoronoiAnalysisModifier.face_threshold"]], "filter_file (ovito.modifiers.vorotopmodifier property)": [[35, "ovito.modifiers.VoroTopModifier.filter_file"]], "first_derivative (ovito.modifiers.spatialbinningmodifier property)": [[35, "ovito.modifiers.SpatialBinningModifier.first_derivative"]], "fix_xrange (ovito.modifiers.histogrammodifier property)": [[35, "ovito.modifiers.HistogramModifier.fix_xrange"]], "frame_interval (ovito.modifiers.generatetrajectorylinesmodifier property)": [[35, "ovito.modifiers.GenerateTrajectoryLinesModifier.frame_interval"]], "freeze_at (ovito.modifiers.freezepropertymodifier property)": [[35, "ovito.modifiers.FreezePropertyModifier.freeze_at"]], "function (ovito.modifiers.pythonscriptmodifier property)": [[35, "ovito.modifiers.PythonScriptModifier.function"]], "generate() (ovito.modifiers.generatetrajectorylinesmodifier method)": [[35, "ovito.modifiers.GenerateTrajectoryLinesModifier.generate"]], "generate_bonds (ovito.modifiers.voronoianalysismodifier property)": [[35, "ovito.modifiers.VoronoiAnalysisModifier.generate_bonds"]], "generate_polyhedra (ovito.modifiers.voronoianalysismodifier property)": [[35, "ovito.modifiers.VoronoiAnalysisModifier.generate_polyhedra"]], "get_pairwise_cutoff() (ovito.modifiers.createbondsmodifier method)": [[35, "ovito.modifiers.CreateBondsModifier.get_pairwise_cutoff"]], "gradient (ovito.modifiers.colorcodingmodifier property)": [[35, "ovito.modifiers.ColorCodingModifier.gradient"]], "grid_resolution (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.grid_resolution"]], "grid_spacing (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[35, "ovito.modifiers.SpatialCorrelationFunctionModifier.grid_spacing"]], "grid_vis (ovito.modifiers.spatialbinningmodifier property)": [[35, "ovito.modifiers.SpatialBinningModifier.grid_vis"]], "gridslice_vis (ovito.modifiers.slicemodifier property)": [[35, "ovito.modifiers.SliceModifier.gridslice_vis"]], "handle_stacking_faults (ovito.modifiers.grainsegmentationmodifier property)": [[35, "ovito.modifiers.GrainSegmentationModifier.handle_stacking_faults"]], "identify_regions (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.identify_regions"]], "input_crystal_structure (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.input_crystal_structure"]], "input_crystal_structure (ovito.modifiers.elasticstrainmodifier property)": [[35, "ovito.modifiers.ElasticStrainModifier.input_crystal_structure"]], "intensity (ovito.modifiers.ambientocclusionmodifier property)": [[35, "ovito.modifiers.AmbientOcclusionModifier.intensity"]], "interval (ovito.modifiers.timeaveragingmodifier property)": [[35, "ovito.modifiers.TimeAveragingModifier.interval"]], "interval (ovito.modifiers.timeseriesmodifier property)": [[35, "ovito.modifiers.TimeSeriesModifier.interval"]], "intra_molecule_only (ovito.modifiers.createbondsmodifier property)": [[35, "ovito.modifiers.CreateBondsModifier.intra_molecule_only"]], "inverse (ovito.modifiers.slicemodifier property)": [[35, "ovito.modifiers.SliceModifier.inverse"]], "isolevel (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.isolevel"]], "isolevel (ovito.modifiers.createisosurfacemodifier property)": [[35, "ovito.modifiers.CreateIsosurfaceModifier.isolevel"]], "iterations (ovito.modifiers.expandselectionmodifier property)": [[35, "ovito.modifiers.ExpandSelectionModifier.iterations"]], "lattice_constant (ovito.modifiers.elasticstrainmodifier property)": [[35, "ovito.modifiers.ElasticStrainModifier.lattice_constant"]], "length_cutoff (ovito.modifiers.bondanalysismodifier property)": [[35, "ovito.modifiers.BondAnalysisModifier.length_cutoff"]], "line_coarsening_enabled (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.line_coarsening_enabled"]], "line_point_separation (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.line_point_separation"]], "line_smoothing_enabled (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.line_smoothing_enabled"]], "line_smoothing_level (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.line_smoothing_level"]], "lower_cutoff (ovito.modifiers.createbondsmodifier property)": [[35, "ovito.modifiers.CreateBondsModifier.lower_cutoff"]], "map_particles_to_regions (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.map_particles_to_regions"]], "merging_threshold (ovito.modifiers.grainsegmentationmodifier property)": [[35, "ovito.modifiers.GrainSegmentationModifier.merging_threshold"]], "mesh_vis (ovito.modifiers.voronoianalysismodifier property)": [[35, "ovito.modifiers.VoronoiAnalysisModifier.mesh_vis"]], "method (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.method"]], "miller (ovito.modifiers.slicemodifier property)": [[35, "ovito.modifiers.SliceModifier.miller"]], "min_grain_size (ovito.modifiers.grainsegmentationmodifier property)": [[35, "ovito.modifiers.GrainSegmentationModifier.min_grain_size"]], "minimum_image_convention (ovito.modifiers.smoothtrajectorymodifier property)": [[35, "ovito.modifiers.SmoothTrajectoryModifier.minimum_image_convention"]], "mode (ovito.modifiers.centrosymmetrymodifier property)": [[35, "ovito.modifiers.CentroSymmetryModifier.mode"]], "mode (ovito.modifiers.commonneighboranalysismodifier property)": [[35, "ovito.modifiers.CommonNeighborAnalysisModifier.mode"]], "mode (ovito.modifiers.createbondsmodifier property)": [[35, "ovito.modifiers.CreateBondsModifier.mode"]], "mode (ovito.modifiers.expandselectionmodifier property)": [[35, "ovito.modifiers.ExpandSelectionModifier.mode"]], "neighbor_bins (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[35, "ovito.modifiers.SpatialCorrelationFunctionModifier.neighbor_bins"]], "neighbor_cutoff (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[35, "ovito.modifiers.SpatialCorrelationFunctionModifier.neighbor_cutoff"]], "neighbor_expressions (ovito.modifiers.computepropertymodifier property)": [[35, "ovito.modifiers.ComputePropertyModifier.neighbor_expressions"]], "neighbor_mode (ovito.modifiers.clusteranalysismodifier property)": [[35, "ovito.modifiers.ClusterAnalysisModifier.neighbor_mode"]], "normal (ovito.modifiers.slicemodifier property)": [[35, "ovito.modifiers.SliceModifier.normal"]], "num_neighbors (ovito.modifiers.centrosymmetrymodifier property)": [[35, "ovito.modifiers.CentroSymmetryModifier.num_neighbors"]], "num_neighbors (ovito.modifiers.expandselectionmodifier property)": [[35, "ovito.modifiers.ExpandSelectionModifier.num_neighbors"]], "num_x (ovito.modifiers.replicatemodifier property)": [[35, "ovito.modifiers.ReplicateModifier.num_x"]], "num_y (ovito.modifiers.replicatemodifier property)": [[35, "ovito.modifiers.ReplicateModifier.num_y"]], "num_z (ovito.modifiers.replicatemodifier property)": [[35, "ovito.modifiers.ReplicateModifier.num_z"]], "number_of_bins (ovito.modifiers.coordinationanalysismodifier property)": [[35, "ovito.modifiers.CoordinationAnalysisModifier.number_of_bins"]], "only_perfect_dislocations (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.only_perfect_dislocations"]], "only_selected (ovito.modifiers.affinetransformationmodifier property)": [[35, "ovito.modifiers.AffineTransformationModifier.only_selected"]], "only_selected (ovito.modifiers.centrosymmetrymodifier property)": [[35, "ovito.modifiers.CentroSymmetryModifier.only_selected"]], "only_selected (ovito.modifiers.clusteranalysismodifier property)": [[35, "ovito.modifiers.ClusterAnalysisModifier.only_selected"]], "only_selected (ovito.modifiers.colorbytypemodifier property)": [[35, "ovito.modifiers.ColorByTypeModifier.only_selected"]], "only_selected (ovito.modifiers.colorcodingmodifier property)": [[35, "ovito.modifiers.ColorCodingModifier.only_selected"]], "only_selected (ovito.modifiers.computepropertymodifier property)": [[35, "ovito.modifiers.ComputePropertyModifier.only_selected"]], "only_selected (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.only_selected"]], "only_selected (ovito.modifiers.coordinationanalysismodifier property)": [[35, "ovito.modifiers.CoordinationAnalysisModifier.only_selected"]], "only_selected (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.only_selected"]], "only_selected (ovito.modifiers.generatetrajectorylinesmodifier property)": [[35, "ovito.modifiers.GenerateTrajectoryLinesModifier.only_selected"]], "only_selected (ovito.modifiers.histogrammodifier property)": [[35, "ovito.modifiers.HistogramModifier.only_selected"]], "only_selected (ovito.modifiers.slicemodifier property)": [[35, "ovito.modifiers.SliceModifier.only_selected"]], "only_selected (ovito.modifiers.spatialbinningmodifier property)": [[35, "ovito.modifiers.SpatialBinningModifier.only_selected"]], "only_selected (ovito.modifiers.structureidentificationmodifier property)": [[35, "ovito.modifiers.StructureIdentificationModifier.only_selected"]], "only_selected (ovito.modifiers.voronoianalysismodifier property)": [[35, "ovito.modifiers.VoronoiAnalysisModifier.only_selected"]], "operate_on (ovito.modifiers.affinetransformationmodifier property)": [[35, "ovito.modifiers.AffineTransformationModifier.operate_on"]], "operate_on (ovito.modifiers.assigncolormodifier property)": [[35, "ovito.modifiers.AssignColorModifier.operate_on"]], "operate_on (ovito.modifiers.clearselectionmodifier property)": [[35, "ovito.modifiers.ClearSelectionModifier.operate_on"]], "operate_on (ovito.modifiers.colorbytypemodifier property)": [[35, "ovito.modifiers.ColorByTypeModifier.operate_on"]], "operate_on (ovito.modifiers.colorcodingmodifier property)": [[35, "ovito.modifiers.ColorCodingModifier.operate_on"]], "operate_on (ovito.modifiers.computepropertymodifier property)": [[35, "ovito.modifiers.ComputePropertyModifier.operate_on"]], "operate_on (ovito.modifiers.createisosurfacemodifier property)": [[35, "ovito.modifiers.CreateIsosurfaceModifier.operate_on"]], "operate_on (ovito.modifiers.deleteselectedmodifier property)": [[35, "ovito.modifiers.DeleteSelectedModifier.operate_on"]], "operate_on (ovito.modifiers.expressionselectionmodifier property)": [[35, "ovito.modifiers.ExpressionSelectionModifier.operate_on"]], "operate_on (ovito.modifiers.freezepropertymodifier property)": [[35, "ovito.modifiers.FreezePropertyModifier.operate_on"]], "operate_on (ovito.modifiers.histogrammodifier property)": [[35, "ovito.modifiers.HistogramModifier.operate_on"]], "operate_on (ovito.modifiers.invertselectionmodifier property)": [[35, "ovito.modifiers.InvertSelectionModifier.operate_on"]], "operate_on (ovito.modifiers.replicatemodifier property)": [[35, "ovito.modifiers.ReplicateModifier.operate_on"]], "operate_on (ovito.modifiers.selecttypemodifier property)": [[35, "ovito.modifiers.SelectTypeModifier.operate_on"]], "operate_on (ovito.modifiers.slicemodifier property)": [[35, "ovito.modifiers.SliceModifier.operate_on"]], "operate_on (ovito.modifiers.timeaveragingmodifier property)": [[35, "ovito.modifiers.TimeAveragingModifier.operate_on"]], "operate_on (ovito.modifiers.timeseriesmodifier property)": [[35, "ovito.modifiers.TimeSeriesModifier.operate_on"]], "orphan_adoption (ovito.modifiers.grainsegmentationmodifier property)": [[35, "ovito.modifiers.GrainSegmentationModifier.orphan_adoption"]], "output_deformation_gradient (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[35, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_deformation_gradient"]], "output_deformation_gradients (ovito.modifiers.atomicstrainmodifier property)": [[35, "ovito.modifiers.AtomicStrainModifier.output_deformation_gradients"]], "output_displaced (ovito.modifiers.wignerseitzanalysismodifier property)": [[35, "ovito.modifiers.WignerSeitzAnalysisModifier.output_displaced"]], "output_interatomic_distance (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[35, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_interatomic_distance"]], "output_nonaffine_squared_displacements (ovito.modifiers.atomicstrainmodifier property)": [[35, "ovito.modifiers.AtomicStrainModifier.output_nonaffine_squared_displacements"]], "output_ordering (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[35, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_ordering"]], "output_orientation (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[35, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_orientation"]], "output_property (ovito.modifiers.computepropertymodifier property)": [[35, "ovito.modifiers.ComputePropertyModifier.output_property"]], "output_rmsd (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[35, "ovito.modifiers.PolyhedralTemplateMatchingModifier.output_rmsd"]], "output_rotations (ovito.modifiers.atomicstrainmodifier property)": [[35, "ovito.modifiers.AtomicStrainModifier.output_rotations"]], "output_strain_tensors (ovito.modifiers.atomicstrainmodifier property)": [[35, "ovito.modifiers.AtomicStrainModifier.output_strain_tensors"]], "output_stretch_tensors (ovito.modifiers.atomicstrainmodifier property)": [[35, "ovito.modifiers.AtomicStrainModifier.output_stretch_tensors"]], "ovito.modifiers": [[35, "module-ovito.modifiers"]], "partial (ovito.modifiers.coordinationanalysismodifier property)": [[35, "ovito.modifiers.CoordinationAnalysisModifier.partial"]], "partition (ovito.modifiers.bondanalysismodifier property)": [[35, "ovito.modifiers.BondAnalysisModifier.partition"]], "per_type_occupancies (ovito.modifiers.wignerseitzanalysismodifier property)": [[35, "ovito.modifiers.WignerSeitzAnalysisModifier.per_type_occupancies"]], "plane_vis (ovito.modifiers.slicemodifier property)": [[35, "ovito.modifiers.SliceModifier.plane_vis"]], "prevent_hh_bonds (ovito.modifiers.createbondsmodifier property)": [[35, "ovito.modifiers.CreateBondsModifier.prevent_hh_bonds"]], "property (ovito.modifiers.colorbytypemodifier property)": [[35, "ovito.modifiers.ColorByTypeModifier.property"]], "property (ovito.modifiers.colorcodingmodifier property)": [[35, "ovito.modifiers.ColorCodingModifier.property"]], "property (ovito.modifiers.createisosurfacemodifier property)": [[35, "ovito.modifiers.CreateIsosurfaceModifier.property"]], "property (ovito.modifiers.histogrammodifier property)": [[35, "ovito.modifiers.HistogramModifier.property"]], "property (ovito.modifiers.selecttypemodifier property)": [[35, "ovito.modifiers.SelectTypeModifier.property"]], "property (ovito.modifiers.spatialbinningmodifier property)": [[35, "ovito.modifiers.SpatialBinningModifier.property"]], "property1 (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[35, "ovito.modifiers.SpatialCorrelationFunctionModifier.property1"]], "property2 (ovito.modifiers.spatialcorrelationfunctionmodifier property)": [[35, "ovito.modifiers.SpatialCorrelationFunctionModifier.property2"]], "push_strain_tensors_forward (ovito.modifiers.elasticstrainmodifier property)": [[35, "ovito.modifiers.ElasticStrainModifier.push_strain_tensors_forward"]], "radius (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.radius"]], "radius_scaling (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.radius_scaling"]], "reduced_coords (ovito.modifiers.affinetransformationmodifier property)": [[35, "ovito.modifiers.AffineTransformationModifier.reduced_coords"]], "reduction_operation (ovito.modifiers.spatialbinningmodifier property)": [[35, "ovito.modifiers.SpatialBinningModifier.reduction_operation"]], "relative_face_threshold (ovito.modifiers.voronoianalysismodifier property)": [[35, "ovito.modifiers.VoronoiAnalysisModifier.relative_face_threshold"]], "relative_mode (ovito.modifiers.affinetransformationmodifier property)": [[35, "ovito.modifiers.AffineTransformationModifier.relative_mode"]], "render_plane (ovito.modifiers.slicemodifier property)": [[35, "ovito.modifiers.SliceModifier.render_plane"]], "rmsd_cutoff (ovito.modifiers.polyhedraltemplatematchingmodifier property)": [[35, "ovito.modifiers.PolyhedralTemplateMatchingModifier.rmsd_cutoff"]], "sample_count (ovito.modifiers.ambientocclusionmodifier property)": [[35, "ovito.modifiers.AmbientOcclusionModifier.sample_count"]], "sample_particle_property (ovito.modifiers.generatetrajectorylinesmodifier property)": [[35, "ovito.modifiers.GenerateTrajectoryLinesModifier.sample_particle_property"]], "sampling_frequency (ovito.modifiers.generatetrajectorylinesmodifier property)": [[35, "ovito.modifiers.GenerateTrajectoryLinesModifier.sampling_frequency"]], "sampling_frequency (ovito.modifiers.timeaveragingmodifier property)": [[35, "ovito.modifiers.TimeAveragingModifier.sampling_frequency"]], "sampling_frequency (ovito.modifiers.timeseriesmodifier property)": [[35, "ovito.modifiers.TimeSeriesModifier.sampling_frequency"]], "select (ovito.modifiers.slicemodifier property)": [[35, "ovito.modifiers.SliceModifier.select"]], "select_atoms (ovito.modifiers.renderlammpsregionsmodifier attribute)": [[35, "ovito.modifiers.RenderLAMMPSRegionsModifier.select_atoms"]], "select_invalid_particles (ovito.modifiers.atomicstrainmodifier property)": [[35, "ovito.modifiers.AtomicStrainModifier.select_invalid_particles"]], "select_surface_particles (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.select_surface_particles"]], "set_pairwise_cutoff() (ovito.modifiers.createbondsmodifier method)": [[35, "ovito.modifiers.CreateBondsModifier.set_pairwise_cutoff"]], "slab_width (ovito.modifiers.slicemodifier property)": [[35, "ovito.modifiers.SliceModifier.slab_width"]], "smoothing_level (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.smoothing_level"]], "sort_by_size (ovito.modifiers.clusteranalysismodifier property)": [[35, "ovito.modifiers.ClusterAnalysisModifier.sort_by_size"]], "source (ovito.modifiers.combinedatasetsmodifier property)": [[35, "ovito.modifiers.CombineDatasetsModifier.source"]], "source (ovito.modifiers.loadtrajectorymodifier property)": [[35, "ovito.modifiers.LoadTrajectoryModifier.source"]], "source_property (ovito.modifiers.freezepropertymodifier property)": [[35, "ovito.modifiers.FreezePropertyModifier.source_property"]], "start_value (ovito.modifiers.colorcodingmodifier property)": [[35, "ovito.modifiers.ColorCodingModifier.start_value"]], "structures (ovito.modifiers.structureidentificationmodifier property)": [[35, "ovito.modifiers.StructureIdentificationModifier.structures"]], "target_cell (ovito.modifiers.affinetransformationmodifier property)": [[35, "ovito.modifiers.AffineTransformationModifier.target_cell"]], "time_attribute (ovito.modifiers.timeseriesmodifier property)": [[35, "ovito.modifiers.TimeSeriesModifier.time_attribute"]], "transfer_properties (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.transfer_properties"]], "transfer_values (ovito.modifiers.createisosurfacemodifier property)": [[35, "ovito.modifiers.CreateIsosurfaceModifier.transfer_values"]], "transformation (ovito.modifiers.affinetransformationmodifier property)": [[35, "ovito.modifiers.AffineTransformationModifier.transformation"]], "trial_circuit_length (ovito.modifiers.dislocationanalysismodifier property)": [[35, "ovito.modifiers.DislocationAnalysisModifier.trial_circuit_length"]], "types (ovito.modifiers.selecttypemodifier property)": [[35, "ovito.modifiers.SelectTypeModifier.types"]], "unique_ids (ovito.modifiers.replicatemodifier property)": [[35, "ovito.modifiers.ReplicateModifier.unique_ids"]], "unwrap_particles (ovito.modifiers.clusteranalysismodifier property)": [[35, "ovito.modifiers.ClusterAnalysisModifier.unwrap_particles"]], "unwrap_trajectories (ovito.modifiers.generatetrajectorylinesmodifier property)": [[35, "ovito.modifiers.GenerateTrajectoryLinesModifier.unwrap_trajectories"]], "use_radii (ovito.modifiers.vorotopmodifier property)": [[35, "ovito.modifiers.VoroTopModifier.use_radii"]], "use_radii (ovito.modifiers.voronoianalysismodifier property)": [[35, "ovito.modifiers.VoronoiAnalysisModifier.use_radii"]], "vis (ovito.modifiers.calculatedisplacementsmodifier property)": [[35, "ovito.modifiers.CalculateDisplacementsModifier.vis"]], "vis (ovito.modifiers.constructsurfacemodifier property)": [[35, "ovito.modifiers.ConstructSurfaceModifier.vis"]], "vis (ovito.modifiers.coordinationpolyhedramodifier property)": [[35, "ovito.modifiers.CoordinationPolyhedraModifier.vis"]], "vis (ovito.modifiers.createbondsmodifier property)": [[35, "ovito.modifiers.CreateBondsModifier.vis"]], "vis (ovito.modifiers.createisosurfacemodifier property)": [[35, "ovito.modifiers.CreateIsosurfaceModifier.vis"]], "vis (ovito.modifiers.generatetrajectorylinesmodifier property)": [[35, "ovito.modifiers.GenerateTrajectoryLinesModifier.vis"]], "vis (ovito.modifiers.renderlammpsregionsmodifier attribute)": [[35, "ovito.modifiers.RenderLAMMPSRegionsModifier.vis"]], "window_size (ovito.modifiers.smoothtrajectorymodifier property)": [[35, "ovito.modifiers.SmoothTrajectoryModifier.window_size"]], "working_dir (ovito.modifiers.pythonscriptmodifier property)": [[35, "ovito.modifiers.PythonScriptModifier.working_dir"]], "xrange_end (ovito.modifiers.histogrammodifier property)": [[35, "ovito.modifiers.HistogramModifier.xrange_end"]], "xrange_start (ovito.modifiers.histogrammodifier property)": [[35, "ovito.modifiers.HistogramModifier.xrange_start"]], "filesource (class in ovito.pipeline)": [[36, "ovito.pipeline.FileSource"]], "modifier (class in ovito.pipeline)": [[36, "ovito.pipeline.Modifier"]], "modifierinterface (class in ovito.pipeline)": [[36, "ovito.pipeline.ModifierInterface"]], "modifierinterface.inputslot (class in ovito.pipeline)": [[36, "ovito.pipeline.ModifierInterface.InputSlot"]], "pipeline (class in ovito.pipeline)": [[36, "ovito.pipeline.Pipeline"]], "pipelinesourceinterface (class in ovito.pipeline)": [[36, "ovito.pipeline.PipelineSourceInterface"]], "pythonscriptsource (class in ovito.pipeline)": [[36, "ovito.pipeline.PythonScriptSource"]], "referenceconfigurationmodifier (class in ovito.pipeline)": [[36, "ovito.pipeline.ReferenceConfigurationModifier"]], "staticsource (class in ovito.pipeline)": [[36, "ovito.pipeline.StaticSource"]], "add_to_scene() (ovito.pipeline.pipeline method)": [[36, "ovito.pipeline.Pipeline.add_to_scene"]], "affine_mapping (ovito.pipeline.referenceconfigurationmodifier property)": [[36, "ovito.pipeline.ReferenceConfigurationModifier.affine_mapping"]], "compute() (ovito.pipeline.filesource method)": [[36, "ovito.pipeline.FileSource.compute"]], "compute() (ovito.pipeline.modifierinterface.inputslot method)": [[36, "ovito.pipeline.ModifierInterface.InputSlot.compute"]], "compute() (ovito.pipeline.pipeline method)": [[36, "ovito.pipeline.Pipeline.compute"]], "compute() (ovito.pipeline.staticsource method)": [[36, "ovito.pipeline.StaticSource.compute"]], "compute_trajectory_length() (ovito.pipeline.modifierinterface method)": [[36, "ovito.pipeline.ModifierInterface.compute_trajectory_length"]], "compute_trajectory_length() (ovito.pipeline.pipelinesourceinterface method)": [[36, "ovito.pipeline.PipelineSourceInterface.compute_trajectory_length"]], "create() (ovito.pipeline.pipelinesourceinterface method)": [[36, "ovito.pipeline.PipelineSourceInterface.create"]], "data (ovito.pipeline.filesource property)": [[36, "ovito.pipeline.FileSource.data"]], "data (ovito.pipeline.staticsource property)": [[36, "ovito.pipeline.StaticSource.data"]], "delegate (ovito.pipeline.pythonscriptsource property)": [[36, "ovito.pipeline.PythonScriptSource.delegate"]], "enabled (ovito.pipeline.modifier property)": [[36, "ovito.pipeline.Modifier.enabled"]], "frame_offset (ovito.pipeline.referenceconfigurationmodifier property)": [[36, "ovito.pipeline.ReferenceConfigurationModifier.frame_offset"]], "function (ovito.pipeline.pythonscriptsource property)": [[36, "ovito.pipeline.PythonScriptSource.function"]], "input_caching_hints() (ovito.pipeline.modifierinterface method)": [[36, "ovito.pipeline.ModifierInterface.input_caching_hints"]], "load() (ovito.pipeline.filesource method)": [[36, "ovito.pipeline.FileSource.load"]], "minimum_image_convention (ovito.pipeline.referenceconfigurationmodifier property)": [[36, "ovito.pipeline.ReferenceConfigurationModifier.minimum_image_convention"]], "modifiers (ovito.pipeline.pipeline property)": [[36, "ovito.pipeline.Pipeline.modifiers"]], "modify() (ovito.pipeline.modifierinterface method)": [[36, "ovito.pipeline.ModifierInterface.modify"]], "notify_trajectory_length_changed() (ovito.pipeline.modifierinterface method)": [[36, "ovito.pipeline.ModifierInterface.notify_trajectory_length_changed"]], "notify_trajectory_length_changed() (ovito.pipeline.pipelinesourceinterface method)": [[36, "ovito.pipeline.PipelineSourceInterface.notify_trajectory_length_changed"]], "num_frames (ovito.pipeline.filesource property)": [[36, "ovito.pipeline.FileSource.num_frames"]], "num_frames (ovito.pipeline.modifierinterface.inputslot property)": [[36, "ovito.pipeline.ModifierInterface.InputSlot.num_frames"]], "ovito.pipeline": [[36, "module-ovito.pipeline"]], "reference (ovito.pipeline.referenceconfigurationmodifier property)": [[36, "ovito.pipeline.ReferenceConfigurationModifier.reference"]], "reference_frame (ovito.pipeline.referenceconfigurationmodifier property)": [[36, "ovito.pipeline.ReferenceConfigurationModifier.reference_frame"]], "remove_from_scene() (ovito.pipeline.pipeline method)": [[36, "ovito.pipeline.Pipeline.remove_from_scene"]], "source (ovito.pipeline.pipeline property)": [[36, "ovito.pipeline.Pipeline.source"]], "source_path (ovito.pipeline.filesource property)": [[36, "ovito.pipeline.FileSource.source_path"]], "title (ovito.pipeline.modifier property)": [[36, "ovito.pipeline.Modifier.title"]], "use_frame_offset (ovito.pipeline.referenceconfigurationmodifier property)": [[36, "ovito.pipeline.ReferenceConfigurationModifier.use_frame_offset"]], "working_dir (ovito.pipeline.pythonscriptsource property)": [[36, "ovito.pipeline.PythonScriptSource.working_dir"]], "colortrait (class in ovito.traits)": [[37, "ovito.traits.ColorTrait"]], "ovitoobjecttrait (class in ovito.traits)": [[37, "ovito.traits.OvitoObjectTrait"]], "ovito.traits": [[37, "module-ovito.traits"]], "bondsvis (class in ovito.vis)": [[38, "ovito.vis.BondsVis"]], "colorlegendoverlay (class in ovito.vis)": [[38, "ovito.vis.ColorLegendOverlay"]], "coordinatetripodoverlay (class in ovito.vis)": [[38, "ovito.vis.CoordinateTripodOverlay"]], "datavis (class in ovito.vis)": [[38, "ovito.vis.DataVis"]], "dislocationvis (class in ovito.vis)": [[38, "ovito.vis.DislocationVis"]], "osprayrenderer (class in ovito.vis)": [[38, "ovito.vis.OSPRayRenderer"]], "openglrenderer (class in ovito.vis)": [[38, "ovito.vis.OpenGLRenderer"]], "particlesvis (class in ovito.vis)": [[38, "ovito.vis.ParticlesVis"]], "pythonviewportoverlay (class in ovito.vis)": [[38, "ovito.vis.PythonViewportOverlay"]], "pythonviewportoverlay.arguments (class in ovito.vis)": [[38, "ovito.vis.PythonViewportOverlay.Arguments"]], "simulationcellvis (class in ovito.vis)": [[38, "ovito.vis.SimulationCellVis"]], "surfacemeshvis (class in ovito.vis)": [[38, "ovito.vis.SurfaceMeshVis"]], "tachyonrenderer (class in ovito.vis)": [[38, "ovito.vis.TachyonRenderer"]], "textlabeloverlay (class in ovito.vis)": [[38, "ovito.vis.TextLabelOverlay"]], "trajectoryvis (class in ovito.vis)": [[38, "ovito.vis.TrajectoryVis"]], "trianglemeshvis (class in ovito.vis)": [[38, "ovito.vis.TriangleMeshVis"]], "vectorvis (class in ovito.vis)": [[38, "ovito.vis.VectorVis"]], "viewport (class in ovito.vis)": [[38, "ovito.vis.Viewport"]], "viewportoverlay (class in ovito.vis)": [[38, "ovito.vis.ViewportOverlay"]], "voxelgridvis (class in ovito.vis)": [[38, "ovito.vis.VoxelGridVis"]], "alignment (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.alignment"]], "alignment (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.alignment"]], "alignment (ovito.vis.textlabeloverlay property)": [[38, "ovito.vis.TextLabelOverlay.alignment"]], "alignment (ovito.vis.vectorvis property)": [[38, "ovito.vis.VectorVis.alignment"]], "ambient_brightness (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.ambient_brightness"]], "ambient_light_enabled (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.ambient_light_enabled"]], "ambient_occlusion (ovito.vis.tachyonrenderer property)": [[38, "ovito.vis.TachyonRenderer.ambient_occlusion"]], "ambient_occlusion_brightness (ovito.vis.tachyonrenderer property)": [[38, "ovito.vis.TachyonRenderer.ambient_occlusion_brightness"]], "ambient_occlusion_samples (ovito.vis.tachyonrenderer property)": [[38, "ovito.vis.TachyonRenderer.ambient_occlusion_samples"]], "antialiasing (ovito.vis.tachyonrenderer property)": [[38, "ovito.vis.TachyonRenderer.antialiasing"]], "antialiasing_level (ovito.vis.openglrenderer property)": [[38, "ovito.vis.OpenGLRenderer.antialiasing_level"]], "antialiasing_samples (ovito.vis.tachyonrenderer property)": [[38, "ovito.vis.TachyonRenderer.antialiasing_samples"]], "aperture (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.aperture"]], "aperture (ovito.vis.tachyonrenderer property)": [[38, "ovito.vis.TachyonRenderer.aperture"]], "aspect_ratio (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.aspect_ratio"]], "axis1_color (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis1_color"]], "axis1_dir (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis1_dir"]], "axis1_enabled (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis1_enabled"]], "axis1_label (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis1_label"]], "axis2_color (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis2_color"]], "axis2_dir (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis2_dir"]], "axis2_enabled (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis2_enabled"]], "axis2_label (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis2_label"]], "axis3_color (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis3_color"]], "axis3_dir (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis3_dir"]], "axis3_enabled (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis3_enabled"]], "axis3_label (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis3_label"]], "axis4_color (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis4_color"]], "axis4_dir (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis4_dir"]], "axis4_enabled (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis4_enabled"]], "axis4_label (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.axis4_label"]], "backface_culling (ovito.vis.trianglemeshvis property)": [[38, "ovito.vis.TriangleMeshVis.backface_culling"]], "background_color (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.background_color"]], "background_enabled (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.background_enabled"]], "border_color (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.border_color"]], "border_enabled (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.border_enabled"]], "burgers_vector_color (ovito.vis.dislocationvis property)": [[38, "ovito.vis.DislocationVis.burgers_vector_color"]], "burgers_vector_scaling (ovito.vis.dislocationvis property)": [[38, "ovito.vis.DislocationVis.burgers_vector_scaling"]], "burgers_vector_width (ovito.vis.dislocationvis property)": [[38, "ovito.vis.DislocationVis.burgers_vector_width"]], "camera_dir (ovito.vis.viewport property)": [[38, "ovito.vis.Viewport.camera_dir"]], "camera_pos (ovito.vis.viewport property)": [[38, "ovito.vis.Viewport.camera_pos"]], "camera_up (ovito.vis.viewport property)": [[38, "ovito.vis.Viewport.camera_up"]], "cap_color (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.cap_color"]], "cap_transparency (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.cap_transparency"]], "clip_at_domain_boundaries (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.clip_at_domain_boundaries"]], "color (ovito.vis.bondsvis property)": [[38, "ovito.vis.BondsVis.color"]], "color (ovito.vis.trajectoryvis property)": [[38, "ovito.vis.TrajectoryVis.color"]], "color (ovito.vis.trianglemeshvis property)": [[38, "ovito.vis.TriangleMeshVis.color"]], "color (ovito.vis.vectorvis property)": [[38, "ovito.vis.VectorVis.color"]], "color_mapping_gradient (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.color_mapping_gradient"]], "color_mapping_gradient (ovito.vis.trajectoryvis property)": [[38, "ovito.vis.TrajectoryVis.color_mapping_gradient"]], "color_mapping_gradient (ovito.vis.vectorvis property)": [[38, "ovito.vis.VectorVis.color_mapping_gradient"]], "color_mapping_gradient (ovito.vis.voxelgridvis property)": [[38, "ovito.vis.VoxelGridVis.color_mapping_gradient"]], "color_mapping_interval (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.color_mapping_interval"]], "color_mapping_interval (ovito.vis.trajectoryvis property)": [[38, "ovito.vis.TrajectoryVis.color_mapping_interval"]], "color_mapping_interval (ovito.vis.vectorvis property)": [[38, "ovito.vis.VectorVis.color_mapping_interval"]], "color_mapping_interval (ovito.vis.voxelgridvis property)": [[38, "ovito.vis.VoxelGridVis.color_mapping_interval"]], "color_mapping_mode (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.color_mapping_mode"]], "color_mapping_property (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.color_mapping_property"]], "color_mapping_property (ovito.vis.trajectoryvis property)": [[38, "ovito.vis.TrajectoryVis.color_mapping_property"]], "color_mapping_property (ovito.vis.vectorvis property)": [[38, "ovito.vis.VectorVis.color_mapping_property"]], "color_mapping_property (ovito.vis.voxelgridvis property)": [[38, "ovito.vis.VoxelGridVis.color_mapping_property"]], "color_mapping_source (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.color_mapping_source"]], "coloring_mode (ovito.vis.bondsvis property)": [[38, "ovito.vis.BondsVis.coloring_mode"]], "coloring_mode (ovito.vis.dislocationvis property)": [[38, "ovito.vis.DislocationVis.coloring_mode"]], "create_jupyter_widget() (ovito.vis.viewport method)": [[38, "ovito.vis.Viewport.create_jupyter_widget"]], "create_qt_widget() (ovito.vis.viewport method)": [[38, "ovito.vis.Viewport.create_qt_widget"]], "denoising_enabled (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.denoising_enabled"]], "depth_of_field (ovito.vis.tachyonrenderer property)": [[38, "ovito.vis.TachyonRenderer.depth_of_field"]], "direct_light (ovito.vis.tachyonrenderer property)": [[38, "ovito.vis.TachyonRenderer.direct_light"]], "direct_light_angular_diameter (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.direct_light_angular_diameter"]], "direct_light_enabled (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.direct_light_enabled"]], "direct_light_intensity (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.direct_light_intensity"]], "direct_light_intensity (ovito.vis.tachyonrenderer property)": [[38, "ovito.vis.TachyonRenderer.direct_light_intensity"]], "dof_enabled (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.dof_enabled"]], "enabled (ovito.vis.datavis property)": [[38, "ovito.vis.DataVis.enabled"]], "enabled (ovito.vis.viewportoverlay property)": [[38, "ovito.vis.ViewportOverlay.enabled"]], "flat_shading (ovito.vis.bondsvis property)": [[38, "ovito.vis.BondsVis.flat_shading"]], "flat_shading (ovito.vis.vectorvis property)": [[38, "ovito.vis.VectorVis.flat_shading"]], "focal_length (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.focal_length"]], "focal_length (ovito.vis.tachyonrenderer property)": [[38, "ovito.vis.TachyonRenderer.focal_length"]], "font (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.font"]], "font (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.font"]], "font (ovito.vis.textlabeloverlay property)": [[38, "ovito.vis.TextLabelOverlay.font"]], "font_size (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.font_size"]], "font_size (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.font_size"]], "font_size (ovito.vis.textlabeloverlay property)": [[38, "ovito.vis.TextLabelOverlay.font_size"]], "format_string (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.format_string"]], "format_string (ovito.vis.textlabeloverlay property)": [[38, "ovito.vis.TextLabelOverlay.format_string"]], "fov (ovito.vis.pythonviewportoverlay.arguments property)": [[38, "ovito.vis.PythonViewportOverlay.Arguments.fov"]], "fov (ovito.vis.viewport property)": [[38, "ovito.vis.Viewport.fov"]], "frame (ovito.vis.pythonviewportoverlay.arguments property)": [[38, "ovito.vis.PythonViewportOverlay.Arguments.frame"]], "function (ovito.vis.pythonviewportoverlay property)": [[38, "ovito.vis.PythonViewportOverlay.function"]], "highlight_edges (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.highlight_edges"]], "highlight_edges (ovito.vis.trianglemeshvis property)": [[38, "ovito.vis.TriangleMeshVis.highlight_edges"]], "highlight_grid_lines (ovito.vis.voxelgridvis property)": [[38, "ovito.vis.VoxelGridVis.highlight_grid_lines"]], "interpolate_colors (ovito.vis.voxelgridvis property)": [[38, "ovito.vis.VoxelGridVis.interpolate_colors"]], "is_perspective (ovito.vis.pythonviewportoverlay.arguments property)": [[38, "ovito.vis.PythonViewportOverlay.Arguments.is_perspective"]], "label1 (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.label1"]], "label2 (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.label2"]], "label_size (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.label_size"]], "legend_size (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.legend_size"]], "line_width (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.line_width"]], "line_width (ovito.vis.dislocationvis property)": [[38, "ovito.vis.DislocationVis.line_width"]], "line_width (ovito.vis.simulationcellvis property)": [[38, "ovito.vis.SimulationCellVis.line_width"]], "material_shininess (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.material_shininess"]], "material_specular_brightness (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.material_specular_brightness"]], "max_ray_recursion (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.max_ray_recursion"]], "modifier (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.modifier"]], "offset (ovito.vis.vectorvis property)": [[38, "ovito.vis.VectorVis.offset"]], "offset_x (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.offset_x"]], "offset_x (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.offset_x"]], "offset_x (ovito.vis.textlabeloverlay property)": [[38, "ovito.vis.TextLabelOverlay.offset_x"]], "offset_y (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.offset_y"]], "offset_y (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.offset_y"]], "offset_y (ovito.vis.textlabeloverlay property)": [[38, "ovito.vis.TextLabelOverlay.offset_y"]], "orientation (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.orientation"]], "outline_color (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.outline_color"]], "outline_color (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.outline_color"]], "outline_color (ovito.vis.textlabeloverlay property)": [[38, "ovito.vis.TextLabelOverlay.outline_color"]], "outline_enabled (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.outline_enabled"]], "outline_enabled (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.outline_enabled"]], "outline_enabled (ovito.vis.textlabeloverlay property)": [[38, "ovito.vis.TextLabelOverlay.outline_enabled"]], "overlays (ovito.vis.viewport property)": [[38, "ovito.vis.Viewport.overlays"]], "ovito.vis": [[38, "module-ovito.vis"]], "painter (ovito.vis.pythonviewportoverlay.arguments property)": [[38, "ovito.vis.PythonViewportOverlay.Arguments.painter"]], "proj_tm (ovito.vis.pythonviewportoverlay.arguments property)": [[38, "ovito.vis.PythonViewportOverlay.Arguments.proj_tm"]], "project_point() (ovito.vis.pythonviewportoverlay.arguments method)": [[38, "ovito.vis.PythonViewportOverlay.Arguments.project_point"]], "project_size() (ovito.vis.pythonviewportoverlay.arguments method)": [[38, "ovito.vis.PythonViewportOverlay.Arguments.project_size"]], "property (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.property"]], "radius (ovito.vis.particlesvis property)": [[38, "ovito.vis.ParticlesVis.radius"]], "refinement_iterations (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.refinement_iterations"]], "render_anim() (ovito.vis.viewport method)": [[38, "ovito.vis.Viewport.render_anim"]], "render_cell (ovito.vis.simulationcellvis property)": [[38, "ovito.vis.SimulationCellVis.render_cell"]], "render_image() (ovito.vis.viewport method)": [[38, "ovito.vis.Viewport.render_image"]], "rendering_color (ovito.vis.simulationcellvis property)": [[38, "ovito.vis.SimulationCellVis.rendering_color"]], "reverse (ovito.vis.vectorvis property)": [[38, "ovito.vis.VectorVis.reverse"]], "reverse_orientation (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.reverse_orientation"]], "rotate_title (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.rotate_title"]], "samples_per_pixel (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.samples_per_pixel"]], "scaling (ovito.vis.particlesvis property)": [[38, "ovito.vis.ParticlesVis.scaling"]], "scaling (ovito.vis.vectorvis property)": [[38, "ovito.vis.VectorVis.scaling"]], "scene (ovito.vis.pythonviewportoverlay.arguments property)": [[38, "ovito.vis.PythonViewportOverlay.Arguments.scene"]], "shading (ovito.vis.dislocationvis property)": [[38, "ovito.vis.DislocationVis.shading"]], "shading (ovito.vis.trajectoryvis property)": [[38, "ovito.vis.TrajectoryVis.shading"]], "shadows (ovito.vis.tachyonrenderer property)": [[38, "ovito.vis.TachyonRenderer.shadows"]], "shape (ovito.vis.particlesvis property)": [[38, "ovito.vis.ParticlesVis.shape"]], "show_burgers_vectors (ovito.vis.dislocationvis property)": [[38, "ovito.vis.DislocationVis.show_burgers_vectors"]], "show_cap (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.show_cap"]], "show_line_directions (ovito.vis.dislocationvis property)": [[38, "ovito.vis.DislocationVis.show_line_directions"]], "size (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.size"]], "size (ovito.vis.pythonviewportoverlay.arguments property)": [[38, "ovito.vis.PythonViewportOverlay.Arguments.size"]], "sky_albedo (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.sky_albedo"]], "sky_brightness (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.sky_brightness"]], "sky_light_enabled (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.sky_light_enabled"]], "sky_turbidity (ovito.vis.osprayrenderer property)": [[38, "ovito.vis.OSPRayRenderer.sky_turbidity"]], "smooth_shading (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.smooth_shading"]], "source_pipeline (ovito.vis.textlabeloverlay property)": [[38, "ovito.vis.TextLabelOverlay.source_pipeline"]], "style (ovito.vis.coordinatetripodoverlay property)": [[38, "ovito.vis.CoordinateTripodOverlay.style"]], "surface_color (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.surface_color"]], "surface_transparency (ovito.vis.surfacemeshvis property)": [[38, "ovito.vis.SurfaceMeshVis.surface_transparency"]], "text (ovito.vis.textlabeloverlay property)": [[38, "ovito.vis.TextLabelOverlay.text"]], "text_color (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.text_color"]], "text_color (ovito.vis.textlabeloverlay property)": [[38, "ovito.vis.TextLabelOverlay.text_color"]], "ticks_enabled (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.ticks_enabled"]], "ticks_spacing (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.ticks_spacing"]], "title (ovito.vis.colorlegendoverlay property)": [[38, "ovito.vis.ColorLegendOverlay.title"]], "title (ovito.vis.datavis property)": [[38, "ovito.vis.DataVis.title"]], "transparency (ovito.vis.trianglemeshvis property)": [[38, "ovito.vis.TriangleMeshVis.transparency"]], "transparency (ovito.vis.vectorvis property)": [[38, "ovito.vis.VectorVis.transparency"]], "transparency (ovito.vis.voxelgridvis property)": [[38, "ovito.vis.VoxelGridVis.transparency"]], "type (ovito.vis.viewport property)": [[38, "ovito.vis.Viewport.type"]], "underlays (ovito.vis.viewport property)": [[38, "ovito.vis.Viewport.underlays"]], "upto_current_time (ovito.vis.trajectoryvis property)": [[38, "ovito.vis.TrajectoryVis.upto_current_time"]], "view_tm (ovito.vis.pythonviewportoverlay.arguments property)": [[38, "ovito.vis.PythonViewportOverlay.Arguments.view_tm"]], "viewport (ovito.vis.pythonviewportoverlay.arguments property)": [[38, "ovito.vis.PythonViewportOverlay.Arguments.viewport"]], "width (ovito.vis.bondsvis property)": [[38, "ovito.vis.BondsVis.width"]], "width (ovito.vis.trajectoryvis property)": [[38, "ovito.vis.TrajectoryVis.width"]], "width (ovito.vis.vectorvis property)": [[38, "ovito.vis.VectorVis.width"]], "wrapped_lines (ovito.vis.trajectoryvis property)": [[38, "ovito.vis.TrajectoryVis.wrapped_lines"]], "zoom_all() (ovito.vis.viewport method)": [[38, "ovito.vis.Viewport.zoom_all"]]}})